commit c5edd60abe3f7e2939006ac0e366466a6eec76de Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sat Apr 8 09:56:19 2017 -0500

    GomElement: More flexibility in namespaces declaration

    Accepted URI for namespace declarations:

    http://www.w3.org/2000/xmlns/

    or

    http://www.w3.org/2000/xmlns

 gxml/GomElement.vala | 3 ++- 1 file changed, 2 insertions(+),
 1 deletion(-)

commit 6322da01da02a81e5a9c19106714a412332a55ac Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sat Apr 8 09:31:10 2017 -0500

    Update LT version to 14.3.0

 configure.ac | 2 +- 1 file changed, 1 insertion(+), 1 deletion(-)

commit ebe7ce0dfde0de5bbf15566db880e8ef14b1e48a Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sat Apr 8 09:26:38 2017 -0500

    GomElement: More flexible to declare namespaces

    Name spaces declarations should use one of these:

    http://www.w3.org/2000/xmlns/

    or

    http://www.w3.org/2000/xmlns

 configure.ac             | 2 +- gxml/GomElement.vala     | 4 +++-
 test/GomElementTest.vala | 1 + 3 files changed, 5 insertions(+),
 2 deletions(-)

commit 1be50c071ad2bc76aee9a9f6ac1cd107edd11dd8 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Apr 6 08:54:57 2017 -0500

    Release version 0.14.2

 NEWS | 12 ++++++++++++ 1 file changed, 12 insertions(+)

commit b219c9908e48105845ff4804e5edc026fb0d163d Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Apr 6 07:38:04 2017 -0500

    Set version to 0.14.2

 configure.ac | 2 +- 1 file changed, 1 insertion(+), 1 deletion(-)

commit e2ebcd3d19b6dd74816da9c2c6a62445faafb27a Author: Mario Blättermann
<mario.blaettermann@gmail.com> Date:   Mon Apr 3 20:47:50 2017 +0000

    Update German translation

 po/de.po | 12 ++++++++---- 1 file changed, 8 insertions(+), 4
 deletions(-)

commit eab278e824bd9b7b44e6b18852d21610d4bc112a Author: Rafael Fontenelle
<rafaelff@gnome.org> Date:   Sun Apr 2 21:02:53 2017 +0000

    Update Brazilian Portuguese translation

 po/pt_BR.po | 15 +++++++++------ 1 file changed, 9 insertions(+),
 6 deletions(-)

commit 7038941f61f2dd38a3c44460a4cb7723161c8723 Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Sun Apr 2 09:47:58 2017 +0200

    Update Polish translation

 po/pl.po | 12 ++++++++---- 1 file changed, 8 insertions(+), 4
 deletions(-)

commit 84bb494735ab20edc9aba25aa252f3263a84050c Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Mar 27 18:03:59 2017 -0600

    GomDate: More test cases

 test/GomSerializationTest.vala | 5 ++++- 1 file changed, 4 insertions(+),
 1 deletion(-)

commit dad1d02162ca6319b076957dc4e23f0c3125658b Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Mar 27 17:27:19 2017 -0600

    GomDate: Fixed parsing some dates

 gxml/GomProperty.vala          | 15 ++++++++++++++-
 test/GomSerializationTest.vala | 10 ++++++---- 2 files changed, 20
 insertions(+), 5 deletions(-)

commit 1c0dd3f2ddd0726c3c670902fbf25f7698dd68c9 Author: Andika Triwidada
<atriwidada@gnome.org> Date:   Mon Mar 27 09:39:30 2017 +0000

    Update Indonesian translation

    (cherry picked from commit e11f600dda79e68957e4e3c3594a353f57bdcd7c)

 po/id.po | 228
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++------ 1 file
 changed, 206 insertions(+), 22 deletions(-)

commit 8878b70b745284a9053d0f8eeda4e8777e7e5f63 Author: Mario Blättermann
<mario.blaettermann@gmail.com> Date:   Fri Mar 24 20:58:27 2017 +0000

    Update German translation

 po/de.po | 503
 +++++++++++++++++++++++++++++++++++++++++++++++++++------------ 1 file
 changed, 407 insertions(+), 96 deletions(-)

commit 84035e43fe965068c95dd5045fa38e665ac9f27a Author: Balázs Úr
<urbalazs@gmail.com> Date:   Tue Mar 21 15:37:24 2017 +0000

    Update Hungarian translation

 po/hu.po | 428
 +++++++++++++++++++++++++++++++++++---------------------------- 1 file
 changed, 239 insertions(+), 189 deletions(-)

commit cf1517648acaf6cd1521863fc80250e7096677a1 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Mar 16 12:33:45 2017 -0600

    Added dummy command for json

    No support jet in flatpak for libraries, this is just for future use

 gxml.json | 2 +- 1 file changed, 1 insertion(+), 1 deletion(-)

commit f32d5c9de69abe0058d3876480c36eb9e4f053be Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sun Mar 12 22:39:41 2017 -0600

    Updated flatpak json for libgee download

 gxml.json | 4 ++-- 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4ebb2486ebd9f32f8aaa37dc9ba10a8bf21c1ea1 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sun Mar 12 22:28:06 2017 -0600

    Add gxml.json initialize flatpak

    This is an initial version to be updated in order to create
    development environment in flatpak.

    In flatpak is not considered jet to develop libraries, but
    applications. May we will expect some changes in order to provide
    that kind of environment.

 gxml.json | 20 ++++++++++++++++++++ 1 file changed, 20 insertions(+)

commit d17e8414f7c011d17adb24d053c57003c9c674bc Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sun Mar 12 22:27:36 2017 -0600

    Updated news

 NEWS | 9 +++++++++ 1 file changed, 9 insertions(+)

commit 65b53f4fad012678bf144787e62d1cd7508d65e1 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sun Mar 12 19:10:41 2017 -0600

    Set version to 0.14.1

 configure.ac | 2 +- 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0829fd0b83941efe85ec45e6c4900d76ca0c5b29 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sun Mar 12 12:38:14 2017 -0600

    With valadoc not installed avoid to set Documentation enable

 configure.ac | 5 +++-- 1 file changed, 3 insertions(+), 2 deletions(-)

commit 0bcc1e6f8c6a93d8bbfeeb134645c76e92a710f7 Author: Josef Andersson
<l10nl18nsweja@gmail.com> Date:   Sat Mar 11 11:43:44 2017 +0000

    Update Swedish translation

 po/sv.po | 613
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----- 1 file
 changed, 568 insertions(+), 45 deletions(-)

commit 2af5c296d7902a45ecde29b57c1420b3a1b983d9 Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Fri Mar 10 11:56:30 2017 +0100

    Update Polish translation

 po/pl.po | 59 +++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 35 insertions(+), 24 deletions(-)

commit a8d27fdd90d3c64e2b6a32d159c031f4ffa60a2e Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Mar 9 18:51:31 2017 -0600

    Released 0.14

    Improvements on VALAC_CHECK, adding new VALA_PKG_CHECK for other
    projects use.

    Fixed make check.

 NEWS                                 | 23 ++++++++- configure.ac
 | 17 ++++--- gxml/DomElement.vala                 |  6 +-- m4/valac.m4
 | 98 +++++++++++++++++++++--------------- test/Makefile.am
 |  4 +- test/SerializableGeeTreeMapTest.vala |  2 - 6 files changed,
 95 insertions(+), 55 deletions(-)

commit 9259a0cf8c4b9c358bc036804c3e8144efa0c7e9 Author: Rafael Fontenelle
<rafaelff@gnome.org> Date:   Tue Mar 7 00:44:15 2017 +0000

    Update Brazilian Portuguese translation

 po/pt_BR.po | 129
 ++++++++++++++++++++++++++++++++++-------------------------- 1 file
 changed, 73 insertions(+), 56 deletions(-)

commit c0ae501f50350917bea9ef95093037d53fe8798e Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Mar 6 12:09:14 2017 -0600

    XParser: reset TextReader/Writer once finished

    XParser holds a pointer to a Xml.TextReader and Xml.TextWriter, used
    internally by some methods, they are initialized more than twice then
    some issues arise. This patch just set them to null once they are
    finished to be usedful in context in order to free memory resources.

 gxml/XParser.vala    | 31 ++++++++++++++++++++++++++++++-
 test/tests-runner.py | 26 ++++++++++++++++++++++++++ 2 files changed,
 56 insertions(+), 1 deletion(-)

commit 28464e3706fc1f6723142aa0c40b2d10d68f44b6 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Mar 6 11:01:31 2017 -0600

    DomElement: Adding set_attribute_ns documentation

    This will help others to define default namespaces or namespace
    declarations, using correct XML namespace URI

 gxml/DomElement.vala      | 12 ++++++++++++ test/GomDocumentTest.vala |
 6 +++--- 2 files changed, 15 insertions(+), 3 deletions(-)

commit ba1a0cdba2a2934f8912fa394e430a4b2a332fa8 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Mar 6 09:54:40 2017 -0600

    Revert to requiring Vala 0.34

    Vala 0.34.6, will have backports required from libxml2 bindings.

    Fixed substitutions on valac.m4

    Removed Xmlx namespace from documentation, will be removed in next
    versions of GXml.

    Fixed documentation generation.

 configure.ac                      | 2 +- docs/valadoc/devhelp/Makefile.am
 | 2 +- docs/valadoc/gir-docs/Makefile.am | 3 +--
 docs/valadoc/gtk-doc/Makefile.am  | 3 +-- m4/valac.m4
 | 4 ++-- 5 files changed, 6 insertions(+), 8 deletions(-)

commit 51fadacd5989e65f9a1005b7fbaf87be0441f294 Author: Rico Tzschichholz
<ricotz@ubuntu.com> Date:   Thu Mar 2 08:29:20 2017 +0100

    test: Don't generate *.xml while they don't contain any replacements

 configure.ac                                                         |
 5 ----- test/{test.xml.in => test.xml}
 | 0 test/{test_invalid.xml.in => test_invalid.xml}
 | 0 test/{test_out_path_expected.xml.in => test_out_path_expected.xml}
 | 0 ...{test_out_stream_expected.xml.in => test_out_stream_expected.xml}
 | 0 test/{test_with_ns.xml.in => test_with_ns.xml}
 | 0 6 files changed, 5 deletions(-)

commit 503fd63d44b4e90332ff1461bc34cb8c548107c0 Author: Rico Tzschichholz
<ricotz@ubuntu.com> Date:   Thu Mar 2 08:25:03 2017 +0100

    test: Clean up setting of TEST_DIR/TEST_SAVE_DIR

 configure.ac              | 1 - test/Makefile.am          | 4 ++--
 test/tests-config.vala.in | 4 ---- vapi/gxml-test.vapi       | 6 ++++--
 4 files changed, 6 insertions(+), 9 deletions(-)

commit 98fb597d86e664f7c3224383edb6243a8d40f4ea Author: Rico Tzschichholz
<ricotz@ubuntu.com> Date:   Thu Mar 2 08:23:58 2017 +0100

    xlibxml-1.0: Fix argument type of validate_name()

 vapi/xlibxml-1.0.vapi | 2 +- 1 file changed, 1 insertion(+),
 1 deletion(-)

commit 9f34bcbdddf16b47434c25089edd57eb444e9414 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Mar 2 15:24:54 2017 -0600

    Set required Vala version to 0.35.6.7

 configure.ac | 2 +- 1 file changed, 1 insertion(+), 1 deletion(-)

commit f99b0e1942f92f450ca4f9e96474a274719b153c Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Mar 2 12:54:25 2017 -0600

    Ported to Vala 0.36. Removing Xmlx namespace

 gxml/GXmlDocument.vala | 12 ++++++------ gxml/Makefile.am       |  1
 - gxml/TDocument.vala    | 12 ++++++------ gxml/XParser.vala      |
 10 +++++----- gxml/xlibxml.c         |  1 - test/TCDATATest.vala   |
 8 +++----- 6 files changed, 20 insertions(+), 24 deletions(-)

commit 0835c7535685222ec2bf069d3843f37ef8927805 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Mar 2 11:19:52 2017 -0600

    Improve autotools. Removing warnings.

 configure.ac                   |  2 +- gxml/GXmlHashMapAttr.vala
 |  2 +- m4/valac.m4                    | 58
 +++++++++++++++++++++++------------------- test/GomSerializationTest.vala
 |  1 - test/Makefile.am               |  1 - 5 files changed, 34
 insertions(+), 30 deletions(-)

commit 685824e0cd6fd7f3f0096edea242dbea2ea35c7e Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Mar 1 13:50:53 2017 -0600

    Fix IXsdListAttributesGroup name. Documentation Fixes.

    IXsdListAttributesGroup use to have an incorrect name.

    Remember XSD Schema definitions is a work in progress, expect changes
    like this if future versions.

 gxml/DomCollections.vala        |  6 ++--- gxml/DomNode.vala
 |  2 +- gxml/Element.vala               |  2 +- gxml/GomCollections.vala
 | 33 ++++++++++++----------- gxml/GomElement.vala            |  4 +--
 gxml/GomObject.vala             |  8 +++--- gxml/GomProperty.vala
 | 15 +++++------ gxml/GomSchema.vala             |  2 +-
 gxml/Node.vala                  |  2 +- gxml/Schema.vala
 |  9 +++---- gxml/Serializable.vala          | 58
 +++++------------------------------------ gxml/SerializableContainer.vala
 | 12 +++------ gxml/XParser.vala               |  2 +- gxml/XPath.vala
 |  4 +-- 14 files changed, 53 insertions(+), 106 deletions(-)

commit c48c930122d30c8d55b2c17e766c9055c36a652c Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Mar 1 12:55:23 2017 -0600

    Removing Vala warnings

 gxml/GXmlHashMapAttr.vala                          |  2
 +- test/DomGDocumentTest.vala                         | 33
 ------------------ test/GDocumentTest.vala                            |
 5 --- test/GomDocumentTest.vala                          | 12
 ++----- test/GomElementTest.vala                           |
 5 --- test/GomSerializationTest.vala                     | 40
 ---------------------- test/SerializableGeeArrayListTest.vala
 |  5 --- .../SerializableGeeCollections-TDocument-Test.vala |
 6 +--- test/SerializableGeeCollectionsTest.vala           | 11
 ++---- test/SerializableGeeHashMapTest.vala               |  5 ---
 test/TDocumentTest.vala                            | 17 ---------
 test/gxml-performance.vala                         |  6 ++-- 12 files
 changed, 10 insertions(+), 137 deletions(-)

commit e6c12c404e74c03e9c5827073d719dbc037bd90b Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Mar 1 11:41:11 2017 -0600

    SerializableObjectModel.desarialize remove warning

 gxml/SerializableObjectModel.vala | 2 +- 1 file changed, 1 insertion(+),
 1 deletion(-)

commit 0f99d5e2fde7a4d393e37c1e30b16d9e719a6035 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Mar 1 11:39:10 2017 -0600

    GXmlHashMapAttr: remove property using libxml2

    This removes a warning.

 gxml/GXmlHashMapAttr.vala | 4 +++- 1 file changed, 3 insertions(+),
 1 deletion(-)

commit a7530102a9abca0915dab654a48dcd40d42044f4 Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Sun Feb 26 18:08:46 2017 +0100

    Update Polish translation

 po/pl.po | 56 ++++++++++++++++++++++++++++++--------------------------
 1 file changed, 30 insertions(+), 26 deletions(-)

commit 3dbf62528aaddb750ef06e8f3c3b5ca363017d70 Author: Мирослав
Николић <miroslavnikolic@rocketmail.com> Date:   Sun Feb 26
16:52:16 2017 +0100

    Updated Serbian translation

 po/sr.po       | 99
 ++++++++++++++++++++++++---------------------------------- po/sr@latin.po
 | 99 ++++++++++++++++++++++++---------------------------------- 2 files
 changed, 80 insertions(+), 118 deletions(-)

commit 5acbaa2c136a3672224fc382220c915c0864d74f Author: Мирослав
Николић <miroslavnikolic@rocketmail.com> Date:   Sun Feb 26
09:15:40 2017 +0100

    Updated Serbian translation

 po/sr.po       | 553
 ++++++++++++++++++++++++++++++++++++++++++++------------- po/sr@latin.po
 | 553 ++++++++++++++++++++++++++++++++++++++++++++------------- 2 files
 changed, 866 insertions(+), 240 deletions(-)

commit a8251271caaa182f6c6a37a5745ca826d64b27f4 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Feb 23 13:56:55 2017 -0600

    Added --disable-docs switch

 configure.ac | 14 ++++++++++---- 1 file changed, 10 insertions(+),
 4 deletions(-)

commit 84c8c9fd75bec006f44b0de2a62af9e1fb6fee1a Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Feb 22 13:45:15 2017 -0600

    Text.str now is writable

 NEWS            | 8 +++++++- gxml/Node.vala  | 2 +- gxml/TText.vala
 | 2 +- gxml/Text.vala  | 2 +- 4 files changed, 10 insertions(+),
 4 deletions(-)

commit 5060232e760756a077b6d6907c8fdb49957df4cf Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Feb 21 11:21:56 2017 -0600

    Added MappeableElementPairKey test case

 test/GomSerializationTest.vala | 48
 +++++++++++++++++++++++++++++++++++++++++- 1 file changed, 47
 insertions(+), 1 deletion(-)

commit b9a2b61feec126248a4a4102d90b237cfbedfa80 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Feb 21 11:00:16 2017 -0600

    Added GomHashPairedMap a two key collection map

 gxml/GomCollections.vala | 208
 ++++++++++++++++++++++++++++++++++++++++++++++- 1 file changed, 205
 insertions(+), 3 deletions(-)

commit 24384905961d1b8f63645f7aff74857b73db1a7a Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Feb 21 10:08:06 2017 -0600

    Added utilities for one element properties child

    New GomObject.clean_property_elements() to search and remove redundant
    nodes of requested property.

    New GomObject.find_elements() to search and return a list of all
    child elements of same type.

    Added documentation on how to define properties removing redundant
    child nodes.

 gxml/GomObject.vala            | 85 +++++++++++++++++++++++++++++++------
 gxml/GomProperty.vala          |  2 +- test/GomSerializationTest.vala
 | 95 ++++++++++++++++++++++++++++++++++++++---- 3 files changed, 160
 insertions(+), 22 deletions(-)

commit bd99d2f20d7922482e8048249bf9388dc71a782e Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sun Feb 19 15:45:09 2017 -0600

    Added MappeableElement interface for GomHashMap

 gxml/GomCollections.vala | 41 +++++++++++++++++++++++++++++++----------
 1 file changed, 31 insertions(+), 10 deletions(-)

commit 97b5a9322b407544ef57240989623747f321bf97 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Feb 15 17:11:46 2017 -0600

    Release 0.13.98

 NEWS             | 18 ++++++++++++++++++ configure.ac     |  2
 +- po/POTFILES.skip |  3 ++- 3 files changed, 21 insertions(+),
 2 deletions(-)

commit 5b65663e072ec2220fb6487e5237796590f228e7 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Feb 14 18:48:31 2017 -0600

    GomElement: added read_from_stream()

    Also read_from_file is cacancellable

 gxml/GomElement.vala | 15 ++++++++++++--- gxml/XParser.vala    |  4 ++--
 2 files changed, 14 insertions(+), 5 deletions(-)

commit fbcc7609f544cd9a59b298ed6423a16438b760b8 Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Sun Feb 12 14:20:27 2017 +0100

    Update Polish translation

 po/pl.po | 12 ++++++++++-- 1 file changed, 10 insertions(+),
 2 deletions(-)

commit 9f64770c6a3fe34fefe1c742bebac0070460282d Author: Marek Černocký
<marek@manet.cz> Date:   Sat Feb 11 11:28:38 2017 +0100

    Updated Czech translation

 po/cs.po | 285
 ++++++++++++++++++++++++++++++++++++--------------------------- 1 file
 changed, 162 insertions(+), 123 deletions(-)

commit 458202eec13ecda78f2aee2028b5c1fd332a5ff1 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Feb 10 14:45:47 2017 -0600

    Added GomDateTime for timestamp attributes

 gxml/GomProperty.vala          | 42
 ++++++++++++++++++++++++++++++++++++++++-- test/GomSerializationTest.vala
 | 40 ++++++++++++++++++++++++++++++++++++++++ 2 files changed, 80
 insertions(+), 2 deletions(-)

commit f494bbcb400b60bb2bd09258d00a75204855fd76 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Feb 10 13:34:11 2017 -0600

    Added test to read GomDate

 test/GomSerializationTest.vala | 28 +++++++++++++++++++++++++--- 1 file
 changed, 25 insertions(+), 3 deletions(-)

commit 6bf4d84d4dbf9f712c02bf1158346d2f2112f672 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Feb 10 13:27:50 2017 -0600

    Added GomDate Date attribute handling

 gxml/GomProperty.vala          | 33
 +++++++++++++++++++++++++++++++++ test/GomSerializationTest.vala |
 42 ++++++++++++++++++++++++++++++++++++++++-- 2 files changed, 73
 insertions(+), 2 deletions(-)

commit 3a923e77bf909d6c978e4d376f009d614aa4b5b5 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Feb 10 12:55:36 2017 -0600

    Added GomHashMap.has_key() and .get_keys()

 gxml/GomCollections.vala | 13 +++++++++++++ 1 file changed, 13
 insertions(+)

commit 328a8047a1f01889591ae0a5a984a587211aedbb Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Feb 9 17:47:11 2017 -0600

    Fixed GomCollection.validate_append()

    Added some documentation

 gxml/GomCollections.vala | 9 ++++++--- 1 file changed, 6 insertions(+),
 3 deletions(-)

commit 53a0384cea59871682b47f2d93643cb43c8655c4 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Feb 8 14:41:04 2017 -0600

    Fixed Node.text_node. GomCollection method rename

    GomCollection.validate_add() has been renamed to validate_append()

 gxml/GomCollections.vala  | 16 ++++++++-------- gxml/GomNode.vala
 |  2 +- test/GomDocumentTest.vala | 12 ++++++++++++ 3 files changed,
 21 insertions(+), 9 deletions(-)

commit 40a5c7db1c835a3fefb797f35d94d994de19390a Author: Rafael Fontenelle
<rafaelff@gnome.org> Date:   Mon Feb 6 10:41:27 2017 +0000

    Update Brazilian Portuguese translation

 po/pt_BR.po | 155
 ++++++++++++++++++++++++++++++++++-------------------------- 1 file
 changed, 87 insertions(+), 68 deletions(-)

commit b4f8662d27f0365e7f84d3a68482598fbdea76a2 Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Sun Feb 5 16:44:58 2017 +0100

    Update Polish translation

 po/pl.po | 111
 ++++++++++++++++++++++++++++++++++++--------------------------- 1 file
 changed, 64 insertions(+), 47 deletions(-)

commit a3dc8eae64618fe8f6e75bb42e0e93fc0c72d89d Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Sun Feb 5 16:44:33 2017 +0100

    Fix typos in translatable strings

 gxml/GXmlNode.vala    | 4 ++-- gxml/GomDocument.vala | 4 ++--
 gxml/GomNode.vala     | 4 ++-- gxml/GomObject.vala   | 2 +-
 gxml/GomSchema.vala   | 2 +- 5 files changed, 8 insertions(+),
 8 deletions(-)

commit 52da13cefcddcc11a4ef867d2d13429742a7a1f5 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Feb 2 17:42:24 2017 -0600

    Adding documentation examples

 gxml/GomNode.vala   |  4 +++- gxml/GomObject.vala | 58
 +++++++++++++++++++++++++++++++++-------------------- 2 files changed,
 39 insertions(+), 23 deletions(-)

commit 87a6af6256a1e54533b4cca4ace1e1c38ecbc5b1 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Feb 2 15:52:12 2017 -0600

    GomObject instantiate object using nicks

 gxml/GomObject.vala            | 15 +++++++++++----
 test/GomSerializationTest.vala | 27 ++++++++++++++++++++++++++- 2 files
 changed, 37 insertions(+), 5 deletions(-)

commit 9cbd29f7ab3bf1baac001ef4c2b03de2c7e9b4af Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Feb 2 15:35:32 2017 -0600

    Fixes on GomObject instantiate GomElement's

 gxml/GomObject.vala            |  8 ++++++--
 test/GomSerializationTest.vala | 26 ++++++++++++++++++++++++++ 2 files
 changed, 32 insertions(+), 2 deletions(-)

commit 533f4d874c7acd9c74fb6b0cdab9aa372e1166bf Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Feb 2 15:07:36 2017 -0600

    Removing warging in GomObject create instance

 gxml/GomObject.vala | 5 ++++- 1 file changed, 4 insertions(+),
 1 deletion(-)

commit 9f4e23000e76a61feab146f4c7f1c63d3e8d8c71 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Feb 2 15:02:46 2017 -0600

    Added GomObject.create_intance_property()

    Along with new GomObject.find_object_property_name()
    crate_instance_property() is a convenient method to correctly
    initialize and set parent node for object's properties.

 gxml/GomElement.vala           |  7 +++++
 gxml/GomNode.vala              |  1 + gxml/GomObject.vala            | 68
 ++++++++++++++++++++++++++++++++++++------ test/GomSerializationTest.vala
 |  8 ++--- 4 files changed, 70 insertions(+), 14 deletions(-)

commit a1702779ac014a217a40c1f30d368dbf67405364 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Feb 1 13:03:39 2017 -0600

    GomElement.initialize: adding some documentation

 gxml/GomElement.vala | 4 +++- 1 file changed, 3 insertions(+),
 1 deletion(-)

commit 87db8c7e063cc79b659e747a2aab9e7f5ad211a1 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Jan 31 18:51:09 2017 -0600

    Fixed read GomProperty and create new object

 gxml/GomElement.vala           |  6 +++++- gxml/GomObject.vala
 | 15 ++++++++++----- gxml/XParser.vala              |  2 +-
 test/GomSerializationTest.vala | 10 ++++++++++ 4 files changed, 26
 insertions(+), 7 deletions(-)

commit 8975803cb5f2e2b5d6b9292eab99df43d861c6d8 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Jan 31 11:08:15 2017 -0600

    Fixed GomObject.get_attribute(). Simplified GomProperty

    Removed from GomProperty unused/unnecesary properties and methods

    Removed more warnings and debug messages

 gxml/GomElement.vala           |   2 + gxml/GomObject.vala            |
 150 ++++++++++++++++++++--------------------- gxml/GomProperty.vala
 |  30 +-------- gxml/XParser.vala              |
 38 ++++------- test/DomGDocumentTest.vala     |  44
 ++++++++++-- test/GomDocumentTest.vala      |  24 ++++++-
 test/GomSerializationTest.vala |  23 +++++-- 7 files changed, 167
 insertions(+), 144 deletions(-)

commit 7d0586b4153790c900b9a6ec6646512ea2dfde98 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Jan 30 17:29:39 2017 -0600

    GomProperty.value is nullable; GomXsdArrayString no load by default

    GomProperty.value is nullable and XParser ignores it if null.

    GomXsdArrayString now only load referenced XSD if load() is called.
    No more initializate_xsd() method for performance reasons.

    Removed more warnings.

 gxml/GomCollections.vala       |  2 +- gxml/GomElement.vala
 |  5 +++ gxml/GomProperty.vala          | 28
 ++++++---------- gxml/GomSchema.vala            |
 76 +++++++++++++++++++++++++++++++++---------
 gxml/XParser.vala              |  1 + po/POTFILES.in                 |
 1 + po/POTFILES.skip               |  1 + test/GomSchemaTest.vala
 |  1 + test/GomSerializationTest.vala |  2 +- 9 files changed, 82
 insertions(+), 35 deletions(-)

commit 9497c889b0aec0880eff00e2145c944517f60be1 Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Mon Jan 30 01:33:11 2017 +0100

    Update Polish translation

 po/pl.po | 67
 ++++++++++++++++++++++++++++++++++------------------------------ 1 file
 changed, 36 insertions(+), 31 deletions(-)

commit 115928c74c804e69d618a1ed40b6d75536b3c5a8 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Jan 26 13:49:27 2017 -0600

    Fixed build by typo

 gxml/XParser.vala | 2 +- 1 file changed, 1 insertion(+), 1 deletion(-)

commit 61e615d72f1750a9d28770e6b348c3f0812c6aeb Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Jan 26 11:45:15 2017 -0600

    Added examples to GomArrayList and GomHashMap

 gxml/GomCollections.vala | 35 ++++++++++++++++++++++++++++++++++-
 1 file changed, 34 insertions(+), 1 deletion(-)

commit 744d6a9cb1481817f71f1dd19f4de947fed5c203 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Jan 26 10:53:11 2017 -0600

    GomProperty.initialize() removed

 gxml/GomProperty.vala | 12 ------------ gxml/GomSchema.vala   |  3 ++-
 2 files changed, 2 insertions(+), 13 deletions(-)

commit c8cda65cb9deb5acca694e34a9e90dcb3ff9b47e Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Jan 26 10:46:11 2017 -0600

    GomEnum ported to use nick name

 gxml/GomProperty.vala          | 3 +-- test/GomSerializationTest.vala |
 8 ++------ 2 files changed, 3 insertions(+), 8 deletions(-)

commit 90b8aa7146fad572260f211445b17432bcea0f3b Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Jan 26 10:43:16 2017 -0600

    More ports to new GomProperty using nick

 test/GomSerializationTest.vala | 13 ++----------- 1 file changed,
 2 insertions(+), 11 deletions(-)

commit 3d3b4a1a37df78b92b8f99941973745117b481c6 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Jan 26 10:41:06 2017 -0600

    Modified test for GomProperty using Nick

 test/GomSerializationTest.vala | 10 +++++++--- 1 file changed, 7
 insertions(+), 3 deletions(-)

commit 856a7a74625e5a1ceb4ff37bdddc2f1cb3c609e3 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Jan 26 10:33:23 2017 -0600

    GomProperty serialization use Nick

    If no property name is set, nick definition is used.

 NEWS              |  9 +++++++++ gxml/XParser.vala | 11 ++++++++++-
 2 files changed, 19 insertions(+), 1 deletion(-)

commit 2e0759c98e1feff79e98af02c4a7f9f04c866f41 Author: Rafael Fontenelle
<rafaelff@gnome.org> Date:   Wed Jan 25 07:36:52 2017 +0000

    Update Brazilian Portuguese translation

 po/pt_BR.po | 290
 +++++++++++++++++++++++++++++++++--------------------------- 1 file
 changed, 159 insertions(+), 131 deletions(-)

commit 2fb5f75722feaa8b330db5c0628d3889e530bb1c Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Jan 24 18:14:56 2017 -0600

    Setting version to 0.13.90

 configure.ac | 2 +- 1 file changed, 1 insertion(+), 1 deletion(-)

commit f5a6366aa88697e21d06f25abe17d33878dec19e Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Jan 23 14:36:05 2017 -0600

    Fixed NS for document_element with no-prefix

 gxml/XParser.vala         | 17 +++++++++++++----
 test/GomDocumentTest.vala |  7 +++---- 2 files changed, 16 insertions(+),
 8 deletions(-)

commit b097d37a68d79b945e95eb24c6d43fd4954a3052 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Jan 23 13:55:38 2017 -0600

    XParser: Fixed re-define node namespace

    Removed some message from unit tests

 gxml/GomElement.vala       |  8 +++++++- gxml/XParser.vala
 | 16 +++++++++++++++- test/DomGDocumentTest.vala | 32
 ++++++++++++++++++++++++++------ test/GDocumentTest.vala    |  2 ++
 test/GomDocumentTest.vala  |  5 +++-- test/GomElementTest.vala   | 11
 +++++++---- test/GomSchemaTest.vala    |  4 ++++ test/TDocumentTest.vala
 | 10 ++++++++++ test/TElementTest.vala     |  2 ++ 9 files changed,
 76 insertions(+), 14 deletions(-)

commit 062c341ef444f433dda96d3c3568c4964b0ac62f Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Jan 23 12:59:46 2017 -0600

    Improved API and fixed implementation for GomXsdArrayString

 gxml/GomProperty.vala   | 101
 ++++++++++++++++++++++++++++++++++-------------- gxml/GomSchema.vala
 |   2 + test/GomSchemaTest.vala |  20 ++++++++++ 3 files changed,
 95 insertions(+), 28 deletions(-)

commit b29f6e797c83716d909c84486cbbd05710b27945 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Jan 23 12:19:29 2017 -0600

    Added new GXml.GomXsdArrayString for XSD enumerations

    GXml.GomXsdArrayString allows to read enumeration values and use
    them as restrictions in a GomElement attribute

 gxml/GomProperty.vala | 43 +++++++++++++++++++++++++++++++++++++++++++
 gxml/GomSchema.vala   |  2 +- gxml/Schema.vala      |  5 +++-- 3 files
 changed, 47 insertions(+), 3 deletions(-)

commit 52b3043e9b15a3583e84e56602cd16607024b463 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Jan 23 11:57:21 2017 -0600

    Making GomXsd* have instantiable properties: Part II

    Renamed all Xsd* interfaces to append an "I"

 gxml/GomSchema.vala |  52 ++++++++++++--------- gxml/Schema.vala    |
 128 ++++++++++++++++++++++++++-------------------------- 2 files changed,
 95 insertions(+), 85 deletions(-)

commit 96985be39b713ecf340524f0e53d95f9c09e3e3d Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Jan 23 11:39:40 2017 -0600

    Added GomXsdSchema test

 test/GomSchemaTest.vala | 59
 +++++++++++++++++++++++++++++++++++++++++++++++++ 1 file changed,
 59 insertions(+)

commit 9bd60035fc31ad152388a7e711ef0d0df0a1ffc7 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Jan 23 11:32:35 2017 -0600

    Pulished XSD API on GomXsd* and Xsd* types

 gxml/GomSchema.vala | 98
 ++++++++++++++++++++++++++++++++++++++--------------- gxml/Schema.vala
 | 70 ++++++++++++++++++++++---------------- 2 files changed, 111
 insertions(+), 57 deletions(-)

commit e824126f04fe6d0e4d986dbc1c2712f71d7743f6 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Jan 23 10:26:48 2017 -0600

    Fixed parse root's default namespace

    Avoid to redefine element's namespace.

 gxml/XParser.vala | 4 +++- 1 file changed, 3 insertions(+), 1 deletion(-)

commit 52276ae2b756b4c13029f6d8ef7ad1c8ce16d06b Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Jan 23 10:20:18 2017 -0600

    Fixed XParser write document_element default namespace

 gxml/XParser.vala | 13 +++---------- 1 file changed, 3 insertions(+),
 10 deletions(-)

commit dbe7bb96cd9bf3e3419db50ae27d91165ea427ca Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Jan 23 09:32:11 2017 -0600

    Making GomXsd* have instantiable properties: Part I

    Serialization process requires you have instantiable types, no
    interfaces ones, as properties. This make inviable to implement Xsd*
    interfaces and get access to parse XSD documents.

    In this part GomXsd* classes, now no implement XsdSchema to provide
    instantiable properties.

    Next step implement Xsd* interfaces, by prefixing them using "I"
    in order to avoid API conflicts.

 gxml/GomSchema.vala | 154
 ++++++++++++++++++++++++---------------------------- gxml/Schema.vala
 |   3 + 2 files changed, 74 insertions(+), 83 deletions(-)

commit 9d786f6349b8df0905cb988df5de17a2af37ce7c Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sun Jan 22 22:46:11 2017 -0600

    More XSD implementations for GOM

 gxml/GomDocument.vala |  2 +- gxml/GomElement.vala
 | 12 ++++++- gxml/GomSchema.vala   | 99
 +++++++++++++++++++++++++++++++++++++-------------- gxml/Schema.vala
 | 37 ++++++++++++------- test/GXmlTest.vala    |  3 +- test/Makefile.am
 |  2 ++ test/schema-test.xsd  | 28 +++++++++++++++ 7 files changed,
 142 insertions(+), 41 deletions(-)

commit a638cdd18bdc2d2ae421da389f0bee17c0c61e7c Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sun Jan 22 20:32:40 2017 -0600

    Added XSD implemention as GomElement

 gxml/GomSchema.vala | 190
 ++++++++++++++++++++++++++++++++++++++++++++++++++++ gxml/Makefile.am
 |   1 + gxml/Schema.vala    |  20 +++--- 3 files changed, 202
 insertions(+), 9 deletions(-)

commit 9f3b293e8132b2c74faf72ecd5ad75f8339b618e Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sun Jan 22 19:38:25 2017 -0600

    Added initial XSD interfaces definition

 gxml/Makefile.am |   1 + gxml/Schema.vala | 199
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++ 2 files changed,
 200 insertions(+)

commit b9510d6578fa25d5678d72c2eac8e68bdb2327c5 Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Sun Jan 22 21:30:29 2017 +0100

    Update Polish translation

 po/pl.po | 236
 +++++++++++++++++++++++++++++++++------------------------------ 1 file
 changed, 123 insertions(+), 113 deletions(-)

commit 4de646c41f616f95cab5e2f110dfb070c88e342a Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sun Jan 22 14:05:50 2017 -0600

    Removed GomFixedArrayString renamed to GomArrayString

    * GomArrayString using GLib.Array, removed.

 gxml/GomProperty.vala          | 69
 +---------------------------- test/GomSerializationTest.vala |
 98 +++++++++++++++++++++++++++++++++--------- 2 files changed, 78
 insertions(+), 89 deletions(-)

commit 37c95f6bbe0050d9741ac8693e527a782dbe8e35 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sat Jan 21 21:29:51 2017 -0600

    Added GomArrayString and GomFixedArray methods

    * New select() and search() methods * Added Unit Tests for
    GomArrayString and GomFixedArray

 gxml/GomProperty.vala          | 47
 +++++++++++++++++++++++++++++++++++++++++- test/GomSerializationTest.vala
 | 36 ++++++++++++++++++++++++++++++++ 2 files changed, 82 insertions(+),
 1 deletion(-)

commit 19af4c56ec71481ed7ab992cf02715cc9ce65a8b Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sat Jan 21 20:27:42 2017 -0600

    Added GomArrayString and GomFixedArrayString

 gxml/GomProperty.vala | 86
 +++++++++++++++++++++++++++++++++++++++++++++++++++ 1 file changed,
 86 insertions(+)

commit 1b3599a75097fcb1e06763289f41319ae42bfe2d Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sat Jan 21 09:34:30 2017 -0600

    Fixed parsing child element

 gxml/XParser.vala | 2 +- 1 file changed, 1 insertion(+), 1 deletion(-)

commit da05cd288ef676f014bca0cda258bcd83b52243f Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Jan 20 21:23:29 2017 -0600

    Fixed read GomHashMap and owner_document

 gxml/GomCollections.vala       |  21 ++++-- gxml/GomElement.vala
 |   7 ++ gxml/XParser.vala              | 143
 +++++++++++++++++++++++------------------ test/GomDocumentTest.vala
 |  19 +++++- test/GomSerializationTest.vala |   5 +- 5 files changed,
 122 insertions(+), 73 deletions(-)

commit a6a49fb9de2484c7b66ec26b161ddc3e68dd58c8 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Jan 20 15:04:54 2017 -0600

    Fixed parsing GomElement and GomCollections

 gxml/XParser.vala | 3 +-- 1 file changed, 1 insertion(+), 2 deletions(-)

commit 0039e0a449e8be74e6d29974fb739139d2dd2f45 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Jan 20 14:48:24 2017 -0600

    Fixed parse string for GomElement

 gxml/XParser.vala              |  8 ++++----
 test/GomSerializationTest.vala | 15 ++++++++------- 2 files changed,
 12 insertions(+), 11 deletions(-)

commit 5d2481b97701fd5fb775f03c54949efc791ac720 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Jan 20 14:16:41 2017 -0600

    Fixed GomAttr children handling destruction issue

 gxml/GomAttr.vala              |  2 ++ gxml/XParser.vala              |
 19 +++++++++++-------- test/GomElementTest.vala       |  1 -
 test/GomSerializationTest.vala | 14 ++++++++------ 4 files changed,
 21 insertions(+), 15 deletions(-)

commit db7733123441ab07caee03a46de4a422531e9ac0 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Jan 20 13:50:18 2017 -0600

    Removing build warnings

 gxml/DomNode.vala                                |  7
 +++++-- gxml/GXmlAttribute.vala                          |
 6 ++++-- gxml/GXmlDocument.vala                           |
 6 ++++-- gxml/GXmlDomCollections.vala                     |
 3 ++- gxml/GXmlElement.vala                            | 19
 +++++++++---------- gxml/GXmlHashMapAttr.vala                        |
 10 ++++++---- gxml/GXmlListChildren.vala                       |
 12 +++++++----- gxml/GXmlListNamespaces.vala                     |
 10 +++++++--- gxml/GXmlNamespace.vala                          |
 4 ++-- gxml/GXmlNode.vala                               |  8
 ++++---- gxml/GomDocument.vala                            |  3 ++-
 gxml/GomElement.vala                             |  8 ++++++--
 gxml/GomNode.vala                                |  8 ++++----
 gxml/Namespace.vala                              |  4 ++--
 gxml/TNamespace.vala                             |  4 ++--
 gxml/TNode.vala                                  |  3 ++-
 gxml/XParser.vala                                |  3 +--
 test/SerializableObjectModel-TDocument-Test.vala |  6 +++---
 test/SerializableObjectModelTest.vala            |  1 -
 test/SerializablePropertyEnumTest.vala           |  2 +- 20 files
 changed, 73 insertions(+), 54 deletions(-)

commit 0a705dcf06c30f0408bee592bda4f370955eee58 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Jan 20 12:58:36 2017 -0600

    Fixes to Unit Tests

 gxml/GXmlNode.vala             |  16 +++--- gxml/GomCollections.vala
 |  12 ++--- gxml/GomElement.vala           |   2 +- gxml/GomProperty.vala
 |   4 +- test/GomDocumentTest.vala      |   5 +-
 test/GomElementTest.vala       |  11 +++- test/GomSerializationTest.vala
 | 115 ++++++++++++++++++++++++----------------- 7 files changed, 98
 insertions(+), 67 deletions(-)

commit 42f8f854f59eff255fa4fa60176f583761e70793 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Jan 18 19:41:41 2017 -0600

    Fixes on GomNode, GomAttr and XParser

    * GomAttr: use local_name for node's name * GomNode and GomAttr
    node_name, return local_name
      if prefix is null or empty
    * Improved error messages * XParser fixes parse documents with just
    root nodes * XParser fixes try to add a Text nodes to DomDocument

 gxml/GomAttr.vala    |  2 +- gxml/GomElement.vala | 49
 +++++++++++++++++++++++++++++++++---------------- gxml/GomNode.vala    |
 2 +- gxml/XParser.vala    | 24 +++++++++++++++++------- 4 files changed,
 52 insertions(+), 25 deletions(-)

commit 73a6e01dac57e2cd5fbdf73cd4c014806c63bf39 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Jan 18 18:16:10 2017 -0600

    Fixed GomCollection Parsing

 gxml/XParser.vala              | 360
 ++--------------------------------------- test/GomSerializationTest.vala
 |  65 ++++++-- test/gxml-performance.vala     |  50 ------ 3 files
 changed, 68 insertions(+), 407 deletions(-)

commit 3c106828634df145a42efa49f43467e77305741b Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Jan 18 15:25:16 2017 -0600

    Fixed parent child reading

 gxml/XParser.vala          | 96
 +++++++++++++++++++++++++++++----------------- test/gxml-performance.vala
 |  4 +- 2 files changed, 62 insertions(+), 38 deletions(-)

commit ed08142be4856bc6aa46b942fbe690a688a541c9 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Jan 18 13:51:57 2017 -0600

    Adding new methods on XParser

    This methods eventually will be moved to interface, in order to
    allow new XML parsers.

 gxml/XParser.vala | 265
 ++++++++++++++++++++++++++++++++++-------------------- 1 file changed,
 168 insertions(+), 97 deletions(-)

commit d05b41c3bdd839c901857190fad2eeee4f13fa26 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Jan 18 12:43:51 2017 -0600

    Split of XParser.read_current_node in methods

 gxml/GomAttr.vala              |   1 - gxml/GomCollections.vala       |
 2 +- gxml/GomElement.vala           |  16 +- gxml/XParser.vala
 | 329 ++++++++++++++++++++++++++++++++++++++++-
 test/GomSerializationTest.vala |  19 ++- test/gxml-performance.vala     |
 14 +- 6 files changed, 361 insertions(+), 20 deletions(-)

commit 4b238881e0be37c95e373c4f0244bba8f863a8e1 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Jan 17 00:13:00 2017 -0600

    Improvements to GomCollection implementations

    GomCollection gains a validate_add() method to check if element
    should be added or not.

    Improved documentation on Collections.

    Moved common code to GomBaseCollection to avoid redundant code.

    Additional fixes to Serialization sing Gom.

 gxml/GomCollections.vala       | 152
 ++++++++++++++++++++--------------------- test/GomSerializationTest.vala
 |  28 ++++++-- test/gxml-performance.vala     |   3 + 3 files changed,
 101 insertions(+), 82 deletions(-)

commit ee1c6b262077b3dd36249b95059da042be9d8bd5 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Jan 16 19:30:59 2017 -0600

    Improved GomCollection and GomProperty

    * Improved documentation * GomCollection implementations now provide
    convenient
      methods to make easy to derive classes
    * GomProperty implemenatations now provide convenient
      methods to make easy to derive classes
    * GomProperty add regular expression validation for
      values
    * Added new GomString implementation for GomProperty * Updated tests
    cases to test new API in GomCollection
      and GomProperty implementations

 gxml/GomCollections.vala       | 179
 ++++++++++++++++++++++++-----------------
 gxml/GomDocument.vala          |   8 +- gxml/GomElement.vala
 |  20 ++++- gxml/GomProperty.vala          | 177
 ++++++++++++++++++++++++++++++++++------ test/GomSerializationTest.vala |
 175 +++++++++++++--------------------------- test/gxml-performance.vala
 |  39 +++++++++ 6 files changed, 376 insertions(+), 222 deletions(-)

commit ce53359868fabe0a2e0bb6442f0e61cd1e6a81f5 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Dec 29 09:35:36 2016 -0600

    Bump version to 0.13.3

 configure.ac | 2 +- 1 file changed, 1 insertion(+), 1 deletion(-)

commit 224089ea70c8f17e9153b45222565964d45011cc Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Dec 28 18:26:44 2016 -0600

    Released 0.13.2

 configure.ac | 2 +- 1 file changed, 1 insertion(+), 1 deletion(-)

commit fd002b0f13bbcd82b14c7a287a49160fc4c1f861 Author: Daniel Mustieles
<daniel.mustieles@gmail.com> Date:   Mon Jan 9 15:38:14 2017 +0000

    Update Spanish translation

 po/es.po | 421
 ++++++++++++++------------------------------------------------- 1 file
 changed, 89 insertions(+), 332 deletions(-)

commit db01f1e33a629795022ff6945647975f0c9fbc11 Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Sun Jan 1 21:31:25 2017 +0100

    Update Polish translation

 po/pl.po | 165
 +++++++++++++++++++++++++++++++-------------------------------- 1 file
 changed, 82 insertions(+), 83 deletions(-)

commit 9f8293bd880fbd856bad5f3aa4faa23bf4656b22 Author: Marek Černocký
<marek@manet.cz> Date:   Sat Dec 31 12:52:44 2016 +0100

    Updated Czech translation

 po/cs.po | 174
 ++++++++++++++++++++++++++++++--------------------------------- 1 file
 changed, 84 insertions(+), 90 deletions(-)

commit 1c40fa1e7a4a361cb3082313b2e72e2991e107b0 Author: Rafael Fontenelle
<rafaelff@gnome.org> Date:   Thu Dec 29 11:41:57 2016 +0000

    Update Brazilian Portuguese translation

 po/pt_BR.po | 198
 +++++++++++++++++++++++++++++++----------------------------- 1 file
 changed, 101 insertions(+), 97 deletions(-)

commit df0df5c2d1c04b439fc1ba17e0dc81d341e51b88 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Dec 28 18:16:08 2016 -0600

    Removing tests compilation warnings

 test/DomGDocumentTest.vala            | 140 ++++++------
 test/GAttributeTest.vala              |  22 +- test/GElementTest.vala
 |  19 +- test/GomDocumentTest.vala             |   7
 +- test/GomElementTest.vala              |  21
 +- test/GomSerializationTest.vala        | 113
 +++++++++- test/SerializableObjectModelTest.vala | 391
 +++++++++++++++++----------------- test/SerializableTest.vala
 |  27 ++- test/TDocumentTest.vala               |  19 +-
 test/TElementTest.vala                |  40 ++-- 10 files changed,
 480 insertions(+), 319 deletions(-)

commit 88eec36a3ae7a446d38c4c6b8d4e6c967ae14136 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Dec 28 15:14:05 2016 -0600

    DomRange improving error message

 gxml/GXmlDomRange.vala | 2 +- 1 file changed, 1 insertion(+),
 1 deletion(-)

commit 1b469a775174d25960813ab09e0c8009c9e38a01 Author: Rafael Fontenelle
<rafaelff@gnome.org> Date:   Wed Dec 28 15:03:15 2016 -0600

    Improve error messages

 gxml/GXmlDomCollections.vala | 2 +- gxml/GXmlDomRange.vala       |
 2 +- gxml/GomElement.vala         | 8 ++++---- gxml/GomNode.vala
 | 4 ++-- gxml/XParser.vala            | 2 +- 5 files changed, 9
 insertions(+), 9 deletions(-)

commit f1e4993f12f431ba900bbd70051c5073f240f08d Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Dec 28 14:40:00 2016 -0600

    Fixes on make check

 test/GomSerializationTest.vala | 4 ++++ 1 file changed, 4 insertions(+)

commit 7c81a3120183314ce2e0506c45ac58183bbff460 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Dec 12 23:35:11 2016 -0600

    Fixes to GomSerialization on GomBook

 test/GomSerializationTest.vala | 3 +++ 1 file changed, 3 insertions(+)

commit 2fbe12df10903ef4bb101b09323f8223417d185e Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Dec 12 23:30:49 2016 -0600

    Moved GomCollection for large files

    Moved to GomSerialization tests

 test/GomSerializationTest.vala | 133
 +++++++++++++++++++++++++++++++++++++++++ test/gxml-performance.vala
 | 120 ------------------------------------- 2 files changed, 133
 insertions(+), 120 deletions(-)

commit b6bb3e04e8c325916d5429dc864130cb5c0df0f7 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Dec 12 23:22:14 2016 -0600

    Minor improvements to performance tests

    Needs to test implementation of De/Serialization

 test/gxml-performance-graph.ods | Bin 21973 -> 22609 bytes
 test/gxml-performance.vala      |  14 ++++++++++++++ 2 files changed,
 14 insertions(+)

commit de8c2490122c31f54557c22be72f28828fee4f0e Author: Rafael Fontenelle
<rafaelff@gnome.org> Date:   Wed Dec 28 18:28:51 2016 +0000

    Update Brazilian Portuguese translation

 po/pt_BR.po | 418
 +++++++++++++++++++++++++++++++++++++++++++++++++----------- 1 file
 changed, 341 insertions(+), 77 deletions(-)

commit e2996b8bbb2d4b9518c2b72f26a4a1f873d7b19e Author: Daniel Mustieles
<daniel.mustieles@gmail.com> Date:   Wed Dec 21 09:16:03 2016 +0000

    Update Spanish translation

 po/es.po | 561
 ++++++++++++++++++++++++++++++++++++++++++++++++--------------- 1 file
 changed, 431 insertions(+), 130 deletions(-)

commit b521a304eb97edbc936c8e525790d046b0e4f44d Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Dec 12 20:52:23 2016 -0600

    Added write/read methods to GomElement

    Setting messages to show only on debug enable

 gxml/GomElement.vala       | 25 ++++++++++++++++++++++
 gxml/GomObject.vala        | 18 ++++++++++++++++ gxml/XParser.vala
 | 52 +++++++++++++++++++++++++++++++++++++++-------
 test/DomGDocumentTest.vala |  6 +++--- test/gxml-performance.vala | 39
 ++++++++++------------------------ 5 files changed, 102 insertions(+),
 38 deletions(-)

commit d4c4f5732d783c22785fcb8db57bc3dc0b7b5315 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Dec 12 17:57:10 2016 -0600

    Added unit tests for GomDocument.read_from_string()

 test/GomDocumentTest.vala | 18 ++++++++++++++++++ 1 file changed,
 18 insertions(+)

commit b64eacb623dd209166cf36a546bc16a4c8bb6ca7 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Dec 12 17:51:31 2016 -0600

    Added GomDocument.read_from_string(). Updated documentation

 gxml/GomDocument.vala | 28 ++++++++++++++++++++++++++-- 1 file changed,
 26 insertions(+), 2 deletions(-)

commit bed78f0faac609628beaa2fc6ea0fa7118aab5e9 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Dec 12 17:43:46 2016 -0600

    Added GomDocument.read_from_file()

    This is required to provide equivalent functionality to Serializable,
    may a read_from_string() could be useful too

 gxml/GomDocument.vala     |  7 +++++++ test/GomDocumentTest.vala |
 22 ++++++++++++++++++++++ test/TElementTest.vala    |  2 +- 3 files
 changed, 30 insertions(+), 1 deletion(-)

commit be715a8e7b520862fb2d398ffa877a658607760d Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Dec 12 13:14:13 2016 -0600

    Improve documentation. Initial performance test for GOM

    Improved documentation to easy implement GomElement and GomCollection
    derived classes.

 gxml/GomCollections.vala   |  59 +++++++++++++++
 gxml/GomElement.vala       |  23 +++++- gxml/GomNode.vala
 |  23 ++++++ test/gxml-performance.vala | 176
 ++++++++++++++++++++++++++++++++++++++------- test/tests-config.vala.in
 |   4 +- 5 files changed, 258 insertions(+), 27 deletions(-)

commit 7c90aa13d21d138b1c87a495d3f449fe50ea3303 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Dec 12 10:49:57 2016 -0600

    Fixes to compile against Vala 0.36 master

    At this moment, there are some bugs on Vala 0.36, generating VAPI
    code for libgee and valadoc failing to compile against vala 0.36,
    but no error exists on GXml code.

 gxml/GXmlDocument.vala | 6 +++--- gxml/GXmlNode.vala     | 6 +++---
 gxml/GomDocument.vala  | 2 +- gxml/Node.vala         | 6 +++---
 gxml/TDocument.vala    | 4 ++-- gxml/TNode.vala        | 8 ++++----
 6 files changed, 16 insertions(+), 16 deletions(-)

commit 056718acfd91f9c4baad0c18d940b3be9f4a8b23 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Nov 8 07:28:56 2016 -0600

    Added performance graph

 test/gxml-performance-graph.ods | Bin 17449 -> 21973 bytes 1 file
 changed, 0 insertions(+), 0 deletions(-)

commit 54a101b8059e3234a15ecdfd1b845bb88f825492 Author: Balázs Meskó
<meskobalazs@gmail.com> Date:   Tue Dec 6 14:06:45 2016 +0000

    Update Hungarian translation

 po/hu.po | 184
 +++++++++++++++++++++++++++++++++++++++++++++++---------------- 1 file
 changed, 138 insertions(+), 46 deletions(-)

commit 85480938b995f30ccc9a1f5cff7bbbc163a3efb0 Author: Rafael Fontenelle
<rafaelff@gnome.org> Date:   Fri Nov 18 11:47:45 2016 +0000

    Update Brazilian Portuguese translation (cherry picked from commit
    e6002b73502239f8416af2ab348eb2dcd955beed)

 po/pt_BR.po | 292
 +++++++++++++++++++++++++++++++++--------------------------- 1 file
 changed, 163 insertions(+), 129 deletions(-)

commit 9e4cd51aac706aad61ba7f5f2a4d701917255f6d Author: Marek Cernocky
<marek_cernocky@conel.cz> Date:   Tue Nov 8 14:21:21 2016 +0100

    Updated Czech translation

 po/cs.po | 277
 ++++++++++++++++++++++++++++++++++++++++++++++++++------------- 1 file
 changed, 221 insertions(+), 56 deletions(-)

commit 91b9b822a8d217954abeb40d842dd8dbbc056ed0 Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Tue Nov 8 10:16:45 2016 +0100

    Update Polish translation

 po/pl.po | 157
 ++++++++++++++++++++++++++++++++++++++++++++++++--------------- 1 file
 changed, 120 insertions(+), 37 deletions(-)

commit 9aa8d0494798e4801a7497d7f8ebe9f5f46040ca Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Nov 7 23:34:09 2016 -0600

    Removed Mallard documentation

 configure.ac | 3 --- 1 file changed, 3 deletions(-)

commit d85abe376a46d3ae9814ca848ee21f3662db3cad Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Nov 7 23:25:44 2016 -0600

    Fixed make distcheck

 docs/Makefile.am | 6 +++--- po/POTFILES.skip | 1 + 2 files changed,
 4 insertions(+), 3 deletions(-)

commit 647d459280adcc0ed348eba9faed112fb2d462e4 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Nov 7 23:05:10 2016 -0600

    GomArrayList: Fixed Unit Tests

 gxml/XParser.vala              | 2 +- test/GomSerializationTest.vala |
 2 +- 2 files changed, 2 insertions(+), 2 deletions(-)

commit 437e9b474bfd8ed1691b9a7933ddbcc09fb8f954 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Nov 7 22:51:44 2016 -0600

    Making documentation generation by default

 Makefile.am              |  6 +----- NEWS                     |  1 +
 configure.ac             | 39 +++++++++++++++------------------------
 gxml/GomCollections.vala |  2 +- 4 files changed, 18 insertions(+),
 30 deletions(-)

commit c30a703fd2a132d5788bf72043654e48e8d5d348 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Nov 7 22:33:49 2016 -0600

    Updated NEWS for latest changes

 NEWS         | 7 +++++++ configure.ac | 2 +- 2 files changed, 8
 insertions(+), 1 deletion(-)

commit 8caf6b7ab302a3870384c90c3a97c345ee080f3e Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Nov 7 22:21:02 2016 -0600

    GomHashMap: Added more test cases

 test/GomSerializationTest.vala | 10 ++++++++++ 1 file changed, 10
 insertions(+)

commit d1bcb2ff79b7c84822a19cbc3852a3931bcf3940 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Nov 7 21:57:10 2016 -0600

    GomHashMap: Added Unit Tests

 test/GomSerializationTest.vala | 41
 +++++++++++++++++++++++++++++++++++++++++ 1 file changed, 41
 insertions(+)

commit 465a4b250a062756d69b01b64ee365088ee2a14d Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Nov 7 21:35:16 2016 -0600

    GomArrayList: Added Unit Tests

 test/GomSerializationTest.vala | 14 +++++++------- 1 file changed,
 7 insertions(+), 7 deletions(-)

commit dbfc7326c98ba7b592abf5c92e1b715c764956af Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Nov 7 20:22:16 2016 -0600

    Fixed GomElement intialization. Fixed Collections

    GomElement initialization fixed.

    Collection read implemented.

 gxml/GomElement.vala           |  2 -- gxml/GomNode.vala
 | 16 +++++++-- gxml/GomObject.vala            |
 12 ++++--- gxml/XParser.vala              | 75
 ++++++++++++++++++++++++++++++++---------- test/GomSerializationTest.vala
 | 18 +++++++--- 5 files changed, 94 insertions(+), 29 deletions(-)

commit 60f987a9330d26e7ac2854bab618f36db28f0b5c Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Nov 7 17:55:28 2016 -0600

    GomCollection: Added new generic append()

 gxml/GomCollections.vala       | 10 ++++++++-- gxml/GomObject.vala
 |  3 ++- gxml/XParser.vala              | 45
 ++++++++++++++++++++++++++++++++---------- test/GomSerializationTest.vala
 | 22 ++++++++++----------- 4 files changed, 56 insertions(+), 24
 deletions(-)

commit 087fc1b593bfdca6e85e6f1543e8d89367dc185f Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Nov 7 17:17:01 2016 -0600

    GomCollection: Require object type

    Object type allows to instantiate objects of the same type in
    collection when reading XML trees.

 gxml/GomCollections.vala       | 48
 +++++++++++++++++++++++++++++++----------- test/GomSerializationTest.vala
 |  7 +++--- 2 files changed, 39 insertions(+), 16 deletions(-)

commit 7c135fd4f27b3f78c0e574dfd5ded917c656dac9 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Nov 7 15:14:18 2016 -0600

    GomCollection: Changed List to Queue for indexes

 gxml/GomCollections.vala       | 43
 ++++++++++++++++++++++++++++-------------- test/GomSerializationTest.vala
 | 29 ++++++++++++++++++++++++++++ 2 files changed, 58 insertions(+),
 14 deletions(-)

commit f2e5ab51982d60874d622da9abf90aa5b6a06d01 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Nov 7 13:53:09 2016 -0600

    GomProperty: Added Unit tests for reading

 test/GomSerializationTest.vala | 17 +++++++++++++++++ 1 file changed,
 17 insertions(+)

commit 87e011f35138d594eeecb4f175e70e4951d94e1b Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Mon Nov 7 09:09:24 2016 +0100

    Update POTFILES.in and POTFILES.skip

 po/POTFILES.in   | 1 + po/POTFILES.skip | 2 ++ 2 files changed,
 3 insertions(+)

commit 89d0c778a53f48c2da40261686c214a34494dfb8 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sun Nov 6 21:29:57 2016 -0600

    GomProperty: Added support to set values

    Added set values to Basic types. Added Unit Tests.

 gxml/GomProperty.vala          |  5 +++++ test/GomSerializationTest.vala
 | 13 +++++++++++-- 2 files changed, 16 insertions(+), 2 deletions(-)

commit c6fb6c8210ed2e21b1ed913b145c72f5c9a2803e Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sun Nov 6 21:15:48 2016 -0600

    GomProperty: Added unit tests for basic types

 test/GomSerializationTest.vala | 27 +++++++++++++++++++++++---- 1 file
 changed, 23 insertions(+), 4 deletions(-)

commit cdb83621d162232cf2c77f3aba9361e287b4e74e Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sun Nov 6 21:04:38 2016 -0600

    GomObject:XParser: Added support for GomProperty

    XParser and GomObject search and serialize DomElement attributes
    from all GomProperty objects in a GomElement

 gxml/GomObject.vala            | 39
 ++++++++++++++++++++++++++++----------- gxml/GomProperty.vala          |
 2 +- gxml/XParser.vala              | 29 +++++++++++++++++++++--------
 test/GomSerializationTest.vala | 10 ++++++++-- 4 files changed, 58
 insertions(+), 22 deletions(-)

commit 4b9a5d1d99473a36ffce68abe510b4418bc00438 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sun Nov 6 19:39:50 2016 -0600

    GomProperty: New interface for GObject attributes

    GomProperty binds Objects to DomElement's attributes.  Basic types
    implementations have been added.

 gxml/GomProperty.vala          | 132
 +++++++++++++++++++++++++++++++++++++++++ gxml/Makefile.am
 |   1 + test/GomSerializationTest.vala |  51 ++++++++++++++++ 3 files
 changed, 184 insertions(+)

commit f2f28205bd380f3b70e86c7b223b2934a8ef1ab0 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sun Nov 6 13:50:27 2016 -0600

    GomCollections: Improved documentation

 gxml/GomCollections.vala | 22 +++++++++++++++++++--- 1 file changed,
 19 insertions(+), 3 deletions(-)

commit 631d9d36fb09e4871528aa559fc1f844411f4e24 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sun Nov 6 13:27:19 2016 -0600

    GomHashMap: New collection using a string key

    GomHasMap is a new class collection using an attribute string as
    key. Key attribute should be defined in DomElement in order to set()
    to collection and be used in get().

 gxml/GomCollections.vala       | 77
 ++++++++++++++++++++++++++++++++++++++++++ test/GomSerializationTest.vala
 | 61 ++++++++++++++++++++++++++++++++- 2 files changed, 137
 insertions(+), 1 deletion(-)

commit faf265f4ca3aa65ba12b63601398c79b01f56329 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sun Nov 6 11:49:13 2016 -0600

    GomCollection: Fixed get_item() with unit tests

 gxml/GomCollections.vala       |  4 +++- test/GomSerializationTest.vala |
 12 +++++++++--- 2 files changed, 12 insertions(+), 4 deletions(-)

commit 2e221168b40b6dafd4c5d472461966b9b60b07fe Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Sun Nov 6 18:55:18 2016 +0100

    Update POTFILES.in and POTFILES.skip

 po/POTFILES.in   | 1 + po/POTFILES.skip | 2 ++ 2 files changed,
 3 insertions(+)

commit ed44ae7171939b7dbc06c6bc2522ce9f0ee2da89 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sun Nov 6 11:21:49 2016 -0600

    GomArrayList: Added unit test

 test/GomSerializationTest.vala | 25 +++++++++++++++++++++++-- 1 file
 changed, 23 insertions(+), 2 deletions(-)

commit 67256d7af7efa6f2c61cc26f91ae35ab03f15970 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sun Nov 6 10:32:45 2016 -0600

    GomCollection: renamed element_name to items_name

    Improved documention.

    Added initial test case.

 gxml/GomCollections.vala       | 27 +++++++++++++++++----------
 test/GomSerializationTest.vala | 27 +++++++++++++++++++++++++++ 2 files
 changed, 44 insertions(+), 10 deletions(-)

commit a018ac753bf23e515d3291336ea6c4300e317d4b Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sat Nov 5 23:34:18 2016 -0600

    GomCollection: added abstract search() method

    Implementations should be able to search and add referecences to
    indexs for GomObject nodes that can our should be part of a collection

 gxml/GomCollections.vala | 15 +++++++++++++++ 1 file changed, 15
 insertions(+)

commit bde10660cceeb7c24d9264068869ab2838d180bd Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sat Nov 5 23:24:15 2016 -0600

    New GomCollection interface and GomArrayList class

    GomCollection is an interface to store references to XML Elements as
    child of a given parent element.  GomArrayList implement GomCollection
    to support ordered and indexed references to elements.

 gxml/GomCollections.vala | 97
 ++++++++++++++++++++++++++++++++++++++++++++++++ gxml/Makefile.am
 |  1 + 2 files changed, 98 insertions(+)

commit b8b6fd39cb0c59e803afacb8a85b6bf9010f093a Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Sun Nov 6 09:14:03 2016 +0100

    Update Polish translation

 po/pl.po | 220
 +++++++++++++++++++++++++++++++++++++++++++++++++++------------ 1 file
 changed, 179 insertions(+), 41 deletions(-)

commit d2854bbfa801a9a4a9d2e4739226fc252b1c2a87 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sat Nov 5 20:58:41 2016 -0600

    XParser: Test for deserialize GomObject properties

 gxml/XParser.vala              | 2 +- test/GomSerializationTest.vala |
 9 ++++++--- 2 files changed, 7 insertions(+), 4 deletions(-)

commit 3e2d9a2053bfe39ffdcd8af749b2dabfd81056aa Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sat Nov 5 20:49:42 2016 -0600

    DomNode: API change, can set document at construct

    This is a convenient change to allow use Object.new for
    GomObject/GomElement derived classes creation and set its parent
    document

 gxml/DomNode.vala              |  2 +- gxml/GXmlNode.vala
 |  5 ++++- gxml/GomNode.vala              |  7 +++++--
 test/GomSerializationTest.vala | 13 ++++++++----- 4 files changed,
 18 insertions(+), 9 deletions(-)

commit 961b9b19051eae856fbcef120bd23079eaa4a272 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sat Nov 5 20:20:25 2016 -0600

    GomObject-XParser: Search for object properties

    XParser searchs if a node is an object's property if current XML
    element node's name is one of expected for current TextReader found
    node. If so, it is used to set object's property by deserializing it.

 gxml/GomNode.vala              |   2 +- gxml/GomObject.vala
 |  21 +++++- gxml/XParser.vala              | 167
 ++++++++++++++++++++++++----------------- test/GomSerializationTest.vala
 |  17 +++++ 4 files changed, 135 insertions(+), 72 deletions(-)

commit d96797fe0d1981be7318c965ab33cbbd9d93def3 Author: Balázs Meskó
<meskobalazs@gmail.com> Date:   Sat Nov 5 17:24:36 2016 +0000

    Update Hungarian translation

 po/hu.po | 306
 +++++++++++++++++++++++++++++++++++++++++++++++---------------- 1 file
 changed, 230 insertions(+), 76 deletions(-)

commit 649510327091cdc9f5d5f655906cbff3fbc37fab Author: Balázs Meskó
<meskobalazs@gmail.com> Date:   Sat Nov 5 09:05:52 2016 +0000

    Update Hungarian translation (cherry picked from commit
    1422cc530d0383b998245047369e090d7273c83e)

 po/hu.po | 150
 +++++++++++++++++++++++++++++++++++---------------------------- 1 file
 changed, 83 insertions(+), 67 deletions(-)

commit 6f41c293e4ba7993d18fe067b2636944ccd49f74 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Nov 4 20:44:03 2016 -0600

    XParser: Throw error on incorrect node name

    Parsing a DomElement with a different name from expected, throws error

 gxml/XParser.vala              | 8 ++++++++
 test/GomSerializationTest.vala | 8 ++++++++ 2 files changed, 16
 insertions(+)

commit f752b45e152984f3734a2d7b52e661da3161a092 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Nov 4 15:15:17 2016 -0600

    GomObject: Ignored properties returns null

 test/GomSerializationTest.vala | 2 +- 1 file changed, 1 insertion(+),
 1 deletion(-)

commit 4ba2509d410516d3d8ce2e168127ea5552052b33 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Nov 4 15:10:31 2016 -0600

    GomObject: use of nick to set/get properties

    Changed behavior for get_property() and set_property() to use nick
    case insensitive

    Serializable properties are taken from a list of nick names of them.

 gxml/GomObject.vala            | 38
 +++++++++++++++++++++----------------- gxml/XParser.vala              |
 7 +++---- test/GomSerializationTest.vala | 14 +++++++++++--- 3 files
 changed, 35 insertions(+), 24 deletions(-)

commit 4dd45602c91f12d4fa8eb93d7e32c45c66dd64d4 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Nov 4 14:20:27 2016 -0600

    GomObject: Fixed set_attribute return value

 gxml/GomObject.vala | 9 ++++++++- 1 file changed, 8 insertions(+),
 1 deletion(-)

commit 8e3ca41dd33659112499e05241398e7ca7a78764 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Nov 4 14:16:06 2016 -0600

    GomObject: Handles properties name as nicks

 gxml/GomObject.vala            | 61
 +++++++++++++++++++++++++++++++++++++++--- gxml/XParser.vala
 |  5 ++-- test/GomSerializationTest.vala | 16 +++++++---- 3 files
 changed, 71 insertions(+), 11 deletions(-)

commit 55df440bc2aba296f42e8482e517f63584346689 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Nov 4 13:08:12 2016 -0600

    GOM: Removed Parser in Gom classes

    To serialize to string/stream, you now requires to create a parser
    giving the DomNode you want to write/read then call read/write
    functions over parser

 gxml/GomDocument.vala          | 24 ++++++++++--------------
 test/GomDocumentTest.vala      | 18 ++++++++++++------
 test/GomElementTest.vala       |  9 ++++++---
 test/GomSerializationTest.vala | 19 +++++++++++++++---- 4 files changed,
 43 insertions(+), 27 deletions(-)

commit 9902825d80f18b19a671752871df350f8058c860 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Nov 4 12:30:16 2016 -0600

    Parser: Now use a generic DomNode

    Serializable is done over a node, using its owner document.

 gxml/GomNode.vala              | 15 ++++++--- gxml/GomObject.vala
 |  4 +++ gxml/Parser.vala               |  7 +--- gxml/XParser.vala
 | 75 ++++++++++++++++++++++--------------------
 test/GomSerializationTest.vala | 12 +++++++ 5 files changed, 67
 insertions(+), 46 deletions(-)

commit ebb776de385c9ec76ae1e50403293ab326fcc22d Author: Christian Kirbach
<Christian.Kirbach@gmail.com> Date:   Fri Nov 4 18:45:11 2016 +0000

    Update German translation (cherry picked from commit
    57e2419ff757ae604cdc1f588d685c4342571d6f)

 po/de.po | 171
 +++++++++++++++++++++++++++++++++++++-------------------------- 1 file
 changed, 102 insertions(+), 69 deletions(-)

commit 325431d7df74a108fe2fb1af5b39da658752688b Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Nov 3 18:11:21 2016 -0600

    GOM: Added support to boolean and enumerations

    GomObject now have support to serialize boolean and enumeration values

 gxml/GomObject.vala            | 12 ++++++++++++
 test/GomSerializationTest.vala | 18 ++++++++++++++++-- 2 files changed,
 28 insertions(+), 2 deletions(-)

commit ada5076d11d45ace12db90108d4642eeece9ee56 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Nov 3 17:13:24 2016 -0600

    GOM: Serializable of double types added

    Support for double types properties has been added with long name
    use. To access your properties you need to use Canonalized name
    this is:

    double long_name { get; set; }

    will be accessible using .get_property ("long-name")

 gxml/GomObject.vala            |  3 +++ test/GomSerializationTest.vala |
 19 +++++++++++++++++++ 2 files changed, 22 insertions(+)

commit 6266b290a469985e82e096959de6a23c2bdb3a9a Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Nov 3 17:03:02 2016 -0600

    GOM: Added test case for ignored properties

 test/GomSerializationTest.vala | 29 ++++++++++++++++++++++++-----
 1 file changed, 24 insertions(+), 5 deletions(-)

commit 887454f1fc36991b10229562aae846f14a3ea971 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Nov 3 16:50:48 2016 -0600

    GOM: Using property nick to find serializables

    If you define a property with a prefix "::" it will be serialized
    as a XML element attribute.

    Property's nick are used as attribute's name take care to use
    descriptive names using, may be, camel case names.

 gxml/GomObject.vala            | 10 ++++++++++ gxml/XParser.vala
 | 11 +++++++++++ test/GomSerializationTest.vala |  7 ++++++- 3 files
 changed, 27 insertions(+), 1 deletion(-)

commit 33aa92438f632245d707266e545344d019374731 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Nov 3 15:51:26 2016 -0600

    GomElement: Added default initializer

    A GomElement initilize its self with a GomDocument and add its self to
    it, this makes possible to derive classes witha constructor setting
    its _local_name as node local name

 gxml/GomDocument.vala          |  2 +- gxml/GomElement.vala           |
 18 +++--------------- gxml/GomObject.vala            | 11 +++++++++++
 gxml/XParser.vala              |  1 + test/GomDocumentTest.vala      |
 2 -- test/GomSerializationTest.vala |  5 ++--- 6 files changed, 18
 insertions(+), 21 deletions(-)

commit 436d930af6a9c8741e7dd7d816468a54e205787e Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Nov 3 15:14:01 2016 -0600

    GomObject: Added get string object properties

 gxml/GomElement.vala           | 19 +++++++++++++++++++
 gxml/GomObject.vala            | 10 +++++++---
 test/GomSerializationTest.vala |  7 ++++++- 3 files changed, 32
 insertions(+), 4 deletions(-)

commit 3235ebeeef2c440cea1c9fff20fe65c50d922be6 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Nov 3 14:44:02 2016 -0600

    GomSerialization: Intial Unit Tests

 test/GXmlTest.vala             |  1 + test/GomSerializationTest.vala
 | 41 +++++++++++++++++++++++++++++++++++++++++ test/Makefile.am
 |  1 + 3 files changed, 43 insertions(+)

commit 57ba15fc85d59ca993ec8d8015a892fb690044ef Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Thu Nov 3 20:53:15 2016 +0100

    Update POTFILES.in and POTFILES.skip

 po/POTFILES.in   | 1 + po/POTFILES.skip | 2 ++ 2 files changed,
 3 insertions(+)

commit c7a3a60bea22add99f3a263bca0e085e737c7363 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Nov 3 13:31:06 2016 -0600

    GomElement: Fixed detection of xmlns redefinition

 gxml/GomElement.vala | 2 +- 1 file changed, 1 insertion(+), 1 deletion(-)

commit 056554a8b765b7aebf26a6f1431fc980c096e251 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Nov 3 13:19:08 2016 -0600

    XParser: Added test to write xmlns on element

    With no attribute defining a namespace add it and check writing output

 test/GomDocumentTest.vala | 3 +++ 1 file changed, 3 insertions(+)

commit f85f1cf026826b37138bdaf9e62b963f0230abd7 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Nov 3 13:14:44 2016 -0600

    XParser: write element defuault xmlns

    If element has a namespace defined but no prefix parser adds its
    namespace definition

 gxml/GomDocument.vala     |  2 +- gxml/XParser.vala         |  7 +++++++
 test/GomDocumentTest.vala | 15 +++++++++++++++ 3 files changed, 23
 insertions(+), 1 deletion(-)

commit c2114c07a6e2ff0d285a19796b10c81180ebc081 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Nov 3 12:56:24 2016 -0600

    XParser: Namespaced elements just include prefix

    No more add a namespace definition by default on namespaced elements

 gxml/XParser.vala | 9 ++++++--- 1 file changed, 6 insertions(+),
 3 deletions(-)

commit 1268aa51bd9246bd695093c59e342d1ba139cc4d Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Nov 3 12:49:20 2016 -0600

    XParser: Fixed writting just attribes no ns

    If an attribute is prefixed, no namespace definition is added
    to output.

 gxml/XParser.vala         | 21 ++++-----------------
 test/GomDocumentTest.vala | 28 ++++++++++------------------ 2 files
 changed, 14 insertions(+), 35 deletions(-)

commit 5cda12afeac1201bd010d18fa0178c4c4fca756b Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Nov 3 11:52:22 2016 -0600

    GOM: Improved creating/appending ns elements

    Namespaced elements don't try to add a namespace declaration any more,
    when it is appended to parent and no namespace is found

    Added error validations to GomDocument.create_element for namespace
    URI and prefix

    Updated Unit tests

 gxml/GomDocument.vala     | 15 +++++++++++---- gxml/GomNode.vala
 |  9 --------- test/GomDocumentTest.vala | 16 ++++++++++++++-- 3 files
 changed, 25 insertions(+), 15 deletions(-)

commit a25267b2cb3139f3d9b470344c9c47f9b9d2ce99 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Nov 3 10:46:30 2016 -0600

    GOM: Fixed adding namespaced elements

    Namespaced elements should have a valid namespace according with
    the ones defined in parent node to add to.

    If a namespaced element have a defined URI, namespace is not found
    in parent node to add to and no namespace attribute is defined in
    element, one is added using element's prefix and namespace URI

 gxml/GomDocument.vala     |  6 ++++-- gxml/GomElement.vala      |
 3 --- gxml/GomNode.vala         | 28 +++++++++++++++++++++++++++-
 test/GomDocumentTest.vala | 34 +++++++++++++++++++++++++++++++++-
 4 files changed, 64 insertions(+), 7 deletions(-)

commit f0de5964ccec08172163b9dfb57625cba2540f11 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Nov 3 09:54:24 2016 -0600

    GomElement: Improved namespace conflic detection

    Now setting a namespace attribute doesn't update the one at
    Element. Updated Tests.

    Redefinition of xmlns detection improved.

 gxml/GomElement.vala      | 29 ++++++++++-------------------
 test/GomDocumentTest.vala | 25 ++++++++++++++----------- 2 files changed,
 24 insertions(+), 30 deletions(-)

commit 30f0aadee2dda218acbeabfe9abf1b4677276bd9 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Nov 2 22:11:40 2016 -0600

    XParser: Fixes on xml prefix parsing and write

 gxml/GomElement.vala      | 2 +- gxml/Parser.vala          | 2 --
 gxml/XParser.vala         | 9 +++++++-- test/GomDocumentTest.vala |
 2 +- 4 files changed, 9 insertions(+), 6 deletions(-)

commit ef2cf3a08aad29dd62b3af033972b1b28b2fb51d Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Nov 2 18:41:39 2016 -0600

    GomDocument: Added write to file

    Implemented Parser.write_file() and associated to allows file writing
    and streaming

 gxml/GomDocument.vala     | 10 +++++++++- gxml/Parser.vala          |
 33 ++++++++++++++++++++++++++------ gxml/XParser.vala         | 48
 ++++++++++++++++++++++++++++++++++++++--------- test/GomDocumentTest.vala
 | 16 ++++++++-------- 4 files changed, 83 insertions(+), 24 deletions(-)

commit 28e503acc0810058029bb1d4dfa2a7d8a9dab817 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Nov 2 18:00:28 2016 -0600

    GomNode: Removed to_string()

    Write a node is like a write a document, may we need to create a
    DocumentFragment instead to write out to string just required nodes.

 gxml/GomNode.vala        |  4 ---- gxml/Parser.vala         |  4
 ---- gxml/XParser.vala        |  2 -- test/GomElementTest.vala | 20
 -------------------- 4 files changed, 30 deletions(-)

commit b4b776572d4407b763ea7e577eec4952e35dbed1 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Nov 2 17:54:16 2016 -0600

    GomElement: Added tests for errors in ns attributes

 test/GomElementTest.vala | 7 ++++++- 1 file changed, 6 insertions(+),
 1 deletion(-)

commit d9228d9818065cde4405479f54de1296655f1139 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Nov 2 17:51:27 2016 -0600

    Added test to add and remove namespaced attributes

 test/GomElementTest.vala | 10 ++++++++++ 1 file changed, 10 insertions(+)

commit 5ab97759afef6d0fc335904d0828ee88cb26bb9c Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Nov 2 17:45:26 2016 -0600

    Fixed GomElement.remove_attribute()

 gxml/GomElement.vala     | 3 ++- test/GomElementTest.vala | 9 +++++----
 2 files changed, 7 insertions(+), 5 deletions(-)

commit 72b78333f09a204afebf7df0c9b4edc69d091dc5 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Nov 2 17:29:36 2016 -0600

    Fixed detection of conflictive namespaces

 gxml/GomElement.vala      |  2 +- test/GomDocumentTest.vala
 | 21 +++++++++------------ test/GomElementTest.vala  | 37
 +++++++++++++++++++++++++++++++++++++ 3 files changed, 47 insertions(+),
 13 deletions(-)

commit 2ce8bbd57741db4e25f553a1f4539521d016e417 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Nov 2 16:51:22 2016 -0600

    Fixed throw error on invalid URI namespace

 gxml/GomElement.vala      | 2 +- test/GomDocumentTest.vala | 4 ++++
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 51b2a2f6a6df00d7bea7f01e03c6aa5d5ccec697 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Nov 2 16:48:15 2016 -0600

    Fixed throw error of incorrect namespace prefix

 gxml/GomElement.vala | 73
 ++++++++++++++++++++++++++++------------------------ 1 file changed,
 40 insertions(+), 33 deletions(-)

commit 4dc0506ff1253543522781229e4393649f661a44 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Nov 2 15:19:33 2016 -0600

    Fixes on namespaces handling

    Fixes on lookup namespaces' prefix and URI

    Fixes on XParser reading namespaces on elements

    Simplified getting namespaced attributes

    Added some Unit Tests for namespaces

 gxml/GomDocument.vala    |   2 +- gxml/GomElement.vala     | 162
 +++++++++++++++++++++++++++-------------------- gxml/XParser.vala
 |  18 ++++-- test/GomElementTest.vala |  17 ++++- 4 files changed,
 123 insertions(+), 76 deletions(-)

commit da0d6571a8c82fd1fbd3d9631c067195879f2297 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Nov 1 17:49:33 2016 -0600

    GomElement: Added unit tests and API additions

    Added to_string() to GomNode.

    Added write_node() to Parser and XParser.

 gxml/GomDocument.vala    |  14 +++-- gxml/GomNode.vala        |   5
 ++ gxml/Parser.vala         |   4 ++ gxml/XParser.vala        |   2
 + test/GXmlTest.vala       |   1 + test/GomElementTest.vala | 140
 +++++++++++++++++++++++++++++++++++++++++++++++ test/Makefile.am
 |   1 + 7 files changed, 161 insertions(+), 6 deletions(-)

commit 6166d8fb3398fd48de701e14277181c28344b0b6 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Nov 1 16:48:16 2016 -0600

    GomElement: Fixes on lookup namespaces

 gxml/GomElement.vala      | 32 ++++++++++++++++----------------
 gxml/GomNode.vala         | 14 +++++++++++--- test/GomDocumentTest.vala |
 12 +++++++++--- 3 files changed, 36 insertions(+), 22 deletions(-)

commit e0b836fade9dd8dde4b2ba6b7b02ec1a251b7bff Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Nov 1 14:49:31 2016 -0600

    GomElement: Fixed lookup_prefix and errors in ns

 gxml/GomElement.vala      | 28 +++++++++++++++++++++-------
 test/GomDocumentTest.vala | 40 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 61 insertions(+), 7 deletions(-)

commit b47f0d3c4f6e5a5d03edb7768bc1115059d4b616 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Nov 1 13:49:49 2016 -0600

    XParser: Read significan white spaces as Text nodes

 gxml/XParser.vala         |  4 ++++ test/GomDocumentTest.vala | 10
 +++++----- 2 files changed, 9 insertions(+), 5 deletions(-)

commit bb389d90d13b3f4a5e8ecb9b89d7d77d371e79eb Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Nov 1 13:30:59 2016 -0600

    XParser: Fixed write_string()

 gxml/GomDocument.vala     |  4 ++++ gxml/GomElement.vala      |
 27 +++++++++++++++++++++------ gxml/GomText.vala         |  1 -
 gxml/XParser.vala         | 12 +++++++++++- test/GomDocumentTest.vala |
 9 ++++++--- 5 files changed, 42 insertions(+), 11 deletions(-)

commit 147e87406354c6428a0170126bd7306f3922dcf4 Author: Marek Černocký
<marek@manet.cz> Date:   Tue Nov 1 10:06:12 2016 +0100

    Updated Czech translation

 po/cs.po | 102
 +++++++++++++++++++++++++++++++++++++++++++++++---------------- 1 file
 changed, 77 insertions(+), 25 deletions(-)

commit e7938f1320c908a1e39d86810e419b5a1135417c Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Nov 1 00:01:50 2016 -0600

    GomElement: Fixed namespace implementation

    Much more error messages and API changes to improve errors on
    namespaces.

    Setting an attribute with namespace make namespaced elements taking,
    if not already, given namespace and checking if no conflics exists
    with some other already defined.

 NEWS                      |   1 + gxml/DomElement.vala      |   4 +-
 gxml/GXmlElement.vala     |   4 +- gxml/GomElement.vala      | 118
 ++++++++++++++++++++++++++++------------------ gxml/GomText.vala
 |   1 - test/GomDocumentTest.vala |  12 ++--- 6 files changed, 84
 insertions(+), 56 deletions(-)

commit 7aafe8b2a3d88b4ce82db3db297d0f82e24090cb Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Oct 31 16:25:18 2016 -0600

    GomElement: Fixed set/get_attribute

    GomObject now process set/get_attribute and return if it they
    actually changes/return a value from object's properties, if not,
    attribute is searched in DOM Element's attributes

 gxml/GomElement.vala      | 12 ++++++++++-- gxml/GomObject.vala       |
 23 ++++++++++++----------- test/GomDocumentTest.vala |  2 +- 3 files
 changed, 23 insertions(+), 14 deletions(-)

commit e2440464244f79868cbc31a1782a0900d20e6630 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Oct 31 15:13:28 2016 -0600

    GomDocument: fixes on constructs and unit tests

 gxml/GomAttr.vala         |  2 +- gxml/GomDocument.vala     | 35
 ++++++++++------------------------- gxml/Parser.vala          |  4 +++-
 gxml/XParser.vala         |  8 +++++--- test/GomDocumentTest.vala |
 42 ++++++++++++++++++++++-------------------- 5 files changed, 41
 insertions(+), 50 deletions(-)

commit 5136efdbf16a6ff57430812cb93787c70a0c201f Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Oct 31 12:02:51 2016 -0600

    GOM: Fixes on Parser to GomDocument

    Fixed GomDocument.from_string() and its Unit Test
    gom-document/construct_from_string

    Fixed GomNode.insert_before() by checking for GomNode objects to add

 gxml/GomDocument.vala     |  2 ++ gxml/GomElement.vala      |  1 +
 gxml/GomNode.vala         |  4 +--- gxml/Parser.vala          |  4 ++++
 gxml/XParser.vala         | 41 ++++++++++++++++-------------------------
 test/GomDocumentTest.vala |  2 +- 6 files changed, 25 insertions(+),
 29 deletions(-)

commit c62433ca307ebc4ca9ac9bebf8411f46dc31ae51 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Oct 31 10:33:21 2016 -0600

    GomDocument: Adding constructors

 gxml/GomDocument.vala     | 59
 ++++++++++++++++++++++++++++++++++++++++++----- gxml/Parser.vala
 |  3 ++- gxml/XParser.vala         |  2 +- test/GomDocumentTest.vala |
 7 ++++-- 4 files changed, 61 insertions(+), 10 deletions(-)

commit a970333f15a66001f920b7726e9f2d9351566a53 Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Mon Oct 31 06:16:48 2016 +0100

    Update POTFILES.in and POTFILES.skip

 po/POTFILES.in   | 1 + po/POTFILES.skip | 2 ++ 2 files changed,
 3 insertions(+)

commit eca7525325ce3354812f8043182a939c0f1ddc8f Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sun Oct 30 22:05:23 2016 -0600

    Fixing GOM Unit Tests: Processing Instruction

    Unit tests don't pass due to segfault on Processing Instruction
    access to target attribute

 gxml/DomEvents.vala       |  2 +- gxml/DomNode.vala         |  2 +-
 gxml/GXmlDomEvents.vala   |  4 ++-- gxml/GomDocument.vala     |  2
 ++ gxml/GomNode.vala         |  4 +++- gxml/GomText.vala         |
 25 ++++++++++++++----------- gxml/Node.vala            |  4 ++--
 gxml/XParser.vala         | 15 +++++++-------- test/GomDocumentTest.vala
 | 12 ++++++++---- 9 files changed, 40 insertions(+), 30 deletions(-)

commit ae6c3a3ebafaaded801f63c44c3adc46777b17ed Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sun Oct 30 09:09:03 2016 -0600

    GomElement: Removing redundant DomNode interface

    If DomNode is declared as implemented interface, access to parent
    GomNode implementation methods creates an infinite loop

 gxml/GomElement.vala      |  1 - gxml/GomNode.vala         | 29
 ++++++++++++++++++++--------- test/GXmlTest.vala        |  1 +
 test/GomDocumentTest.vala | 18 +++++++++++------- 4 files changed,
 32 insertions(+), 17 deletions(-)

commit 69e1dd64183ae3de672b4d87993c017e949bc365 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Oct 28 13:18:02 2016 -0500

    Parser: Updates to interfaces

 gxml/Parser.vala  | 10 +++------ gxml/XParser.vala | 65
 ++++++++++++++++++++++++++++--------------------------- 2 files changed,
 36 insertions(+), 39 deletions(-)

commit 2d7e981425b42fa2144c5af93ac62583a525edf0 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Oct 27 19:01:28 2016 -0500

    XParser: Initial for read/write

 gxml/Parser.vala  |  43 ++++++- gxml/XParser.vala | 341
 ++++++++++++++++++++++++++++++++++++++++++++++++++++-- 2 files changed,
 370 insertions(+), 14 deletions(-)

commit 3b6aaec2e4ce252285aa63b6206a193192763d10 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Oct 27 17:21:33 2016 -0500

    Parser: New Parser interface and XParser class

    Parser is intented to be an interface to read and write XML documents
    to be implemented by different engines.

 gxml/Makefile.am  |  2 ++ gxml/Parser.vala  | 37
 +++++++++++++++++++++++++++++++++++++ gxml/XParser.vala | 41
 +++++++++++++++++++++++++++++++++++++++++ 3 files changed, 80
 insertions(+)

commit f6a4c4793467ec51673f1261f4a83b3da284973e Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Sun Oct 30 04:18:23 2016 +0100

    Update Polish translation

 po/pl.po | 150
 +++++++++++++++++++++++++++++++++------------------------------ 1 file
 changed, 78 insertions(+), 72 deletions(-)

commit 6ca4aa8f3450e406d307c299078e4ec711df8f86 Author: Marek Černocký
<marek@manet.cz> Date:   Fri Oct 28 09:28:54 2016 +0200

    Updated Czech translation

 po/cs.po | 136
 +++++++++++++++++++++++++++++++++------------------------------ 1 file
 changed, 71 insertions(+), 65 deletions(-)

commit 82436c28befd3353a7ed579a1581f3f4263f9699 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Oct 27 16:35:24 2016 -0500

    Fixed Unit Tests for TDocument

 gxml/TDocument.vala     | 3 --- test/TDocumentTest.vala | 5 +++++
 2 files changed, 5 insertions(+), 3 deletions(-)

commit 7369d28498527f81764cf73a53b9105c61124c92 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Oct 27 16:22:56 2016 -0500

    Return currect NodeType for TNode's

 NEWS                             | 1 + gxml/GXmlNode.vala               |
 2 +- gxml/NodeType.vala               | 2 +- gxml/TAttribute.vala
 | 3 +++ gxml/TCDATA.vala                 | 1 + gxml/TComment.vala
 | 1 + gxml/TDocument.vala              | 1 + gxml/TElement.vala
 | 3 +++ gxml/TNode.vala                  | 3 ++-
 gxml/TProcessingInstruction.vala | 1 + gxml/TText.vala                  |
 1 + 11 files changed, 16 insertions(+), 3 deletions(-)

commit 92889b45160f53cff2c20bd1d0a70d48f355a43b Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Oct 27 16:10:36 2016 -0500

    Fixed unit tests for SerializableObjectModel

 gxml/DomNode.vala                           |
 1 - test/GomDocumentTest.vala                   | 8
 ++++---- test/SerializablePropertyValueListTest.vala | 2 +-
 test/SerializableTest.vala                  | 2 +- 4 files changed,
 6 insertions(+), 7 deletions(-)

commit ea417ab7d4f64be74fbc60d3d0b32174572a828a Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Oct 27 15:53:18 2016 -0500

    GomDocument: Unit Test now build correctly

 NEWS                      |   1 + gxml/DomNode.vala
 |   1 + test/GomDocumentTest.vala | 241
 ++++++++++++++++++++-------------------------- test/Makefile.am
 |   1 + 4 files changed, 107 insertions(+), 137 deletions(-)

commit 52c29e71d8612ca65048f9950bb1ec03179c2dc5 Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Thu Oct 27 22:52:49 2016 +0200

    Update POTFILES.in and POTFILES.skip

 po/POTFILES.in   |  6 +----- po/POTFILES.skip | 11 +---------- 2 files
 changed, 2 insertions(+), 15 deletions(-)

commit ae7c62e6b53ab8e5f48ab79f1c244dcd21cb6d84 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Oct 27 15:11:28 2016 -0500

    DOM1: Old Unit Tests removed

 test/CharacterDataTest.vala |  99 --------- test/DocumentTest.vala      |
 521 -------------------------------------------- test/ElementTest.vala
 | 466 --------------------------------------- test/NamespaceTest.vala
 |  52 ----- 4 files changed, 1138 deletions(-)

commit 3956905af7bce8a1f6434bce206f479c82b0a8a7 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Oct 27 15:06:23 2016 -0500

    Old DOM1 implemention removed

 gxml/libxml-Attr.vala                  | 264
 ---------- gxml/libxml-AttrChildNodeList.vala     |
 55 -- gxml/libxml-BackedNode.vala            | 350
 ------------ gxml/libxml-CDATASection.vala          |  55
 -- gxml/libxml-CharacterData.vala         | 181 -------
 gxml/libxml-ChildNodeList.vala         | 326 ------------
 gxml/libxml-Comment.vala               |  51 -- gxml/libxml-Document.vala
 | 938 --------------------------------- gxml/libxml-DocumentFragment.vala
 |  62 --- gxml/libxml-DocumentType.vala          |
 110 ---- gxml/libxml-DomException.vala          |
 142 ----- gxml/libxml-Element.vala               | 507
 ------------------ gxml/libxml-Entity.vala                |
 135 ----- gxml/libxml-EntityChildNodeList.vala   |  55 --
 gxml/libxml-EntityReference.vala       |  56 -- gxml/libxml-Error.vala
 |   7 - gxml/libxml-Implementation.vala        | 141
 ----- gxml/libxml-LinkedList.vala            |  95
 ---- gxml/libxml-NamedAttrMap.vala          | 348
 ------------ gxml/libxml-NamedNodeMap.vala          |
 42 -- gxml/libxml-NamespaceAttr.vala         | 137 -----
 gxml/libxml-NamespaceAttrNodeList.vala | 170 ------ gxml/libxml-Node.vala
 | 520 ------------------ gxml/libxml-NodeChildNodeList.vala
 |  63 --- gxml/libxml-NodeList.vala              |
 110 ---- gxml/libxml-Notation.vala              |  72
 --- gxml/libxml-ProcessingInstruction.vala |  91 ----
 gxml/libxml-TagNameNodeList.vala       |  33 -- gxml/libxml-Text.vala
 | 105 ---- 29 files changed, 5221 deletions(-)

commit acec6f381a5e64a00c680fc1513661fa9313b37a Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Oct 27 15:04:28 2016 -0500

    DOM: Removing long types from collections and range

 gxml/DomCollections.vala |  8 ++++---- gxml/DomRange.vala       | 12
 ++++++------ gxml/GXmlDomRange.vala   | 18 +++++++++--------- 3 files
 changed, 19 insertions(+), 19 deletions(-)

commit 411247603bb5943a18c2a963a70cdd173d7ac737 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Oct 27 14:58:11 2016 -0500

    DOM: Removing more ulong/long references

 gxml/DomCollections.vala     | 46
 ++++++++++++++++++++++---------------------- gxml/DomDocument.vala
 |  4 ++-- gxml/GXmlDocument.vala       | 18 ++++++++---------
 gxml/GXmlDomCollections.vala |  8 ++++---- gxml/GXmlElement.vala        |
 2 +- gxml/GXmlHashMapAttr.vala    |  4 ++-- gxml/GXmlListChildren.vala
 |  2 +- gxml/GomDocument.vala        |  8 ++++---- gxml/GomElement.vala
 |  6 +++--- gxml/GomNode.vala            |  2 +- 10 files changed,
 50 insertions(+), 50 deletions(-)

commit 2510bce7ddad2a5b13d7bc05baf050c75c0bd03c Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Oct 27 14:43:29 2016 -0500

    DomCharacter: changing ulong to int

 NEWS                   |  1 + gxml/DomCharacter.vala | 12 ++++++------
 2 files changed, 7 insertions(+), 6 deletions(-)

commit 3796ad48975bc09eeeba9c78a6b73b5446c8a763 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Oct 27 14:40:25 2016 -0500

    GOM: Fixed build

 gxml/DomCollections.vala   |  2 +- gxml/GXmlListChildren.vala |  2
 +- gxml/GomElement.vala       | 13 +++++++------ gxml/GomNode.vala
 | 15 +++++++++------ gxml/GomObject.vala        | 10 +++++++++-
 gxml/GomText.vala          |  5 ++++- 6 files changed, 31 insertions(+),
 16 deletions(-)

commit 838ca0f1d34df896524ea8f2179dedfc3c989293 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Oct 27 13:36:45 2016 -0500

    GOM: Adding initial unit tests for GomDocument

 test/GomDocumentTest.vala | 350
 ++++++++++++++++++++++++++++++++++++++++++++++ 1 file changed, 350
 insertions(+)

commit 018b88d26efe8f899fa628464db4f8fd97145384 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Oct 27 13:34:22 2016 -0500

    GOM: Fixing more build errors

 gxml/DomNode.vala    |  18 +++-- gxml/GomAttr.vala
 |  61 +++++++++++++++ gxml/GomElement.vala | 208
 ++++++++++++++++++++++++++++++--------------------- gxml/GomNode.vala
 | 100 ++++++++----------------- gxml/GomObject.vala  |  33 +++++---
 gxml/Makefile.am     |   1 + 6 files changed, 248 insertions(+),
 173 deletions(-)

commit d84a88d27dd8cab600be689a35de0826350401a6 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Oct 26 23:57:35 2016 -0500

    GomNode: GomAttr: Fixing compilation errors

    Added new GomAttr, constructors and build fixes.

 NEWS                     |   1 + gxml/DomCollections.vala |  22
 +++ gxml/DomDocument.vala    |   4 +- gxml/DomNode.vala        |
 22 ++- gxml/GXmlDocument.vala   |   2 +- gxml/GomDocument.vala
 | 146 ++++++++++++++---- gxml/GomElement.vala     | 389
 ++++++++++++++++++++++++++++++++++++++--------- gxml/GomNode.vala
 | 168 ++++++++++++-------- gxml/GomObject.vala      | 356
 +++++++++---------------------------------- gxml/GomText.vala        |
 51 ++++--- gxml/Makefile.am         |   5 + 11 files changed, 698
 insertions(+), 468 deletions(-)

commit 005d87a684b2d5a8c56d327578784086109a6ff8 Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Thu Oct 27 17:08:13 2016 +0200

    Update Polish translation

 po/pl.po | 150
 +++++++++++++++++++++++++++++++++++---------------------------- 1 file
 changed, 83 insertions(+), 67 deletions(-)

commit 079e4c6a518d98dc3f85f94741d091753405c60c Author: Marek Černocký
<marek@manet.cz> Date:   Thu Oct 27 08:46:54 2016 +0200

    Updated Czech translation

 po/cs.po | 163
 ++++++++++++++++++++++++++++++++++----------------------------- 1 file
 changed, 89 insertions(+), 74 deletions(-)

commit 632de823c968d125c2ee3e96d613b30650e28a16 Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Thu Oct 27 01:38:42 2016 +0200

    Update POTFILES.in and POTFILES.skip

 po/POTFILES.in   | 4 ++++ po/POTFILES.skip | 8 ++++++++ 2 files changed,
 12 insertions(+)

commit afba93663c8c99ff5d7f5d21303e6702385364a6 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Oct 26 17:51:22 2016 -0500

    DomNode: Some fixes

 gxml/DomNode.vala  | 7 +++---- gxml/NodeType.vala | 1 - 2 files changed,
 3 insertions(+), 5 deletions(-)

commit f5e352e527bd6c6f7c33a179f231a3fcdf036e6c Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Oct 26 16:22:10 2016 -0500

    GOM: Adding new independent DOM4 implementation

    GXML Object Model, is a set of new GObject classes implementing DOM4,
    without libxml2.

    Read and Write of XML documents will be replicated from TDocument
    implementation. Plans include to create an interface to read and
    write documents, implementing DOM4 interfaces, allowing to use
    different engines like libxml2 or GLib's GMarkup.

 gxml/DomNode.vala     |  64 +++++++++- gxml/GomDocument.vala |
 218 +++++++++++++++++++++++++++++++++ gxml/GomElement.vala
 | 109 +++++++++++++++++ gxml/GomNode.vala     | 264
 ++++++++++++++++++++++++++++++++++++++++ gxml/GomObject.vala   | 328
 ++++++++++++++++++++++++++++++++++++++++++++++++++ gxml/GomText.vala
 |  97 +++++++++++++++ 6 files changed, 1078 insertions(+), 2 deletions(-)

commit 94ebd331a9be89cab5031c6190edf83ee27f6dc9 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Oct 24 23:02:10 2016 -0500

    Setting up 0.14 installation

 NEWS                                      |  3 +- configure.ac
 | 14 ++++----- gxml/Makefile.am                          | 50
 +++++++++++++++---------------- gxml/{gxml-0.12.deps => gxml-0.14.deps}
 |  0 gxml/{gxml-0.12.pc.in => gxml-0.14.pc.in} |  4 +-- test/Makefile.am
 |  4 +-- test/XPathTest.vala                       |  2 +- 7 files
 changed, 39 insertions(+), 38 deletions(-)

commit 268200bccb4ae74264ab51363d86c0cad01492ba Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Oct 21 18:22:01 2016 -0500

    Removed xNode/xDocument related classes

 gxml/Document.vala         |  4 +-- gxml/GXmlDocument.vala     |
 2 +- gxml/GXmlNode.vala         | 16 ++++++++-- gxml/Makefile.am
 | 29 ----------------- gxml/libxml-Error.vala     | 13 +-------
 test/EnumerationTest.vala  | 18 +++++------ test/GXmlTest.vala         |
 78 ---------------------------------------------- test/Makefile.am
 |  7 ----- test/SerializableTest.vala |  4 +-- 9 files changed, 29
 insertions(+), 142 deletions(-)

commit fc9c6a5bd43c104a7425f46707f6b206f354a687 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Oct 21 11:22:54 2016 -0500

    Renamed libxml-NodeType.vala to NodeType.vala

    First steps to remove old DOM1 implementation

 gxml/Makefile.am                             | 2 +-
 gxml/{libxml-NodeType.vala => NodeType.vala} | 0 2 files changed,
 1 insertion(+), 1 deletion(-)

commit 52a12da476ed487f5248ea6b216127d1c7ec7aff Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Oct 3 18:51:54 2016 -0500

    Updated NEWS for XPath support based on libxml2

 NEWS | 6 ++++++ 1 file changed, 6 insertions(+)

commit 178aa9aaa25b8766bc5886a50ad50d27238ab0ff Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Oct 3 18:43:08 2016 -0500

    Moved XPath tests to one generic file

 test/GXmlTest.vala                              | 2 +- test/Makefile.am
 | 2 +- test/{GElementXPathTest.vala => XPathTest.vala} | 2 +- 3 files
 changed, 3 insertions(+), 3 deletions(-)

commit 551f25ce710914b06fc4665c8f0725a2158663c9 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Oct 3 18:10:40 2016 -0500

    Fixed Unit Tests for GDocument and XPath implementation

 test/GElementXPathTest.vala | 23 ++++++++++++++++++----- 1 file changed,
 18 insertions(+), 5 deletions(-)

commit 27a35c26f67c2a5f59f2828ee8eae5a0586a0a8e Author: Yannick Inizan
<inizan.yannick@gmail.com> Date:   Mon Oct 3 17:57:10 2016 -0500

    Adding Unit Tests for GElement XPath implementation

    * Just a few modification from Daniel Espinosa <esodan@gmail.com>
      in order to avoid change dependencies on DomDocument interfaces

    * Needs fixes on network file access

 gxml/GXmlDocument.vala      | 14 +++++++++++++-
 gxml/XPath.vala             |  2 +- test/GElementXPathTest.vala | 37
 +++++++++++++++++++++++++++++++++---- 3 files changed, 47 insertions(+),
 6 deletions(-)

commit 35a1e0042466682151245072cd28b9721a23593b Author: Christian Kirbach
<Christian.Kirbach@gmail.com> Date:   Thu Sep 29 20:30:25 2016 +0000

    Updated German translation (cherry picked from commit
    c51cc877b90f4aaad2a52039f2295dc65c5e020f)

 po/de.po | 206
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++------- 1 file
 changed, 185 insertions(+), 21 deletions(-)

commit d389fe65be8b4d2616a2ab278e4ce2c6d55e52a0 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Sep 29 13:57:31 2016 -0500

    Updated Yannick Inizan copyright and author ship. Unit Test XPath

    * Added Yannick Inizan <inizan.yannick@gmail.com> as author in
      order of authorship

    * Added skeleton for XPath Unit Tests

 gxml/GXPathObject.vala      |  5 +++-- gxml/GXmlElement.vala       |
 1 + gxml/XPath.vala             |  3 ++- test/GElementXPathTest.vala |
 31 +++++++++++++++++++++++++++++++ test/GXmlTest.vala          |  1 +
 test/Makefile.am            |  1 + 6 files changed, 39 insertions(+),
 3 deletions(-)

commit 579af9bbad3e3b3664350846fd0658b042ff34ad Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Sep 29 13:39:45 2016 -0500

    Added missing files

 gxml/GXPathObject.vala | 56 +++++++++++++++++++++++++++++ gxml/XPath.vala
 | 98 ++++++++++++++++++++++++++++++++++++++++++++++++++ 2 files changed,
 154 insertions(+)

commit 66270bf75332b5ba052cfc9859148d42981e63fa Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Sep 29 12:39:29 2016 -0500

    Added XPathContext and XPathObject interfaces

    * Fixes bug #772195 * Now GElement implements XPathContext * Added
    new class GXPathObject implementing XPathObject * Moved new method
    for XPath in DomElement to XPathContext

 gxml/DomElement.vala  |  9 --------- gxml/GXmlElement.vala | 18
 ++++++++++++------ gxml/Makefile.am      |  1 + 3 files changed, 13
 insertions(+), 15 deletions(-)

commit 27e8fb223cbde1bade4b79563514511db7842841 Author: Yannick Inizan
<inizan.yannick@gmail.com> Date:   Thu Sep 29 10:41:02 2016 -0500

    First implementation of XPath based on libxml2

 gxml/DomElement.vala  |  9 +++++++++ gxml/GXmlElement.vala | 23
 +++++++++++++++++++++++ gxml/Makefile.am      |  1 + 3 files changed,
 33 insertions(+)

commit 3ef19626beba81d4aa12143bf8dab2402ba36403 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Sep 27 10:52:41 2016 -0500

    Post release version updated to 0.13.0 development

 configure.ac | 2 +- 1 file changed, 1 insertion(+), 1 deletion(-)

commit a0b55b0fbae50359a361bff4c7ec49f975b2fa90 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Sep 27 10:48:21 2016 -0500

    Released GXml 0.12

 configure.ac | 6 +++--- 1 file changed, 3 insertions(+), 3 deletions(-)

commit 45fe430eb5291ee3c1e70d2904dc67cb34ba0f7c Author: Yannick Inizan
<inizan.yannick@gmail.com> Date:   Fri Sep 23 12:04:41 2016 -0500

    Improving Debian packaging: Added missing files

    Commit from Daniel Espinosa, in name of Yannick, was incomplete.
    Now adding missing files.

 debian/changelog.in           | 11 +++++++++++ debian/compat
 |  1 + debian/gir1.2-gxml.install.in |  1 + debian/libgxml-0.install.in
 |  1 + debian/libgxml-dev.install.in |  6 ++++++ debian/rules
 |  8 ++++++++ debian/source/format          |  1 + 7 files changed,
 29 insertions(+)

commit 72c125e6074975afede6807ef3b96d7b4da78532 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Sep 23 11:41:29 2016 -0500

    Setting NEWS to 0.12 release

 NEWS | 3 ++- 1 file changed, 2 insertions(+), 1 deletion(-)

commit 55687cb7b4116b2be0917928127d4ae30f0095d5 Author: Yannick Inizan
<inizan.yannick@gmail.com> Date:   Thu Sep 22 17:57:11 2016 -0500

    Updated Debian packaging files

 configure.ac       |  4 ++++ debian/Makefile.am |  7 +++++++
 debian/control.in  | 42 +++++++++++++++++++++++++++++++++++++++---
 3 files changed, 50 insertions(+), 3 deletions(-)

commit eac5d1170d77fca4d3376cc94dca5337d425bbfe Author: Мирослав
Николић <miroslavnikolic@rocketmail.com> Date:   Tue Sep 20
11:40:05 2016 +0200

    Updated Serbian translation

 po/sr.po       | 83
 +++++++++++++++++++++++++++++++++++++++------------------- po/sr@latin.po
 | 83 +++++++++++++++++++++++++++++++++++++++------------------- 2 files
 changed, 112 insertions(+), 54 deletions(-)

commit 28787f1349ff44d86d5f77508493dec8c9a037f9 Author: Marek Černocký
<marek@manet.cz> Date:   Fri Sep 16 11:53:30 2016 +0200

    Updated Czech translation

 po/cs.po | 1 - 1 file changed, 1 deletion(-)

commit fc22aba785a0e91a19305da5d754ae77d1b32b82 Author: Marek Černocký
<marek@manet.cz> Date:   Fri Sep 16 11:52:31 2016 +0200

    Updated Czech translation

 po/cs.po | 63
 ++++++++++++++++----------------------------------------------- 1 file
 changed, 16 insertions(+), 47 deletions(-)

commit f79ab182951e67676be3fff3407be03abfb185dc Author: Balázs Meskó
<meskobalazs@gmail.com> Date:   Fri Sep 16 05:56:52 2016 +0000

    Updated Hungarian translation

 po/hu.po | 80
 ++++++++++++++++++++++++++++++---------------------------------- 1 file
 changed, 37 insertions(+), 43 deletions(-)

commit e048210294389b2e127008cf3255d31966b81197 Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Thu Sep 15 16:25:05 2016 +0200

    Updated Polish translation

 po/pl.po | 70
 ++++++++++++++++++++++++++++++++++++++-------------------------- 1 file
 changed, 42 insertions(+), 28 deletions(-)

commit 53996bfe1ff8df507b4b57e850203679527b58d1 Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Thu Sep 15 16:24:04 2016 +0200

    Fix typos in translatable strings

 gxml/GXmlDomCollections.vala |  4 ++-- gxml/GXmlHashMapAttr.vala    |
 2 +- gxml/GXmlNode.vala           | 16 ++++++++-------- 3 files changed,
 11 insertions(+), 11 deletions(-)

commit b897f873f275e2467e283417087d33d69759b833 Author: Balázs Meskó
<meskobalazs@gmail.com> Date:   Thu Sep 15 11:53:43 2016 +0000

    Updated Hungarian translation

 po/hu.po | 112
 +++++++++++++++++++++++++++++++++++++++++++++------------------ 1 file
 changed, 80 insertions(+), 32 deletions(-)

commit 079bcf80ebd6bf66bb67bfb63cc5204e6d030496 Author: Marek Černocký
<marek@manet.cz> Date:   Thu Sep 15 08:39:18 2016 +0200

    Updated Czech translation

 po/cs.po | 101
 +++++++++++++++++++++++++++++++++++++++++++++------------------ 1 file
 changed, 73 insertions(+), 28 deletions(-)

commit 920d53fca8b60807eef8887115bc2a4a2bf70f70 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Sep 14 12:46:50 2016 -0500

    Changing order for DomElement.get_elements_by_class_name()

    * Now first add it self before to add descendant nodes * Fixed too
    order for DomElement.get_elements_by_tag_name_ns()

 gxml/GXmlElement.vala | 43 +++++++++++++++++++++++--------------------
 1 file changed, 23 insertions(+), 20 deletions(-)

commit 3c38f1bde19a855b9c9a51ee7bf4d89f36503b5c Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Sep 14 11:00:12 2016 -0500

    Rolled back changes on GNode. Fixes to bug #771430.

 gxml/GXmlDomCollections.vala | 23 ++++++++++++++++-------
 gxml/GXmlHashMapAttr.vala    |  2 +- gxml/GXmlNode.vala           |
 10 ++++++---- 3 files changed, 23 insertions(+), 12 deletions(-)

commit 0ab36b1c799d3d95e6fe630bf3eaab7d66b9b894 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Sep 13 17:28:42 2016 -0500

    Deprecating xNode/xDocument classes

 NEWS                                   | 4 ++++ gxml/GXmlCharacter.vala
 | 3 +++ gxml/GXmlNode.vala                     | 2 --
 gxml/libxml-Attr.vala                  | 1 + gxml/libxml-BackedNode.vala
 | 1 + gxml/libxml-CDATASection.vala          | 1 +
 gxml/libxml-CharacterData.vala         | 1 + gxml/libxml-Comment.vala
 | 1 + gxml/libxml-Document.vala              |
 1 + gxml/libxml-DocumentFragment.vala      |
 1 + gxml/libxml-DocumentType.vala          | 1 +
 gxml/libxml-DomException.vala          | 1 + gxml/libxml-Element.vala
 | 1 + gxml/libxml-Entity.vala                | 1 +
 gxml/libxml-EntityReference.vala       | 1 + gxml/libxml-Error.vala
 | 1 + gxml/libxml-Implementation.vala        |
 1 + gxml/libxml-NamedAttrMap.vala          |
 1 + gxml/libxml-NamedNodeMap.vala          | 1 +
 gxml/libxml-NamespaceAttr.vala         | 1 + gxml/libxml-Node.vala
 | 1 + gxml/libxml-NodeList.vala              | 1 +
 gxml/libxml-NodeType.vala              | 1 + gxml/libxml-Notation.vala
 | 1 + gxml/libxml-ProcessingInstruction.vala | 1 + gxml/libxml-Text.vala
 | 1 + 26 files changed, 30 insertions(+), 2 deletions(-)

commit 30ab5508f78d1c7ce81bbb648601106a46991c74 Author: Enrico Nicoletto
<liverig@gmail.com> Date:   Tue Sep 13 11:45:28 2016 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 169
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++--- 1 file
 changed, 161 insertions(+), 8 deletions(-)

commit 20afe250418304b36e79b3dcdce4b3e2c651ffa5 Author: Balázs Meskó
<meskobalazs@gmail.com> Date:   Sun Sep 11 19:22:46 2016 +0000

    Updated Hungarian translation

 po/hu.po | 65
 ++++++++++++++++++++++++++++++++++------------------------------ 1 file
 changed, 35 insertions(+), 30 deletions(-)

commit 333d1c902615bf3b4e02ad8a1b8e8b046badb13f Author: Мирослав
Николић <miroslavnikolic@rocketmail.com> Date:   Sun Sep 11
09:11:32 2016 +0200

    Updated Serbian translation

 po/sr.po       | 71
 ++++++++++++++++++++++++++++++---------------------------- po/sr@latin.po
 | 71 ++++++++++++++++++++++++++++++---------------------------- 2 files
 changed, 74 insertions(+), 68 deletions(-)

commit 258ff065f25359ca1dd396181540f0a19f1e3232 Author: Marek Černocký
<marek@manet.cz> Date:   Sat Sep 10 08:54:23 2016 +0200

    Updated Czech translation

 po/cs.po | 69
 +++++++++++++++++++++++++++++++++------------------------------- 1 file
 changed, 36 insertions(+), 33 deletions(-)

commit 0d963d0d4ad5027edb2e967a72e3a392c4ef1538 Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Fri Sep 9 18:16:38 2016 +0200

    Updated Polish translation

 po/pl.po | 56 +++++++++++++++++++++++++++++++-------------------------
 1 file changed, 31 insertions(+), 25 deletions(-)

commit a010d68b2d00aa0b2cf5b07e24d7ea5097fd8125 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Sep 9 10:30:43 2016 -0500

    Removing some warnings. API change. Valac to 0.32

    * TNode based classes API changes:
        * TDocument.read_doc_stream() now throws GLib.Error
    * Reducing number of warnings at valac compilation time * Bump version
    of required VALAC to 0.32, due to use of [Version] annotation *
    Updated some error message text to avoid warnings

 NEWS                                |  5 ++++-
 configure.ac                        |  2 +- gxml/GXmlDocument.vala
 |  4 ++-- gxml/GXmlDomRange.vala              |  4 ----
 gxml/GXmlElement.vala               |  3 +-- gxml/GXmlHashMapAttr.vala
 |  4 ---- gxml/GXmlListChildren.vala          |  9 ++-------
 gxml/GXmlListNamespaces.vala        |  1 - gxml/GXmlNode.vala
 |  3 ++- gxml/GXmlProcessingInstruction.vala |  2
 +- gxml/Serializable.vala              |  9 ++-------
 gxml/SerializableObjectModel.vala   |  1 - gxml/TDocument.vala
 | 15 ++++++++++----- gxml/libxml-DomException.vala       |  2 +-
 vapi/xlibxml-1.0.vapi               |  2 +- 15 files changed, 27
 insertions(+), 39 deletions(-)

commit 461d0a4e666012de5c28e9ed816c12ad1bde216f Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Sep 8 19:00:11 2016 -0500

    SerializableDouble implemented use of set_fraction()

    When serialize a SerializableDouble and set_fraction() is used any
    call to to_string() will generated a string representation using
    the required number of fractions.

 gxml/SerializableDouble.vala             | 11 +++++++----
 test/SerializablePropertyDoubleTest.vala | 22 ++++++++++++++++++++++
 2 files changed, 29 insertions(+), 4 deletions(-)

commit fea2e831c612e90bccaaebd2e552f0c64a6b8fb1 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Sep 8 13:15:49 2016 -0500

    Updated NEWS in preparation to release 0.11.0

    This will be Beta version, as no mor issues have been reported.

 NEWS | 13 +++++++++++-- 1 file changed, 11 insertions(+), 2 deletions(-)

commit 53d7d9013ca24c4d4f143254882e8aaf0ad536b5 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Sep 8 09:28:38 2016 -0500

    DOM4: Spaces in classes name checks. From bug #769363

    Added checks for extra spaces in classes when used
    DomElement.get_elements_by_class_name ()

    This commit is based in the work done by Yannick Inizan in bug
    report 769363

    Commit:

    1e60cdf5387c619084f2fc563e69018116f72be6

    Is based in work done by Yannick Inizan also in same bug report.

 test/DomGDocumentTest.vala | 2 +- 1 file changed, 1 insertion(+),
 1 deletion(-)

commit 1e60cdf5387c619084f2fc563e69018116f72be6 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Sep 8 09:19:35 2016 -0500

    DomElement.get_elements_by_class_name() improvements

    Now DomElement.get_elements_by_class_name() should return all nodes
    with all the requested classes, each separated by one space. If node
    have more classes than the searched it will match, it will not match
    if no all classes are in use by the node. If search is for just one
    class, all nodes with same class or more classes, but including the
    searched one, will match.

 gxml/GXmlElement.vala      |  3 +-- test/DomGDocumentTest.vala |
 54 +++++++++++++++++++++++++--------------------- 2 files changed,
 31 insertions(+), 26 deletions(-)

commit cf52b11a9fb5f462271596e99893670f7261591a Author: Evan Nemerson
<evan@coeus-group.com> Date:   Sun Aug 28 23:03:49 2016 -0500

    Fixed Bug #770449.

 gxml/libxml-NamedAttrMap.vala | 4 ++-- 1 file changed, 2 insertions(+),
 2 deletions(-)

commit cf0f1116f4c0a2751ed3e835f4bd37e09c954256 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sun Aug 28 22:46:31 2016 -0500

    Fixed Bug #769363. Only if all classes match return as found

    According to DOM4 specification Element.get_elements_by_class_name()
    only nodes with all classes searched are met.

 gxml/GXmlElement.vala      | 11 +++++++++-- test/DomGDocumentTest.vala
 | 42 ++++++++++++++++++++++-------------------- 2 files changed, 31
 insertions(+), 22 deletions(-)

commit 88dd65655b53224521d71d9b7914de77985ab036 Author: Yannick Inizan
<inizan.yannick@gmail.com> Date:   Sun Aug 28 20:03:58 2016 -0500

    get_elements_by_tag_name() adds first current element

 gxml/GXmlElement.vala | 2 +- 1 file changed, 1 insertion(+),
 1 deletion(-)

commit 191c81aee6899ce3463b94f307a5b51c5c29b2ca Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sun Aug 28 19:27:15 2016 -0500

    Simplified documentation generation using --enable-docs

    Now to generate documentation you need to use --enable-docs any tool
    used to generate documentation found is used automatically.

    If no Valadoc is found fails to configure.

 configure.ac              | 108
 +++++++++++++++------------------------------- docs/Makefile.am
 |   2 +- docs/valadoc/Makefile.am  |   6 +-- gxml/DomCollections.vala  |
 6 +-- gxml/GXmlHashMapAttr.vala |   6 ++- gxml/Makefile.am          |   2
 +- gxml/Node.vala            |   4 +- 7 files changed, 49 insertions(+),
 85 deletions(-)

commit 2d0349165a39c5acbf729daf2238e68e471ebabe Author: Мирослав
Николић <miroslavnikolic@rocketmail.com> Date:   Wed Aug 24
05:55:43 2016 +0200

    Updated Serbian translation

 po/sr.po       | 182
 +++++++++++++++++++++++++++++++++++++++++++++++++++------ po/sr@latin.po
 | 182 +++++++++++++++++++++++++++++++++++++++++++++++++++------ 2 files
 changed, 326 insertions(+), 38 deletions(-)

commit e06e3b983b72cbbbd0f1e6a0e858ab30d5b6ad8a Author: Marek Černocký
<marek@manet.cz> Date:   Tue Aug 23 15:15:39 2016 +0200

    Updated Czech translation

 po/cs.po | 169
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---- 1 file
 changed, 160 insertions(+), 9 deletions(-)

commit 97c4dfbc977bc4ccead7f723fc1ccf150f27a4ce Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Sun Aug 21 18:44:41 2016 +0200

    Updated Polish translation

 po/pl.po | 4 ++-- 1 file changed, 2 insertions(+), 2 deletions(-)

commit eeda948c4dfb7447c2896c9c51358a2c3be145ab Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Sun Aug 21 15:16:06 2016 +0200

    Updated Polish translation

 po/pl.po | 46 ++++++++++++++++++++++------------------------ 1 file
 changed, 22 insertions(+), 24 deletions(-)

commit 936565d0e32a16a5b03f5dac0835574f2c33a5f8 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Aug 1 13:34:38 2016 -0500

    Fixed make distcheck. Partial fixes for Bug #769353

    Revert changes to Makefile.am, GXml will use its workaround for
    build using C files, while Automake Bug #13002 is fixed for proper
    Vala support; without it make distcheck will fail due to trying to
    write down stamps in a read only directory.

    Reverted to changes to install VAPI in Vala versioned directory thanks
    a suggestion of Yannick Inizan on Bug #769353. This will require
    further tests due to gxml compilation inside flatpak packages and
    sanboxed environments.

 gxml/DomCharacter.vala |  8 +++++++ gxml/Makefile.am       | 65
 +++++++++++++++++++++++++++++++++++--------------- 2 files changed,
 54 insertions(+), 19 deletions(-)

commit 13d14ab1fcf7371b10449f191fca496b3a8f6984 Author: Balázs Meskó
<meskobalazs@gmail.com> Date:   Sun Jul 31 22:12:37 2016 +0000

    Updated Hungarian translation

 po/hu.po | 171
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----- 1 file
 changed, 159 insertions(+), 12 deletions(-)

commit be70e81c32a38abd6e8a692a699d30fe228616d8 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sun Jul 31 09:32:01 2016 -0500

    Added rpath file and removed unneeded file in Makefile.am

    This is a set of patches to fix make distcheck.

 Makefile.am      | 3 ++- gxml/Makefile.am | 1 - 2 files changed,
 2 insertions(+), 2 deletions(-)

commit 7b7e86a8675fecf1431b0601faf521f05ec2e930 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Jul 25 18:17:43 2016 -0500

    Fixed build of GIR/Typelib files for GObject Introspection

    * Added missing file for package deps

 gxml/Makefile.am    | 26 +++++++++++++------------- gxml/gxml-0.12.deps |
 5 +++++ 2 files changed, 18 insertions(+), 13 deletions(-)

commit 3ebe28dca2913f3fa125e6cf1675bb1c42a9fa90 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Jul 25 17:58:08 2016 -0500

    Added missign Character.vala file

 gxml/Character.vala | 26 ++++++++++++++++++++++++++ 1 file changed,
 26 insertions(+)

commit 4752685a9555f7b3cdf11c4d95e1c0aad69b8a20 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Jul 21 21:51:52 2016 -0500

    Added Unit Tests for GText's implementation of DomText: BUG on libxml2

    * libxml2 doesn't support continuos text nodes, it concatenates
      all data in just one text node when added new ones.

 gxml/DomCharacter.vala     | 24 ++++++++++++++++++++++--
 gxml/GXmlText.vala         | 22 ----------------------
 test/DomGDocumentTest.vala | 22 ++++++++++++++++++++++ 3 files changed,
 44 insertions(+), 24 deletions(-)

commit 63390275b4f99533cc9214f956df239c2c360da1 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Jul 21 19:18:15 2016 -0500

    Added unit tests for GCharacterData implemenation of DomCharacterData

    * Added tests for append_data(), delete_data(), insert_data() and
      replace_data()

 test/DomGDocumentTest.vala | 10 ++++++++-- 1 file changed, 8
 insertions(+), 2 deletions(-)

commit 165c7e562e223f86b64b60e3a811fbf87f597cba Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Jul 21 19:11:45 2016 -0500

    Fixed GCharacterData's implementation of
    DomCharacterData.replace_data()

 gxml/DomCharacter.vala     | 10 +++------- test/DomGDocumentTest.vala |
 6 ++++++ 2 files changed, 9 insertions(+), 7 deletions(-)

commit 8ec208f0b7a54ec3920eca500de87bd483f1f373 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Jul 21 18:43:50 2016 -0500

    Fixed GCharacter's implementation of DomCharacter.substring_data()

 gxml/DomCharacter.vala     |  6 ++--- gxml/DomCollections.vala
 | 15 ++++++++++++ gxml/DomDocument.vala      |
 22 ++++++++++++++++++ test/DomGDocumentTest.vala | 58
 ++++++++++++++++++++++++++++++++++++++++++++++ 4 files changed, 98
 insertions(+), 3 deletions(-)

commit 09c9535032c00593aadd0eb126171140a1fbed16 Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Fri Jul 22 01:39:53 2016 +0200

    Updated Polish translation

 po/pl.po | 79
 ++++++++++++++++++++++++++++++++++++++++++++++++++++------------ 1 file
 changed, 64 insertions(+), 15 deletions(-)

commit 1c0ea11c1ab7f3cb2a4e2012948f58290be96943 Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Fri Jul 22 01:30:14 2016 +0200

    Updated POTFILES.in and POTFILES.skip

 po/POTFILES.in   | 1 - po/POTFILES.skip | 2 -- 2 files changed,
 3 deletions(-)

commit debbe939b60c8d3d79c716e230636c84c664e53f Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Jul 20 23:34:19 2016 -0500

    Fixed GDocument's DomDocument.import_node() and adopt_node()

 gxml/GXmlDocument.vala     | 32 ++++++++++++++++++++++++++------
 gxml/Node.vala             |  4 ++-- test/DomGDocumentTest.vala |
 18 ++++++++++++++++++ 3 files changed, 46 insertions(+), 8 deletions(-)

commit 3712dfe4496880a8ed111758130e1184be4c6688 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Jul 20 18:49:51 2016 -0500

    Fixed GDocument's implementation of DomDocument.import_node()

    * Fixed GXml.Node.copy() to honors deep paramenters, just copying
      attributes if false and all childs if true
    * Added unit tests

 gxml/GXmlDocument.vala     |  6 +++++- gxml/Node.vala             |
 7 +------ test/DomGDocumentTest.vala | 28 +++++++++++++++++++++++++++-
 3 files changed, 33 insertions(+), 8 deletions(-)

commit 57118587d73536a4a777937242c0ba0f8d68bfcf Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Jul 20 17:36:57 2016 -0500

    Fixes on GDocument's implementation of DomDocument: properties and
    element collections

    * Fixed setting values by default for properties * Fixed
    get_elements_by_tag_name(), get_elements_by_tag_name_ns()
      and get_elements_by_class_name()
    * Fixed doctype searching for first Doctype node

 gxml/GXmlDocument.vala     | 34
 +++++++++++++++++-------- test/DomGDocumentTest.vala | 62
 ++++++++++++++++++++++++++++++++++++++++++++++ 2 files changed, 86
 insertions(+), 10 deletions(-)

commit 0d0e6d0fb298a229592394e16b32b76e64cd252c Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Jul 20 16:28:33 2016 -0500

    Fixed GElement get_nodes_by* methods

    Fixed get_nodes_by_tag_name(), get_nodes_by_tag_name_ns() and
    get_nodes_by_class_name()

    Added Unit Test.

 gxml/GXmlElement.vala      | 39 +++++++++++++++++----------------------
 test/DomGDocumentTest.vala | 35 ++++++++++++++++++++++++++++++++++-
 2 files changed, 51 insertions(+), 23 deletions(-)

commit 6b080a266950dd16e77594bc8cd0f815bb86a389 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Jul 20 13:40:28 2016 -0500

    Fixes on GElement's DomElement implementation for namespaced
    properties

    * Fixed GElement.set_ns_attr(), * Fixed GHashMapAttr.has_key()
    infinite loop * Fixed GElement.has_attribute_ns() * Added Unit Tests

 gxml/DomAttr.vala          |  2 +- gxml/GXmlElement.vala
 | 14 ++++++++------ gxml/GXmlHashMapAttr.vala  |  1 +
 test/DomGDocumentTest.vala | 35 +++++++++++++++++++++++++++--------
 4 files changed, 37 insertions(+), 15 deletions(-)

commit 5d76d8ace2ee9acffb816ee13300cd20c81ffb94 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Jul 20 12:40:28 2016 -0500

    Fixed GElement implementation of DomElement.tag_name

    * Re-arranged interface implementation and pre-requisite, because
      it matters and because the way it was makes valac to generate bad
      C code with no override of DomElement.tag_name property, making
      it to segfult

 gxml/DomElement.vala       |  4 ++-- gxml/GXmlElement.vala      |
 32 ++++++++++++++++++-------------- test/DomGDocumentTest.vala | 10
 ++++++++++ 3 files changed, 30 insertions(+), 16 deletions(-)

commit 8a81d3a1f31bc95b780edac190c6bdfba5bf2651 Author: Daniel Mustieles
<daniel.mustieles@gmail.com> Date:   Wed Jul 20 07:27:25 2016 +0000

    Updated Spanish translation

 po/es.po | 163
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--- 1 file
 changed, 157 insertions(+), 6 deletions(-)

commit d27729259355a5193ca1e34debdcd3edc2b6e6b9 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Jul 20 00:17:22 2016 -0500

    Fixed GElement implementation of DomElement for namespace_uri
    and prefix

    * Added Unit tests namespace_uri, prefix, id, node_name, local_name,
      id, class_name, class_list and attributes list

 gxml/DomElement.vala       |  6 ++++++ gxml/GXmlElement.vala
 | 21 +++++++++++++++++---- test/DomGDocumentTest.vala | 31
 +++++++++++++++++++++++++++++++ 3 files changed, 54 insertions(+),
 4 deletions(-)

commit abe8023eba87908aec0a9e2c7a8068eb298f48f2 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Jul 19 19:12:27 2016 -0500

    Fixed GNode implementations of DomNode for insert, replace, append
    and remove nodes

    * Added Unit Tests

 gxml/DomNode.vala          |  8 +++--- gxml/GXmlNode.vala         | 64
 +++++++++++++++++++++++++++++++++++++++------- test/DomGDocumentTest.vala
 | 54 ++++++++++++++++++++++++++++++++++++-- 3 files changed, 111
 insertions(+), 15 deletions(-)

commit b66933b79a5a2cb089b2c4c065ee1796b92b0810 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Jul 19 14:42:06 2016 -0500

    Fixed DomNode.lookup_prefix() and lookup_namespace_ns() with Unit
    Tests

    * Fixes require to change some behavior on setting new elements
      by using a prefix in qualifed name as namespace prefix and ns use
      a uri, just in line as DOM4 specification
    * Changed Element.set_ns_attr to use a prefix in qualifed name
      for namespace, searching for existing ones or adding a new if no
      one if found
    * Fixed a bug in Element.attrs.keys, falling an infinit loop

 gxml/Element.vala          |  4 ++-- gxml/GXmlDocument.vala
 | 14 ++++++++++++-- gxml/GXmlElement.vala      | 43
 +++++++++++++++++++++---------------------- gxml/GXmlHashMapAttr.vala  |
 1 + gxml/GXmlNode.vala         | 34 +++++++---------------------------
 gxml/TElement.vala         |  4 ++-- gxml/libxml-Element.vala   |  4 ++--
 po/POTFILES.in             |  1 + po/POTFILES.skip           |  2 ++
 test/DomGDocumentTest.vala | 13 +++++++++++++ test/GAttributeTest.vala
 | 11 ++++++----- test/GDocumentTest.vala    |  4 ++-- 12 files changed,
 71 insertions(+), 64 deletions(-)

commit 279a10434ef84be1655c097e5c32ee75546fe63e Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Tue Jul 19 21:29:37 2016 +0200

    Updated POTFILES.in and POTFILES.skip

 po/POTFILES.in   |  7 +------ po/POTFILES.skip | 14 ++------------
 2 files changed, 3 insertions(+), 18 deletions(-)

commit 197eec28598fefaa4aebd4f55441bb23e688a850 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Jul 19 12:22:19 2016 -0500

    Fixed DomNode.compare_document_position() implementation on GNode
    with Unit Tests

 gxml/DomNode.vala          |  1 + gxml/GXmlNode.vala         |
 28 +++++++++++++++------------- test/DomGDocumentTest.vala | 35
 ++++++++++++++++++++++++++++++++++- 3 files changed, 50 insertions(+),
 14 deletions(-)

commit 8f4e1bedf724dde41a905fae2024689f694f0bb8 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Jul 19 10:12:32 2016 -0500

    More fixes on DomNode implementation and Unit Tests

    * Implemented GListChildren.remove_at() * GListChildren get_element()
    checks index boundaries * Fixed DomNode.normalize() implementation
    on GNode * Added tests for DomNode implementations

 gxml/DomCharacter.vala       |  7 ++++++- gxml/DomCollections.vala
 |  2 +- gxml/DomElement.vala         |  4 ++-- gxml/Element.vala
 |  4 ++-- gxml/GXmlDomCollections.vala |  2 +- gxml/GXmlListChildren.vala
 | 16 +++++++++++----- gxml/GXmlNode.vala           |
 19 +++---------------- test/DomGDocumentTest.vala   | 32
 ++++++++++++++++++++++++++++++++ 8 files changed, 58 insertions(+),
 28 deletions(-)

commit 02512bdbdaecf152ba753a33651774f2bb976024 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Jul 18 17:41:57 2016 -0500

    Fixes on DomElement with Unit Tests

 gxml/GXmlElement.vala      |  55
 +++++++++++++------- test/DomGDocumentTest.vala | 122
 +++++++++++++++++++++++++++++++++++++++++++++ test/GXmlTest.vala
 |   1 + test/Makefile.am           |   1 + 4 files changed, 162
 insertions(+), 17 deletions(-)

commit 8c27be0459093aafb7a8171b6b8a0ecac8c78968 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Jul 18 14:38:30 2016 -0500

    Fixed Bug #768931 - Now just check if remote file exist if not,
    skip test

 test/DocumentTest.vala  |  7 ++++--- test/GDocumentTest.vala |  7
 ++++--- test/TDocumentTest.vala |  7 ++++--- test/test.xml           |
 15 --------------- 4 files changed, 12 insertions(+), 24 deletions(-)

commit e718616a073e1b1fc8b75c14113718ac3646a417 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Jul 18 13:42:07 2016 -0500

    Fixed make check for API changes on DOM4 implementation

 gxml/Attribute.vala     |  2 +- gxml/DomNode.vala       |
 1 + gxml/GXmlAttribute.vala | 17 +++++++++++++++--
 gxml/GXmlDocument.vala  |  6 ++---- gxml/GXmlNode.vala      | 42
 +++++++++++++++++++++++++++++++++++++++--- gxml/Node.vala          |
 1 - gxml/TAttribute.vala    |  8 ++++++-- gxml/TElement.vala      | 13
 ++++++++----- gxml/libxml-Attr.vala   |  4 +++- po/POTFILES.in          |
 6 ++++++ po/POTFILES.skip        | 12 ++++++++++++ test/TElementTest.vala
 | 12 ++++++++++-- 12 files changed, 103 insertions(+), 21 deletions(-)

commit 71c3386bf957c04fe844816635f3f8ab062a7b3c Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Mon Jul 18 18:18:51 2016 +0200

    Updated Polish translation

 po/pl.po | 125
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++------ 1 file
 changed, 113 insertions(+), 12 deletions(-)

commit b6ad3d8de3f2706ece96c58e058c8208e0f44dbe Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Mon Jul 18 16:47:26 2016 +0200

    Updated POTFILES.in and POTFILES.skip

 po/POTFILES.in   |  6 ++++++ po/POTFILES.skip | 14 +++++++++++++-
 2 files changed, 19 insertions(+), 1 deletion(-)

commit 67a9f186918e6d279ed54992021586669c1c7faf Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Jul 18 00:59:49 2016 -0500

    Work around on Bug #768913. DOM4 API incompatibility

    Due to bug #768913, GXml.DomHTMLCollection.get() has been renamed
    to .get_element(), is not in line with DOM4 specificacion and due
    to problems to change Gee API for List interface.

 gxml/DomCollections.vala     | 2 +- gxml/DomElement.vala
 | 7 ++++++- gxml/Element.vala            | 7 ++++++-
 gxml/GXmlDomCollections.vala | 4 ++++ gxml/GXmlListChildren.vala   |
 2 +- 5 files changed, 18 insertions(+), 4 deletions(-)

commit 6dddafc3524c5208a9e03493ea977744ee4b6837 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Jul 18 00:32:40 2016 -0500

    Fixes on DOM4 implementation

    This commit has some API changes. See at NEWS.

    This commit don't compile due to valac Bug #768913.

 NEWS                                               |  11 + configure.ac
 |   8 +- gxml/Attribute.vala                                |   2
 +- gxml/Comment.vala                                  |   2 +-
 gxml/DomAttr.vala                                  |  10 +-
 gxml/DomCharacter.vala                             |  22 +-
 gxml/DomCollections.vala                           | 137 ++++---
 gxml/DomDocument.vala                              |  28 +-
 gxml/DomElement.vala                               |  29 +-
 gxml/DomEvents.vala                                |   6 +-
 gxml/DomNode.vala                                  |  22 +-
 gxml/DomRange.vala                                 |  14 +-
 gxml/DomSets.vala                                  |  43 ---
 gxml/DomTraversal.vala                             |  73 ----
 gxml/Element.vala                                  |  16 +-
 gxml/GHtml.vala                                    |  40 +--
 gxml/GXmlAttribute.vala                            |  18 +-
 gxml/GXmlCharacter.vala                            |  41 +++
 gxml/GXmlChildNode.vala                            |  64 ++++
 gxml/GXmlComment.vala                              |  13 +-
 gxml/GXmlDocument.vala                             | 180 ++++++----
 gxml/GXmlDomCollections.vala                       | 144 ++------
 gxml/GXmlDomEvents.vala                            |  16 +-
 gxml/GXmlDomRange.vala                             | 132 ++++---
 gxml/GXmlElement.vala                              | 134 ++++---
 gxml/GXmlHashMapAttr.vala                          | 117 +++++-
 gxml/GXmlListChildren.vala                         |   7 +-
 gxml/GXmlListNamespaces.vala                       |  38 +-
 gxml/GXmlNamespace.vala                            |   2 +-
 gxml/GXmlNode.vala                                 |  52 +--
 gxml/GXmlProcessingInstruction.vala                |  21 +-
 gxml/GXmlText.vala                                 |  31 +-
 gxml/Makefile.am                                   | 137 +++----
 gxml/Node.vala                                     |  33 +-
 gxml/ProcessingInstruction.vala                    |   2 +-
 gxml/SerializableGeeArrayList.vala                 |   2 +-
 gxml/SerializableGeeDualKeyMap.vala                |   2 +-
 gxml/SerializableGeeHashMap.vala                   |   2 +-
 gxml/SerializableGeeTreeMap.vala                   |   2 +-
 gxml/SerializableObjectModel.vala                  |  14 +-
 gxml/TAttribute.vala                               |   2 +-
 gxml/TComment.vala                                 |   2 +-
 gxml/TDocument.vala                                |  26 +-
 gxml/TElement.vala                                 |  44 ++-
 gxml/TNode.vala                                    |   2 +-
 gxml/TProcessingInstruction.vala                   |   2 +-
 gxml/gxml-0.10.deps                                |   5 -
 gxml/{gxml-0.10.pc.in => gxml-0.12.pc.in}          |   0
 gxml/libxml-Attr.vala                              |   2 +-
 gxml/libxml-CharacterData.vala                     |   2 +-
 gxml/libxml-Comment.vala                           |   2 +-
 gxml/libxml-Element.vala                           |  21 +-
 gxml/libxml-Node.vala                              |   2 +-
 gxml/libxml-ProcessingInstruction.vala             |   1 +
 test/DocumentTest.vala                             |   2 +-
 test/ElementTest.vala                              |   6 +-
 test/GAttributeTest.vala                           |  24 +-
 test/GDocumentTest.vala                            |  44 +--
 test/GElementTest.vala                             |  28 +-
 test/HtmlDocumentTest.vala                         |   8 +-
 test/Makefile.am                                   |   4 +-
 test/SerializableGeeArrayListTest.vala             |  44 +--
 .../SerializableGeeCollections-TDocument-Test.vala |  76 ++--
 test/SerializableGeeCollectionsTest.vala           |  30 +-
 test/SerializableGeeDualKeyMapTest.vala            |  42 +--
 test/SerializableGeeHashMapTest.vala               |  50 +--
 test/SerializableGeeTreeMapTest.vala               |  46 +--
 test/SerializableObjectModel-TDocument-Test.vala   |   8 +-
 test/SerializableObjectModelTest.vala              |  64 ++--
 test/TCDATATest.vala                               |   6 +-
 test/TCommentTest.vala                             |   6
 +- test/TDocumentTest.vala                            |
 394 ++++++++++----------- test/TElementTest.vala
 | 212 +++++------ test/TProcessingInstructionTest.vala               |
 6 +- test/gxml-performance.vala                         |  22 +- 75
 files changed, 1523 insertions(+), 1379 deletions(-)

commit 1ca11b1784adef1be6c5d57756c3940bb57ebfb6 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Jul 14 10:08:24 2016 -0500

    Added missing test xml file

 test/test.xml | 15 +++++++++++++++ 1 file changed, 15 insertions(+)

commit aa863b726d0a92b5be3d7adef0b7c0fee2bf8bd3 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Jul 13 17:22:05 2016 -0500

    DOM4: Implemented DomProcessingInstruction

    * Added default implementation for DomCharacterData methods *
    Simplified DomComment implementation by GComment * Implemented
    DomProcessingInstruction on GProcessingInstruction * Implemented
    DomText on GText

    This is a work in progress, it doesn't compile at all.

    At this point start build fixes

 gxml/DomCharacter.vala              | 35
 +++++++++++++++++++++++++++++------ gxml/GXmlComment.vala               |
 30 +----------------------------- gxml/GXmlProcessingInstruction.vala
 | 21 ++++++++++++++++++--- gxml/GXmlText.vala                  | 11
 ++++++++++- 4 files changed, 58 insertions(+), 39 deletions(-)

commit 70237491ec97cb8815dd1dddf453ff65234e632c Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Jul 13 17:06:31 2016 -0500

    DOM4: Implemented DomComment on GComment

 gxml/DomCharacter.vala  |  8 ++++---- gxml/GXmlAttribute.vala |  2 ++
 gxml/GXmlComment.vala   | 39 ++++++++++++++++++++++++++++++++++++++-
 3 files changed, 44 insertions(+), 5 deletions(-)

commit e2fcf886bef112db6347c5a9bc38fe4a057ec3c0 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Jul 13 16:27:41 2016 -0500

    DOM4: Implementing DomAttr on GAttribute

    This is a work in progress, it doesn't compile at all. Requires to
    implement all interfaces before start to fix compilation.

 gxml/DomAttr.vala       |  2 +- gxml/GXmlAttribute.vala | 33
 ++++++++++++++++++++++++++++++--- gxml/GXmlDocument.vala  |  2 +-
 gxml/GXmlElement.vala   |  2 +- 4 files changed, 33 insertions(+),
 6 deletions(-)

commit 96d5f16cde00610cc1242690c27aec5959761917 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Jul 13 16:17:14 2016 -0500

    DOM4: Implementing DomElement on GElement

    * I've take advantage of Vala's interface implementation of different
      interfaces with same methods' names, making no necesary to break API

    This is a work in progress, it doesn't compile at all. Requires to
    implement all interfaces before start to fix compilation.

 gxml/Document.vala           |   4 +- gxml/DomCollections.vala     |
 31 +++++- gxml/DomElement.vala         |   6 +- gxml/DomNode.vala
 | 103 +++++++++++--------- gxml/Element.vala            |   4 +
 gxml/GXmlDocument.vala       |   9 +- gxml/GXmlDomCollections.vala |
 220 +++++++++++++++++++++++++++++++++++++++++++ gxml/GXmlElement.vala
 | 149 ++++++++++++++++++++++++++++- gxml/Makefile.am             |
 1 + 9 files changed, 467 insertions(+), 60 deletions(-)

commit 3f96e391850aaab4d4652c172bff1744e3f927f8 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Jul 12 20:24:07 2016 -0500

    Continue on Implementing GDocument as DomDocument

    * This make API changes on GXml.Document, by renaming
      create_element() and create_comment() to create_element_node()
      and create_comment_node(), this is to privilage DOM4 API

    * Added missing interfaces and implementations to implement most of
      DOM4 DomDocument

    This is a commit to save changes, it doen't compile, requires to
    fully implement all interfaces in Element and other objects to
    DOM4 interfaces

 gxml/Document.vala       |   4 +- gxml/DomCollections.vala
 |  52 ++++++++++++++ gxml/DomDocument.vala    |   6 +-
 gxml/DomEvents.vala      |  13 ++-- gxml/DomRange.vala       |  34
 ++++----- gxml/Element.vala        |  10 ++- gxml/GXmlDocument.vala   |
 170 +++++++++++++++++++++++++++++++++++++-------- gxml/GXmlDomEvents.vala
 |  76 ++++++++++++++++++++ gxml/GXmlDomRange.vala   | 175
 +++++++++++++++++++++++++++++++++++++++++++++++ gxml/GXmlNode.vala
 |   2 +- gxml/Makefile.am         |   2 + gxml/Node.vala           |
 35 ++++++++++ 12 files changed, 524 insertions(+), 55 deletions(-)

commit 6588be0c71772a2494d9bc471dca586ce9aa3f58 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed May 11 19:39:54 2016 -0500

    DomDocument: Partial implementation on GDocument

 gxml/DomDocument.vala  |  4 ++-- gxml/GXmlDocument.vala | 50
 +++++++++++++++++++++++++++++++++++++++++++++----- 2 files changed,
 47 insertions(+), 7 deletions(-)

commit 0ca50446a123c72313929e1cd6c4f36e5291601a Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue May 10 10:10:44 2016 -0500

    Moved constants for GXml.DomNode.NodeType to an enum

 gxml/DomNode.vala      | 28 +++++++++++++++-------------
 gxml/GXmlDocument.vala | 36 +++++++++++++++++++++++++++++++++++-
 2 files changed, 50 insertions(+), 14 deletions(-)

commit 23e363cff1b158817491b3ae3eec0d19b7a0f600 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon May 9 19:43:06 2016 -0500

    Fixed compilation for DomNode implementation of GNode

 gxml/DomNode.vala          |  24 +++++-----
 gxml/GXmlListChildren.vala |   4 +- gxml/GXmlNode.vala         |
 109 +++++++++++++++++++++++++-------------------- gxml/Makefile.am
 |   1 + gxml/xlibxml.c             |   7 +++ gxml/xlibxml.h             |
 1 + test/Makefile.am           |   1 + test/test.xml              |
 15 ------- vapi/xlibxml-1.0.vapi      |   2 + 9 files changed, 86
 insertions(+), 78 deletions(-)

commit 5a720864171bbdfa05958b4d774c6310bc996a1f Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri May 6 22:20:19 2016 -0500

    DOM4: Step 1: Implement DomNode by GNode

    * DomNode API addaptions for node_type() and
    compare_document_position() * Implementing DomNode by GNode *
    Implementing GListChildren.insert() and .remove_at() to implement
      DomNode.insert_before() and others

 gxml/DomNode.vala          |  29 ++++---- gxml/GXmlListChildren.vala
 |  22 ++++-- gxml/GXmlNode.vala         | 182
 +++++++++++++++++++++++++++++++++++++++++++++ 3 files changed, 215
 insertions(+), 18 deletions(-)

commit 95cdb50cbea1cdbc02deca4ffe658eaf1fc00de7 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed May 4 13:45:57 2016 -0500

    DOM: renaming attributes and methods to sync with Vala/C standards

 gxml/DomAttr.vala              |  6 ++--- gxml/DomCharacter.vala
 | 14 +++++------ gxml/DomCollections.vala       | 32
 ++++++++++++------------- gxml/DomDocument.vala          | 54
 +++++++++++++++++++++--------------------- gxml/DomElement.vala
 | 36 ++++++++++++++-------------- gxml/DomEvents.vala            |
 33 +++++++++++++------------- gxml/DomMutationObservers.vala |
 30 +++++++++++------------ gxml/DomNode.vala              |
 50 +++++++++++++++++++------------------- gxml/DomRange.vala
 | 48 ++++++++++++++++++------------------- gxml/DomSets.vala
 | 16 ++++++------- gxml/DomTraversal.vala         | 38
 ++++++++++++++--------------- 11 files changed, 179 insertions(+),
 178 deletions(-)

commit 5b16417c9f5713a4d42905be84fbc4d1e00c3b9c Author: Andika Triwidada
<atriwidada@gnome.org> Date:   Sat Jun 18 09:01:08 2016 +0000

    Added Indonesian translation (cherry picked from commit
    114e63c2c59d6eee3e7ab2c4acf8a7a1dd6e5d3d)

 po/LINGUAS |   1 + po/id.po   | 136
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 2 files
 changed, 137 insertions(+)

commit 5dca29d04e74a23481d551fc22442ea313ba401f Author: Daniel Mustieles
<daniel.mustieles@gmail.com> Date:   Mon May 30 19:16:52 2016 +0200

    Updated Spanish translation

 po/es.po | 11 ++++++----- 1 file changed, 6 insertions(+), 5 deletions(-)

commit 6d92a3cf641c2a942fc299134de26e6d8ef05019 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue May 3 18:50:37 2016 -0500

    Added interfaces for DOM 4 support

 gxml/DomAttr.vala              |  31 ++++++++++ gxml/DomCharacter.vala
 |  46 ++++++++++++++ gxml/DomCollections.vala       |  73
 ++++++++++++++++++++++ gxml/DomDocument.vala          |  76
 +++++++++++++++++++++++ gxml/DomElement.vala           |
 48 +++++++++++++++ gxml/DomEvents.vala            |  91
 +++++++++++++++++++++++++++ gxml/DomMutationObservers.vala
 |  56 +++++++++++++++++ gxml/DomNode.vala              | 135
 +++++++++++++++++++++++++++++++++++++++++ gxml/DomRange.vala
 |  62 +++++++++++++++++++ gxml/DomSets.vala              |  43
 +++++++++++++ gxml/DomTraversal.vala         |  73 ++++++++++++++++++++++
 gxml/Makefile.am               |  14 ++++- 12 files changed, 747
 insertions(+), 1 deletion(-)

commit aa5c4fd96a6adf47ec6bc1208fb7b32e80429e3b Author: Daniel Mustieles
<daniel.mustieles@gmail.com> Date:   Tue May 3 20:19:45 2016 +0200

    Updated Spanish translation

 po/es.po | 8 ++------ 1 file changed, 2 insertions(+), 6 deletions(-)

commit 57126e6eeb548d807c7ada6639944a47cd30926c Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue May 3 09:58:24 2016 -0500

    Updated maintainer doap information

 MAINTAINERS | 2 +- 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6598a9b2a5d82634d6a2ecdacba4480ee9d6025c Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon May 2 10:42:16 2016 -0500

    More fixes for Bug 760568. Make sure compiles against Vala 0.26

    * For now on, we will be sure this package compiles against latest
      stable or LTS version distribution Debian/Ubuntu.

      This commit fixes make check under Debian 8.

    * For OSX this should fix remained errors for bug 760568

 NEWS                    |  1 + gxml/xlibxml.c          |  4 +++-
 test/DocumentTest.vala  |  2 +- test/GDocumentTest.vala |  2 +-
 test/GXmlTest.vala      |  2 +- test/TDocumentTest.vala |  6 ++----
 test/test.xml           | 15 +++++++++++++++ 7 files changed, 24
 insertions(+), 8 deletions(-)

commit 5160e22549c8302eddcc1b280f57b4f53ddd43a4 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Apr 27 09:57:00 2016 -0500

    Fixed vapi installation, honoring vala pc file

 NEWS             | 5 +++++ gxml/Makefile.am | 2 +- 2 files changed,
 6 insertions(+), 1 deletion(-)

commit 950406392798caae071174d3160e3a343500fd50 Author: Daniel Mustieles
<daniel.mustieles@gmail.com> Date:   Thu Apr 28 19:13:55 2016 +0200

    Updated Spanish translation

 po/es.po | 119
 ++++++++++++++++++++++++++++++++++++--------------------------- 1 file
 changed, 69 insertions(+), 50 deletions(-)

commit dffcbf593c2632cc889c33b609b9e9e246b36ed3 Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Wed Apr 20 18:45:01 2016 +0200

    Fix a typo in the DOAP file

    Also updates links to wiki.

 gxml.doap | 6 +++--- 1 file changed, 3 insertions(+), 3 deletions(-)

commit cae952514697c96ea5de8703a50133219386c41e Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Apr 20 11:24:08 2016 -0500

    Fixes to bug #760568. Some documentation updates

 gxml/Document.vala           |  3 +++ gxml/Enumeration.vala        |  3
 +++ gxml/GHtml.vala              |  3 +++ gxml/GXmlHashMapAttr.vala    |
 3 +++ gxml/GXmlListChildren.vala   |  3 +++ gxml/GXmlListNamespaces.vala
 |  3 +++ gxml/Makefile.am             |  8 ++++++++
 gxml/SerializableEnum.vala   |  5 ++++- gxml/SerializableFloat.vala
 |  8 +++++++- gxml/libxml-Error.vala       |  2 +- gxml/xlibxml.c
 | 20 ++++++++++---------- 11 files changed, 48 insertions(+), 13
 deletions(-)

commit a997fbee05b5ee28b97b31234a55b92942859565 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Apr 14 17:49:25 2016 -0500

    Fixes to build documentation

 docs/valadoc/devhelp/Makefile.am       |  26 +--
 docs/valadoc/gir-docs/Makefile.am      |   3 +-
 docs/valadoc/gtk-doc/Makefile.am       |   3
 +- gxml/SerializableXOM-InternalNode.vala | 389
 --------------------------------- gxml/SerializableXOM.vala
 | 332 ---------------------------- gxml/TrDocument.vala
 |  28 --- gxml/gxml-init.vala                    |  43 ++-- 7 files
 changed, 39 insertions(+), 785 deletions(-)

commit 44df25b1458ed2c407b3a2ded48639908dc71e1c Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Apr 14 13:30:52 2016 -0500

    More fixes to doap

 gxml.doap | 12 +++++++++--- 1 file changed, 9 insertions(+),
 3 deletions(-)

commit fe488917e027a28ccfd8689f55b73560e5ebdfe9 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Apr 14 13:24:32 2016 -0500

    Fixing doap file

 gxml.doap | 2 +- 1 file changed, 1 insertion(+), 1 deletion(-)

commit 56b0252061b31893928c4fa9b243eeb8851d97eb Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Apr 14 13:20:53 2016 -0500

    Post release version update to 0.11.0

 configure.ac |  2 +- gxml.doap    | 21 ++++++++++++++------- 2 files
 changed, 15 insertions(+), 8 deletions(-)

commit 072dc927d00aeb42ed3619ee6f91bfdf32ed869c Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Apr 13 13:47:02 2016 -0500

    Release 0.10 "lightning"

 NEWS         | 16 ++++++++++++++++ configure.ac |  8 ++++---- 2 files
 changed, 20 insertions(+), 4 deletions(-)

commit 0fb60e1a47d5b068981f091fe4f181128cf032c5 Author: Yating Kuang
<yatingkuang@ubuntukylin.com> Date:   Tue Apr 12 20:25:33 2016 +0800

    add zh_CN translation

 po/LINGUAS  |   1 + po/zh_CN.po | 134
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 2 files
 changed, 135 insertions(+)

commit 2ae8e930653e412c5dab64b7c97b54ae32b09353 Author: Anders Jonsson
<anders.jonsson@norsjovallen.se> Date:   Sun Apr 10 22:39:56 2016 +0000

    Updated Swedish translation

 po/sv.po | 34 +++++++++++++++++++++++----------- 1 file changed, 23
 insertions(+), 11 deletions(-)

commit f21d48ff2fcf22cc7cf4efa823da1bc19a577c84 Author: Mario Blättermann
<mario.blaettermann@gmail.com> Date:   Fri Apr 1 19:20:47 2016 +0000

    Updated German translation

 po/de.po | 114
 +++++++++++++++++++++++++++++++++++---------------------------- 1 file
 changed, 64 insertions(+), 50 deletions(-)

commit 878da29b5b87857c06c62befbb23a7018fd0624a Author: Enrico Nicoletto
<liverig@gmail.com> Date:   Thu Mar 31 19:56:40 2016 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 33 +++++++++++++++++++-------------- 1 file changed,
 19 insertions(+), 14 deletions(-)

commit d171ef34b2e34c836511e89c92840c2aa35dad93 Author: Marek Černocký
<marek@manet.cz> Date:   Wed Mar 30 08:35:17 2016 +0200

    Updated Czech translation

 po/cs.po | 72
 ++++++++++++++++++++++++++++++++-------------------------------- 1 file
 changed, 36 insertions(+), 36 deletions(-)

commit 417dbc9a6e62f57b4f36c8d28bbe3c39bfab0eac Author: Марко
М. Костић <marko.m.kostic@gmail.com> Date:   Tue Mar 29 21:55:19
2016 +0200

    Updated Serbian translation

 po/sr.po       | 39 +++++++++++++++++++++++----------------
 po/sr@latin.po | 39 +++++++++++++++++++++++---------------- 2 files
 changed, 46 insertions(+), 32 deletions(-)

commit 7d6122b42c9dc087dc6fe72db528a8089661b999 Author: Balázs Meskó
<meskobalazs@gmail.com> Date:   Tue Mar 29 17:25:26 2016 +0000

    Updated Hungarian translation

 po/hu.po | 15 ++++++++------- 1 file changed, 8 insertions(+),
 7 deletions(-)

commit bb5e00f60b5f4793b3dc440aa51ca727285084f2 Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Tue Mar 29 18:55:09 2016 +0200

    Updated Polish translation

 po/pl.po | 21 +++++++++++---------- 1 file changed, 11 insertions(+),
 10 deletions(-)

commit 47b1d7f87647eafe4084fa795a6f787992ecdc3c Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Tue Mar 29 02:56:13 2016 +0200

    Fix a grammar error (can not)

 gxml/Enumeration.vala | 2 +- 1 file changed, 1 insertion(+),
 1 deletion(-)

commit 020151bf595aaf2e5923848c8ad7ad62e9bce330 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Mar 28 18:38:37 2016 -0600

    More grammar errors fixed for Bug #761204 from Anders Jonsson

 gxml/Enumeration.vala             | 2 +- gxml/GXmlDocument.vala
 | 2 +- gxml/SerializableObjectModel.vala | 2 +- gxml/TDocument.vala
 | 2 +- gxml/libxml-Node.vala             | 2 +- 5 files changed,
 5 insertions(+), 5 deletions(-)

commit 5b0c330daecef2771a9061b3f7d3c05e5e8266b6 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Mar 28 18:31:49 2016 -0600

    Fixed grammar error Bug #761204 from Anders Jonsson

 gxml/TDocument.vala | 2 +- 1 file changed, 1 insertion(+), 1 deletion(-)

commit c32ec0d042ef1716ef6c74db60eadf2cb656b9d1 Author: Laudivan Freire
de Almeida <laudivan@riseup.net> Date:   Mon Mar 28 12:33:57 2016 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 45 ++++++++++++++++++++++++++++++--------------- 1 file
 changed, 30 insertions(+), 15 deletions(-)

commit bd8af10bd9ceafa6e24dd16bfdb2b8443e48ba1b Author: Balázs Meskó
<meskobalazs@gmail.com> Date:   Sun Mar 27 11:33:39 2016 +0000

    Updated Hungarian translation

 po/hu.po | 25 ++++++++++++++++++++----- 1 file changed, 20 insertions(+),
 5 deletions(-)

commit 6b0e21e2e697c79e1c553f9f7e01a163fbc8024d Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sat Mar 26 22:30:40 2016 -0600

    Improved TDocument.read_doc for CONTINUE, NEXT and STOP parsing

 gxml/TDocument.vala     | 29 +++++++++++++++++++++++------
 test/TDocumentTest.vala | 10 +++++----- test/TElementTest.vala  |
 11 ++++++----- test/t-read-test.xml    |  4 +++- 4 files changed,
 37 insertions(+), 17 deletions(-)

commit e0c6ae144bbeefb8f93a15e1748c1b568bd5a8c2 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Mar 25 09:33:14 2016 -0600

    Updated NEWS for translations

 NEWS | 3 ++- 1 file changed, 2 insertions(+), 1 deletion(-)

commit a53859b73ae5ea241ccad9302b56a518fee5ff8e Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Mar 25 09:29:38 2016 -0600

    Added new construct methods for TDocument using custome ReadTypeFunc

 NEWS                    |  12 +++++- gxml/TDocument.vala
 |  36 ++++++++++++++++- test/TDocumentTest.vala | 102
 ++++++++++++++++++++++++++++++++++++++++++++++++ 3 files changed,
 148 insertions(+), 2 deletions(-)

commit dc6fac34e7767668664cc1a04f407465f28f24da Author: Мирослав
Николић <miroslavnikolic@rocketmail.com> Date:   Fri Mar 25
11:27:12 2016 +0100

    Updated Serbian translation

 po/sr.po       | 54
 +++++++++++++++++++++++++++++++++++------------------- po/sr@latin.po
 | 54 +++++++++++++++++++++++++++++++++++------------------- 2 files
 changed, 70 insertions(+), 38 deletions(-)

commit b1e1c0d4a0d00c6f88df063edec4903092698511 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Mar 24 17:55:18 2016 -0600

    Post release version up to 0.9.92. Extra checks for
    TDocument.ReadTypeFunc

 configure.ac                       |  2 +-
 gxml/SerializableGeeArrayList.vala |  2 +- gxml/TDocument.vala
 |  6 ++++-- test/TElementTest.vala             | 35
 ++++++++++++++++++++++++++++------- 4 files changed, 34 insertions(+),
 11 deletions(-)

commit b0a42e4120a11c78868ece106b1677bd4b8eb771 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Mar 24 11:00:07 2016 -0600

    Fixed TDocument.ReadTypeFunc used on TDocument.read_doc()

 gxml/TDocument.vala     |  8 ++++++-- test/TDocumentTest.vala
 |  8 ++++---- test/TElementTest.vala  | 44
 ++++++++++++++++++++++++++++++++++++++++++++ test/t-read-test.xml    |
 14 ++++++++++++++ 4 files changed, 68 insertions(+), 6 deletions(-)

commit f737b43dce79c7387668d5e81b5c0140f898631c Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Thu Mar 24 02:35:23 2016 +0100

    Updated Polish translation

 po/pl.po | 74
 +++++++++++++++++++++++++++++----------------------------------- 1 file
 changed, 34 insertions(+), 40 deletions(-)

commit d5afba4a4f4e4eac581fad92299cd253c6c2da72 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Mar 23 17:23:00 2016 -0600

    Release 0.9.91

 NEWS | 22 +++++++++------------- 1 file changed, 9 insertions(+),
 13 deletions(-)

commit e87ac2aa82de67dfc7abe3b9a749a49cc7333b11 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Mar 23 17:00:36 2016 -0600

    Fixed TElement attributes with namespaces

    * TElement attributes with namespaces are stored using prefix:name
      secuence on Hash Table, to get it from attrs use that convention
    * Added test cases for this

 NEWS                    |  6 ++++++ configure.ac            |
 2 +- gxml/TElement.vala      |  2 +- test/TDocumentTest.vala |
 28 ++++++++++++++++++++++++++-- test/TElementTest.vala  | 31
 ++++++++++++++++++++++++++++++- 5 files changed, 64 insertions(+),
 5 deletions(-)

commit 58efe7dcd2ce9f213aa9f2eada12f5dd729d1868 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Mar 15 20:52:31 2016 -0600

    Added TDocument.from_string(), .from_uri() and .from_stream()

 gxml/TDocument.vala     |  11 +++-- test/TDocumentTest.vala | 118
 ++++++++++++++++++++++++++++++++++++++++++++++++ 2 files changed,
 126 insertions(+), 3 deletions(-)

commit acb803c34ccf108abdabcf0aff187fee15c88197 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Mar 15 20:10:11 2016 -0600

    Release 0.9.90

 NEWS                            |  14 ++++++++++++--
 configure.ac                    |   2 +- gxml/GXmlDocument.vala
 |   2 +- gxml/SerializableProperty.vala  |   2 +- gxml/TDocument.vala
 |   2 +- test/GDocumentTest.vala         |   2 +- test/Makefile.am
 |   4 +++- test/gxml-performance-graph.ods | Bin 0 -> 17449 bytes 8
 files changed, 20 insertions(+), 8 deletions(-)

commit 804e14907f081ad43b86bea36a3f1197a6857972 Author: Anders Jonsson
<anders.jonsson@norsjovallen.se> Date:   Sat Mar 19 16:17:39 2016 +0000

    Added Swedish translation

 po/LINGUAS |   1 + po/sv.po   | 126
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 2 files
 changed, 127 insertions(+)

commit e3b90d57c4196d7d939d7032eddf21eef6f7e83f Author: Rafael Fontenelle
<rafaelff@gnome.org> Date:   Fri Mar 18 06:47:28 2016 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 88
 ++++++++++++++++++++++++++++++++++--------------------------- 1 file
 changed, 49 insertions(+), 39 deletions(-)

commit f464d3cd8e96365881b6b50b8e051373b6b91cd6 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Mar 15 13:48:20 2016 -0600

    API change to sync TDocument with other implementations

 gxml/TDocument.vala        |  9 +++++++-- test/TDocumentTest.vala
 | 22 +++++++++++----------- test/gxml-performance.vala | 46
 ++++++++++++++++++++++++++++++++++++++++++++-- 3 files changed, 62
 insertions(+), 15 deletions(-)

commit 7031c1244644a6c703069e332680b8bc3f4f2da3 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Mar 10 12:53:00 2016 -0600

    Improved performance tests

 test/gxml-performance.vala | 73
 +++++++++++++++++++++++++++++++++++++++++----- 1 file changed, 66
 insertions(+), 7 deletions(-)

commit d371d7f456e6183e721dac68596640318f271658 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Mar 9 17:57:43 2016 -0600

    Ported performance tests to TDocument

 test/gxml-performance.vala | 33 ++++++++++++++++++---------------
 1 file changed, 18 insertions(+), 15 deletions(-)

commit 2776441a38064edae1755de265360085ff92efe0 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Mar 9 17:32:50 2016 -0600

    Added TDocument new .for_path(), .for_file() and .for_stream()

 NEWS                    |  1 + gxml/TDocument.vala     | 30
 ++++++++++++++++++++++++------ test/TDocumentTest.vala | 10 ++++------
 3 files changed, 29 insertions(+), 12 deletions(-)

commit ce2dbd8e08c773167b1a2453f7c472a829b685ad Author: Marek Černocký
<marek@manet.cz> Date:   Sun Mar 13 08:31:11 2016 +0100

    Updated Czech translation

 po/cs.po | 76
 +++++++++++++++++++++++++++++++++------------------------------- 1 file
 changed, 39 insertions(+), 37 deletions(-)

commit 9edfe1875de024ea3e01f306b6025e8002d9d7b6 Author: Matej Urbančič
<mateju@svn.gnome.org> Date:   Sat Mar 12 22:12:07 2016 +0100

    Added Slovenian translation

 po/sl.po | 72
 +++++++++++++++++++++++++++++++++++++--------------------------- 1 file
 changed, 42 insertions(+), 30 deletions(-)

commit 0045bc48a409accab77e27a36d9eb1b4aab1d612 Author: Balázs Úr
<urbalazs@gmail.com> Date:   Sat Mar 12 14:46:46 2016 +0000

    Added Hungarian translation

 po/LINGUAS |   1 + po/hu.po   | 125
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 2 files
 changed, 126 insertions(+)

commit 475e0eae4fdaf23b5d9f562fbc3c5d94f6f3a2b6 Author: Matej Urbančič
<mateju@svn.gnome.org> Date:   Fri Mar 11 22:37:27 2016 +0100

    Added sl for Slovenian translation

 po/LINGUAS | 1 + 1 file changed, 1 insertion(+)

commit a11ad130ad37c65a27ccb1970c4b8a56e035f88f Author: Matej Urbančič
<mateju@svn.gnome.org> Date:   Fri Mar 11 22:37:08 2016 +0100

    Added Slovenian translation

 po/sl.po | 124
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 1 file
 changed, 124 insertions(+)

commit fa2c3abed4bbc884a8f0864f7c5568869470edc4 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Mar 9 17:12:43 2016 -0600

    Commented out debug messages

 gxml/TDocument.vala       | 64
 ++++++++++++++++++++++++++++++++++++++++++++++- gxml/libxml-Document.vala
 |  2 ++ test/DocumentTest.vala    |  2 +- test/TDocumentTest.vala   |
 18 ++++++------- 4 files changed, 75 insertions(+), 11 deletions(-)

commit e68981cb23d941f5aad16047d6c0ce117d817e42 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Mar 9 16:36:00 2016 -0600

    Added support for CDATA for TDocument.read_node()

 gxml/TDocument.vala     | 10 +++++++--- test/TDocumentTest.vala |
 18 +++++++++++++++++- test/t-read-test.xml    |  1 + 3 files changed,
 25 insertions(+), 4 deletions(-)

commit 07d8bf7d09c0e93625c37359864cac2104012569 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Mar 9 16:11:27 2016 -0600

    Added support for Processing Instructions

    * Fixed parse empty nodes in TDocument.read_node()

 gxml/TDocument.vala     |  8 ++++++++ test/TDocumentTest.vala | 42
 ++++++++++++++++++++++++++++++++++++------ test/t-read-test.xml    |
 2 ++ 3 files changed, 46 insertions(+), 6 deletions(-)

commit 26c36bb380acda77b07e8b43b01b3aa65eb74f30 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Mar 9 13:48:17 2016 -0600

    Implemented read Comment on TDocument.read_node()

    * Includes fix to write out non-root nodes on document

 gxml/TDocument.vala     | 204
 +++++++++++++++++++++++++----------------------- test/TDocumentTest.vala
 |   9 +++ test/t-read-test.xml    |   2 + 3 files changed, 118
 insertions(+), 97 deletions(-)

commit 3a3b7bb37608a1d069a08da43eda5fec45d7cea9 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Mar 9 13:10:42 2016 -0600

    More unit tests for TDocument read namespaces

 test/TDocumentTest.vala | 32 ++++++++++++++++++++++++++++++++
 test/t-read-test.xml    |  2 +- 2 files changed, 33 insertions(+),
 1 deletion(-)

commit 8c48516cdd1ae526069bbbfd8d47ea18e93bdbec Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Mar 9 12:54:16 2016 -0600

    Fixed writing out all declared NS in node for TDocument.start_node()

 gxml/TDocument.vala | 7 +++++++ 1 file changed, 7 insertions(+)

commit 4faf81383e78373d27fd7177399317d7c89e6195 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Mar 9 12:31:58 2016 -0600

    Fixed parse all attributes for TDocument.read_node()

 gxml/TDocument.vala     | 11 ++++++++--- test/TDocumentTest.vala |
 9 +++++++-- test/t-read-test.xml    |  3 ++- 3 files changed, 17
 insertions(+), 6 deletions(-)

commit 5ff529a01c18c32c15e811dcce70abe9229d82f3 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Mar 9 11:27:19 2016 -0600

    Added support to parse namespaces to TDocument.read_node()

 gxml/TDocument.vala  | 26 ++++++++++++++++++++------ test/t-read-test.xml
 |  7 +++++-- 2 files changed, 25 insertions(+), 8 deletions(-)

commit 0596d3d026098547780eef4b8d25c6ab0ba709f8 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Mar 8 20:51:32 2016 -0600

    Added support to TDocument to read namespaces for Elements

 gxml/TDocument.vala     | 28 ++++++++++++++++++++--------
 test/TDocumentTest.vala | 12 ++++++++++++ test/t-read-test.xml    |
 2 +- 3 files changed, 33 insertions(+), 9 deletions(-)

commit 34e8f6e096fc884119ec6d7a592949d8a22d9ca6 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Mar 8 20:28:45 2016 -0600

    Improved TDocument read basic test

 test/TDocumentTest.vala | 24 ++++++++++++++++++++++++ 1 file changed,
 24 insertions(+)

commit 6f417a48a96d23cd6e3ecba78b8a6524aab0238c Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Mar 8 20:11:32 2016 -0600

    Basic Reading implemented for TDocument using Xml.TextReader

 gxml/TDocument.vala     | 88
 ++++++++++++++++++++++++++++++------------------- test/Makefile.am
 |  1 + test/TDocumentTest.vala | 39 ++++++++++++++++++++++
 test/t-read-test.xml    | 15 +++++++++ 4 files changed, 109
 insertions(+), 34 deletions(-)

commit 8806461bf7a38728375a05ba2ff1d0ad8e48ddd8 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Mar 8 10:10:18 2016 -0600

    Added TDocument.read_doc() and .read_node() methods

    * Initial TextReader implementation for TDocument

 gxml/TDocument.vala | 107
 ++++++++++++++++++++++++++++++++++++++++++++++++++++ 1 file changed,
 107 insertions(+)

commit eb748720802698dc60740679e6ec00cb9127d2e5 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Mar 7 22:16:10 2016 -0600

    Fixed make check

 po/POTFILES.in                       |  2 +- po/POTFILES.skip
 |  4 +-- test/TCDATATest.vala                 |  2 +-
 test/TCommentTest.vala               |  2 +- test/TDocumentTest.vala
 | 58 ++++++++++++++++++------------------ test/TElementTest.vala
 | 34 ++++++++++----------- test/TProcessingInstructionTest.vala |  2 +-
 7 files changed, 52 insertions(+), 52 deletions(-)

commit 2a5d8347f15c9f69905c963cde3d3c413242b542 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Mar 7 21:32:08 2016 -0600

    TwNode and derived renamed to TNode

 NEWS                                               |  7 ++++
 gxml/GXmlDocument.vala                             |  6 +--
 gxml/Makefile.am                                   | 18 ++++-----
 gxml/{TwAttribute.vala => TAttribute.vala}         |  8 ++--
 gxml/{TwCDATA.vala => TCDATA.vala}                 |  8 ++--
 gxml/{TwComment.vala => TComment.vala}             |  8
 ++-- gxml/{TwDocument.vala => TDocument.vala}           | 24
 ++++++------ gxml/{TwElement.vala => TElement.vala}             |
 16 ++++---- gxml/{TwNamespace.vala => TNamespace.vala}         |
 10 ++--- gxml/{TwNode.vala => TNode.vala}                   |
 20 +++++----- ...nstruction.vala => TProcessingInstruction.vala}
 |  8 ++-- gxml/{TwText.vala => TText.vala}                   |
 10 ++--- gxml/TrDocument.vala                               | 28
 ++++++++++++++ test/GXmlTest.vala                                 |
 14 +++---- test/Makefile.am                                   |
 14 +++---- test/SerializableGeeArrayListTest.vala             |
 4 +- ...SerializableGeeCollections-TDocument-Test.vala} | 10
 ++--- test/SerializableGeeCollectionsTest.vala           |  4
 +- test/SerializableGeeDualKeyMapTest.vala            |  2 +-
 test/SerializableGeeHashMapTest.vala               |  6 +--
 test/SerializableGeeTreeMapTest.vala               |  4 +- ...=>
 SerializableObjectModel-TDocument-Test.vala} | 26 ++++++-------
 test/{TwCDATATest.vala => TCDATATest.vala}         |  6 +--
 test/{TwCommentTest.vala => TCommentTest.vala}     |  6
 +-- test/{TwDocumentTest.vala => TDocumentTest.vala}   |
 44 +++++++++++----------- test/{TwElementTest.vala =>
 TElementTest.vala}     | 36 +++++++++--------- ...onTest.vala =>
 TProcessingInstructionTest.vala} |  6 +-- 27 files changed, 194
 insertions(+), 159 deletions(-)

commit 68f9a1cb026f73e4519d86e10be63431dea7769e Author: Γιάννης
Κουτσούκος <giankoyt@gmail.com> Date:   Wed Mar 9 17:27:39
2016 +0000

    Added Greek translation

 po/LINGUAS |   1 + po/el.po   | 128
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 2 files
 changed, 129 insertions(+)

commit c1e566786bf0f94ddaf764d1de6cb00bbfb2958f Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sun Feb 28 09:40:22 2016 -0600

    Fixed TwDocument.write_document() fo text nodes

 gxml/TwDocument.vala    |  2 +- test/GDocumentTest.vala | 24
 +++++++++++++++++++++++- test/gdocument-read.xml |  8 ++++++++ 3 files
 changed, 32 insertions(+), 2 deletions(-)

commit a1f5ae57acd220535dff841a30af41baf0867052 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Feb 26 16:06:29 2016 -0600

    Fixed SerializableDualKeyMap for post-deseralization

 gxml/SerializableGeeDualKeyMap.vala     |  12
 ++- test/SerializableGeeDualKeyMapTest.vala | 134
 ++++++++++++++++++++++++++++++-- test/SerializableGeeTreeMapTest.vala
 |   4 +- 3 files changed, 139 insertions(+), 11 deletions(-)

commit 308a693c6d379568150a1cd2cce2ad2370f38e9e Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Feb 26 15:50:36 2016 -0600

    Fixed post-deserialization for SerializableHashMap and TreeMap

    * On serialization all pending deserializations are executed

 gxml/SerializableGeeHashMap.vala       |   8 +-
 gxml/SerializableGeeTreeMap.vala       |  10
 ++- test/SerializableGeeArrayListTest.vala
 |   5 +- test/SerializableGeeHashMapTest.vala   | 125
 +++++++++++++++++++++++++++++-- test/SerializableGeeTreeMapTest.vala   |
 133 +++++++++++++++++++++++++++++++-- 5 files changed, 260 insertions(+),
 21 deletions(-)

commit 32197989ddf1f974a60ee42020f25dd19faace35 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Feb 26 14:59:15 2016 -0600

    Moved tests for post-deserialization for ArrayList to its units tests

 test/SerializableGeeArrayListTest.vala   | 118
 +++++++++++++++++++++++-- test/SerializableGeeCollectionsTest.vala |
 147 ++++++++----------------------- 2 files changed, 152 insertions(+),
 113 deletions(-)

commit 709e0bd2c56a8c3c5a77450d5f00f38a5ad75375 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Feb 26 14:53:47 2016 -0600

    Fixed SerializableArrayList for post-deserialization

    Post-deserialization only works on first level, when running
    deserialize_children() will run in all internal collections in the
    actual node.

 gxml/SerializableGeeArrayList.vala       |   7
 +- test/SerializableGeeCollectionsTest.vala | 139
 ++++++++++++++++++++++++------- 2 files changed, 114 insertions(+),
 32 deletions(-)

commit 39e729e41fa3752c8c4d36b635df51a115425ab2 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Feb 26 13:58:31 2016 -0600

    Fixed SerializableObjectModel.serialize for post-deserialization

    * On serialization checks if the collection was serialized before,
      if no, run its deserialization first then continue

 gxml/SerializableObjectModel.vala        |  4 ++ test/GDocumentTest.vala
 |  2 +- test/SerializableGeeCollectionsTest.vala | 74
 ++++++++++++++++++++++++++++++++ 3 files changed, 79 insertions(+),
 1 deletion(-)

commit ff3594760b666e0075a035713c61c0f91498f32e Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Feb 26 12:08:15 2016 -0600

    Publish SerializableHashMap._deserialized as protected

 gxml/SerializableGeeHashMap.vala | 2 +- 1 file changed, 1 insertion(+),
 1 deletion(-)

commit 0d366bbc7849072242a1aa59ebda5994b4c0d73f Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Feb 25 13:18:14 2016 -0600

    Provide access to internals for derived classes on Collections

 gxml/SerializableGeeArrayList.vala  | 4
 ++-- gxml/SerializableGeeDualKeyMap.vala |
 4 ++-- gxml/SerializableGeeHashMap.vala    | 2 +-
 gxml/SerializableGeeTreeMap.vala    | 4 ++-- 4 files changed, 7
 insertions(+), 7 deletions(-)

commit fafd8ae2e53ef0465dc67636e22537d5f0dcbe32 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Feb 24 18:33:29 2016 -0600

    Post-release version update

 configure.ac | 2 +- 1 file changed, 1 insertion(+), 1 deletion(-)

commit 921cf77ff45755a386be1edd425372754f9a09f9 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Feb 24 18:32:05 2016 -0600

    Release 0.9.2

 test/gxml-performance.vala | 4 ++++ 1 file changed, 4 insertions(+)

commit 2b4d6f0640a8023a6fe3666d5df9ab8487097dfe Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Feb 24 18:17:43 2016 -0600

    Added more performance tests using GDocument to de/serialize

    * GDocument used for tests to check performance on deserialize
      showing a 50% less time on initial load and 10% on post-deserialize

 gxml/GXmlElement.vala      |   1 - gxml/GXmlHashMapAttr.vala  |   1
 - gxml/Node.vala             |   4 - test/gxml-performance.vala |
 203 +++++++++++++++++++++++++++++++++++++++++++++ 4 files changed,
 203 insertions(+), 6 deletions(-)

commit af28b78d88c8dffff8e1908eb33707fa9b1a45b7 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Feb 24 17:31:43 2016 -0600

    Additional complications about testing post-deserialization for
    HashMap

 NEWS                              |  2 +-
 gxml/SerializableObjectModel.vala |  2 +- test/gxml-performance.vala
 | 67 ++++++++++++++++++++++++--------------- 3 files changed, 44
 insertions(+), 27 deletions(-)

commit 884b4c12497b80f00cc79efe68452f5e474a3df1 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Feb 24 14:56:24 2016 -0600

    Fixes on performance tests due to removal of
    SerializableCollection.is_prepared()

 test/gxml-performance.vala | 38 +++++++++++++++-----------------------
 1 file changed, 15 insertions(+), 23 deletions(-)

commit 3369748f4e851651acb578be68abf07458b2c2d3 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Feb 24 14:38:44 2016 -0600

    Removed SerializableCollection.is_prepared()

 NEWS                                    |  10 +--
 gxml/SerializableContainer.vala         |   4 --
 gxml/SerializableGeeArrayList.vala      |   1 -
 gxml/SerializableGeeDualKeyMap.vala     |   1 -
 gxml/SerializableGeeHashMap.vala        |   5 +-
 gxml/SerializableGeeTreeMap.vala        |   1
 - test/SerializableGeeDualKeyMapTest.vala | 104
 -------------------------------- test/gxml-performance.vala
 | 104 ++++++++++++++++++++++++++++++++ 8 files changed, 110
 insertions(+), 120 deletions(-)

commit a9c6ba956d08af3018db2dc03766c00208060f49 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Feb 24 14:19:23 2016 -0600

    Added tests for post-deserialization for SerializableDualKeyMap

 test/SerializableGeeDualKeyMapTest.vala | 104
 ++++++++++++++++++++++++++++++++ test/gxml-performance.vala
 |   1 - 2 files changed, 104 insertions(+), 1 deletion(-)

commit 34fd696026ec66ecfd7a69e87edc13faba4947f1 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Feb 24 14:07:37 2016 -0600

    Ported SerializabeDualKeyMap to post-deserialization

 gxml/SerializableGeeDualKeyMap.vala  |  64
 ++++++++++++---------- test/SerializableGeeTreeMapTest.vala | 100
 ----------------------------------- test/gxml-performance.vala
 | 100 +++++++++++++++++++++++++++++++++++ 3 files changed, 135
 insertions(+), 129 deletions(-)

commit e10eec3d9f98bf835f889f966e8ec6ee2b30a427 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Feb 24 14:01:07 2016 -0600

    Ported SerializableTreeMap to post-serialization

 gxml/SerializableGeeTreeMap.vala     |  61
 +++++++++++++-------- test/SerializableGeeHashMapTest.vala | 100
 ---------------------------------- test/SerializableGeeTreeMapTest.vala
 | 100 ++++++++++++++++++++++++++++++++++ test/TwDocumentTest.vala
 |  12 ++--- test/gxml-performance.vala           | 102
 +++++++++++++++++++++++++++++++++++ 5 files changed, 246 insertions(+),
 129 deletions(-)

commit 3a888237194892adefee70ad67aadfc27bcdc70f Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Feb 24 13:46:30 2016 -0600

    Post-serialization fixes and tests cases for SerializableHashMap

    * Fixed abort deserialization if already serialized * Added test
    cases for post-serialization on SerializableHashMap

 gxml/SerializableGeeArrayList.vala   |  3 ++-
 gxml/SerializableGeeHashMap.vala     |  1
 + test/SerializableGeeHashMapTest.vala | 42
 ++++++++++++++++++++++++++++++++++-- test/gxml-performance.vala
 |  1 + 4 files changed, 44 insertions(+), 3 deletions(-)

commit 1f241fb89ec53408932b01494bcfc38229bd248c Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Feb 24 13:35:02 2016 -0600

    Fixes and tests for SerializableHashMap post-deserialization

    * Moved SerializableArrayList performance tests to performance
      need --enable-performance-tests to check them

    * Added performance tests for SerializableHashMap

 gxml/SerializableGeeArrayList.vala     |  1 +
 gxml/SerializableGeeHashMap.vala       |  6
 ++- test/SerializableGeeArrayListTest.vala | 60
 -------------------------- test/SerializableGeeHashMapTest.vala   |
 62 +++++++++++++++++++++++++++ test/gxml-performance.vala             |
 77 ++++++++++++++++++++++++++++++++++ 5 files changed, 145 insertions(+),
 61 deletions(-)

commit b9a54c0f0dea1545e595561c57eba08a7c0add3a Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Feb 24 13:05:50 2016 -0600

    SerializableCollection added Error thrown. Post-serialization HashMap

 gxml/SerializableContainer.vala     |  4 +--
 gxml/SerializableGeeArrayList.vala  |  4
 +-- gxml/SerializableGeeDualKeyMap.vala
 |  4 +-- gxml/SerializableGeeHashMap.vala    | 58
 ++++++++++++++++++++++--------------- gxml/SerializableGeeTreeMap.vala
 |  4 +-- 5 files changed, 43 insertions(+), 31 deletions(-)

commit 5a4623a90e2458b6b7a3e53e6363a93ded8b19e1 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Feb 24 12:26:21 2016 -0600

    Improved performance tests for SerialiableArrayList
    post-deserialization

    * Tests shows no penalization on post-deserialization

 test/SerializableGeeArrayListTest.vala | 33
 ++++++++++++++++++++++++++------- 1 file changed, 26 insertions(+),
 7 deletions(-)

commit 110b452fbf04595974111e9635e12316a8f36e5d Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Feb 24 11:56:43 2016 -0600

    SerializableArrayList now support post-deserialization

    * Calling deserialize() over SerializableArrayList can be
      controlled by SerializableCollection.deserialize_proceed() for post
      deserialization using SerializableCollection.deserialize_children()

    * SerializableCollection.deserialize_children() now uses
      internal GXml.Node to deserialize from

    * Tests shows a improvement on document loading but a penalty
      on post deserialization of about 20% above in total time
      (loading+post-deserialization) Vs. (load+deserialization)

 NEWS                                   |  9
 +++++++++ gxml/SerializableContainer.vala        |
 2 +- gxml/SerializableGeeArrayList.vala     | 16
 +++++++++------- gxml/SerializableGeeDualKeyMap.vala    |
 6 +++--- gxml/SerializableGeeHashMap.vala       |  4
 ++-- gxml/SerializableGeeTreeMap.vala       |  6 +++---
 test/SerializableGeeArrayListTest.vala | 19 +++++++++++++++---- 7 files
 changed, 42 insertions(+), 20 deletions(-)

commit 9720ad9fdcc4704c465e8d83ca607cc4b651ac75 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Feb 23 22:45:12 2016 -0600

    Added test for desable/enable deserialize SerializableArrayList

 test/SerializableGeeArrayListTest.vala | 40
 ++++++++++++++++++++++++++++++++++ 1 file changed, 40 insertions(+)

commit 400081e1e22be07a0228aa704b0d51e2f8ce5777 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Feb 23 22:05:04 2016 -0600

    Ported GXml.SerializableArrayList to new SerializableCollection

 gxml/SerializableContainer.vala     |  2
 +- gxml/SerializableGeeArrayList.vala  | 61
 +++++++++++++++++++++---------------- gxml/SerializableGeeDualKeyMap.vala
 |  1 + gxml/SerializableGeeHashMap.vala    |  1 +
 gxml/SerializableGeeTreeMap.vala    |  1 + 5 files changed, 38
 insertions(+), 28 deletions(-)

commit cac13d660823ab51442417b0376d137633d2f673 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Feb 23 21:13:16 2016 -0600

    Removed unused objects from SerializableCollection implementations

 gxml/SerializableContainer.vala     | 7 +++++++
 gxml/SerializableGeeArrayList.vala  | 4 ++--
 gxml/SerializableGeeDualKeyMap.vala | 6 ++----
 gxml/SerializableGeeHashMap.vala    | 6 ++----
 gxml/SerializableGeeTreeMap.vala    | 6 ++---- 5 files changed, 15
 insertions(+), 14 deletions(-)

commit cfa2aa2afec3780cff50fae983bc16b0121c9926 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Feb 22 18:39:05 2016 -0600

    Set version to 0.9.1: API Changes

    * API change Serializable.deserialize now return a boolean * API
    change SerializableCollection: added new abstract methods

 NEWS                                  |  8 ++++++++
 configure.ac                          |  2 +- gxml/Serializable.vala
 |  2 +- gxml/SerializableContainer.vala       | 29
 +++++++++++++++++++++++++++++ gxml/SerializableGeeArrayList.vala
 | 15 +++++++++++---- gxml/SerializableGeeDualKeyMap.vala   |
 13 ++++++++++--- gxml/SerializableGeeHashMap.vala      |
 15 ++++++++++++--- gxml/SerializableGeeTreeMap.vala      | 13
 ++++++++++--- gxml/SerializableObjectModel.vala     |  8 ++++----
 test/SerializableObjectModelTest.vala |  2 +- 10 files changed, 87
 insertions(+), 20 deletions(-)

commit bec3555c6a33ab73d92e67e94e777777d68d3460 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Feb 22 18:06:23 2016 -0600

    SerializableArrayList: some deserialize code moved to
    deserialize_property

 gxml/SerializableGeeArrayList.vala | 28 ++++++++++++----------------
 gxml/SerializableObjectModel.vala  |  9 ++++++++- 2 files changed,
 20 insertions(+), 17 deletions(-)

commit 908c4974b802801c8f1efee2d42947714d452a9d Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Feb 22 17:30:48 2016 -0600

    Release 0.9.1 "Less Memory"

 NEWS                                  | 2 +-
 test/SerializableObjectModelTest.vala | 8 +++----- 2 files changed,
 4 insertions(+), 6 deletions(-)

commit 5ced70b740578dfd88402c61e6f9038824088e46 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Feb 22 16:42:08 2016 -0600

    Performance tests using GDocumento to test TwDocument

    * Tests show less memory usage for GDocument Vs. xDocument

 NEWS                           |  4 +++ gxml/GXmlAttribute.vala
 |  2 -- gxml/GXmlElement.vala          |  2 --
 gxml/GXmlHashMapAttr.vala      |  2 -- gxml/SerializableProperty.vala |
 4 +-- gxml/TwDocument.vala           |  5 --- gxml/libxml-Element.vala
 |  1 - gxml/libxml-NamedAttrMap.vala  |  2 -- test/gxml-performance.vala
 | 72 ++++++++++++++++++++++++++++++------------ 9 files changed, 56
 insertions(+), 38 deletions(-)

commit bd52c2ddbcb311979f66e227b0d76496545f20a4 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Feb 22 13:12:21 2016 -0600

    SerializableObjectModel optimizations

    * No more per object TwDocument to copy to unknown nodes * Unknown
    attributes and nodes are detected from original GXml.Node *
    Implementation requires collections are not null, in order to locate
      node_name() and avoid this nodes as uknowns

 gxml/Node.vala                               |   4 +-
 gxml/SerializableGeeHashMap.vala             |   2
 +- gxml/SerializableObjectModel.vala            |
 228 ++++++++++++++------------- gxml/TwNode.vala
 |   1 + test/SerializableGeeCollections-Tw-Test.vala |   8
 +- test/SerializableGeeCollectionsTest.vala     |  14 +-
 test/SerializableGeeHashMapTest.vala         |  40 ++---
 test/SerializableObjectModelTest.vala        | 191 ++++++----------------
 8 files changed, 209 insertions(+), 279 deletions(-)

commit b4a99d8e5e9165e70814f8def2424bce21f12ff0 Author: Мирослав
Николић <miroslavnikolic@rocketmail.com> Date:   Sun Feb 21
08:10:56 2016 +0100

    Updated Serbian translation

 po/sr.po       | 50 ++++++++++++++++++++++++++------------------------
 po/sr@latin.po | 50 ++++++++++++++++++++++++++------------------------
 2 files changed, 52 insertions(+), 48 deletions(-)

commit ab8a13ab69ca50dfad8469ce945414e815f29f43 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sat Feb 20 11:34:12 2016 -0600

    Fixed SerializableObjectModel.deserialize_property for Node.parent

 gxml/GXmlAttribute.vala           |  6 ++++++
 gxml/SerializableObjectModel.vala | 31 +++++++++++++++++++++++++------
 gxml/TwNode.vala                  |  6 ++++++ 3 files changed, 37
 insertions(+), 6 deletions(-)

commit 0fb12a8f535f948570c2ebbd0d9fc69053dd80dd Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Feb 19 15:26:44 2016 -0600

    Fixes on GNode for Node.parent

 NEWS                     |  7 +++++++ configure.ac             |  2 +-
 gxml/GXmlNode.vala       |  7 ++++++- test/GAttributeTest.vala | 12
 ++++++++++++ test/GDocumentTest.vala  |  4 ++++ test/GElementTest.vala
 |  9 +++++++++ 6 files changed, 39 insertions(+), 2 deletions(-)

commit 98b8bc137106b02eeb19a5a182228456cd744fcd Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Feb 19 09:52:06 2016 -0600

    Fixed parent implementation for TwNode

 gxml/TwNode.vala         | 36 ++++++++++++++++++++++++++++++------
 test/TwDocumentTest.vala |  4 ++++ test/TwElementTest.vala  | 29
 +++++++++++++++++++++++++++++ 3 files changed, 63 insertions(+),
 6 deletions(-)

commit d8d44c399f9ef75797ad6c3a70bab3a507f58ba3 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Feb 18 21:47:31 2016 -0600

    Added tests for parent in xDocument

 gxml/libxml-Node.vala  | 7 ++++++- test/AttrTest.vala     | 6 ++++++
 test/DocumentTest.vala | 4 ++++ test/ElementTest.vala  | 8 ++++++++
 4 files changed, 24 insertions(+), 1 deletion(-)

commit f67dc16f1cae0143c25621c05f9ef0b1dfa61cdc Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Feb 18 18:33:43 2016 -0600

    Implemented better support for GXml.Node.parent to TwNode

 gxml/TwElement.vala |  6 ++++-- gxml/TwNode.vala    | 17
 +++++++++++++++-- 2 files changed, 19 insertions(+), 4 deletions(-)

commit 44a82e7db07f7eb42ed9915c3395ea2ed384cb21 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Feb 18 18:19:13 2016 -0600

    Added GXml.Node.parent

 gxml/GXmlNode.vala    | 1 + gxml/Node.vala        | 4 ++++
 gxml/TwNode.vala      | 1 + gxml/libxml-Node.vala | 1 + 4 files changed,
 7 insertions(+)

commit f4682b54c422667b3e53c36db89c8c428c3bb49f Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Feb 17 21:12:39 2016 -0600

    More prototypes for SerializableXOM

 gxml/SerializableXOM.vala | 3 +-- 1 file changed, 1 insertion(+),
 2 deletions(-)

commit ba88c6d5883a14387c55dfaa17111f009f2be263 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Feb 11 22:57:51 2016 -0600

    First atemp to implement a Serializable and Node class

    * These classes just demostrate a WIP * Internal Node tries to shows
    how to implement using a reference
      to a Node.
    * XOM a more worked implementation using TwDocument as base class
      this could change to TwElement
    * This is just a preview on WIP

 gxml/SerializableXOM-InternalNode.vala | 389
 +++++++++++++++++++++++++++++++++ gxml/SerializableXOM.vala
 | 333 ++++++++++++++++++++++++++++ 2 files changed, 722 insertions(+)

commit ca2df40243efbc0f3ab1aaf100cf575e82c91f82 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Feb 11 22:56:53 2016 -0600

    Fixes on make check

 gxml/TwAttribute.vala | 10 ++++++++++ gxml/TwDocument.vala  | 12
 ++++++++++-- 2 files changed, 20 insertions(+), 2 deletions(-)

commit 5bade7e70dde8c84bdd73ff6b19901028480778f Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Feb 11 22:38:39 2016 -0600

    Reducing memory for TwNode and TwDocument. Build Fixes.

    * Build fixes * Now some properties and child nodes are available
    only when is
      requested as fake collections when they don't have sense, reducing
      some memory
    * SerializableGeeDualKeyMap implements Gee.Traversable

 gxml/SerializableGeeDualKeyMap.vala |  6 +++++- gxml/TwDocument.vala
 |  8 ++++++++ gxml/TwElement.vala                 | 21
 +++++++++++++++++++++ gxml/TwNode.vala                    |  9 +++------
 4 files changed, 37 insertions(+), 7 deletions(-)

commit ae863e912c50bf4af7048b4e3dab8bf7e67c92d7 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Feb 11 22:00:26 2016 -0600

    API change on Serializable and Element

    * Serializable.serialized_xml_node_value now is owned * Added
    Element.remove_attr() * GXml.Node.get() now is virtual * Added
    unit tests

 gxml/Element.vala                   | 4 ++++ gxml/GXmlElement.vala
 | 6 ++++++ gxml/Node.vala                      |
 2 +- gxml/Serializable.vala              |
 2 +- gxml/SerializableContainer.vala     |
 5 ++++- gxml/SerializableGeeArrayList.vala  |
 2 +- gxml/SerializableGeeDualKeyMap.vala |
 2 +- gxml/SerializableGeeHashMap.vala    |
 2 +- gxml/SerializableGeeTreeMap.vala    | 2 +-
 gxml/SerializableObjectModel.vala   | 2 +- gxml/TwElement.vala
 | 3 +++ gxml/libxml-Element.vala            | 3 +++
 test/GElementTest.vala              | 2 ++ test/TwElementTest.vala
 | 3 +++ 14 files changed, 32 insertions(+), 8 deletions(-)

commit b8ac295f9b1ca21af5f29d2e295ebf15f7ee2ab4 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Feb 10 18:44:38 2016 -0600

    Removed unused/unwanted test for new Serializable

 test/SerializableObjectModel-Tw-Test.vala | 4 ++--
 test/SerializableObjectModelTest.vala     | 4 ++-- 2 files changed,
 4 insertions(+), 4 deletions(-)

commit 9423cb87e8e62260487953aba6a9d410b4442dad Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Feb 10 18:40:18 2016 -0600

    API Break: Making Serializable interface more thin

 gxml/Serializable.vala                  | 185
 +++----------------------------- gxml/SerializableGeeArrayList.vala
 |  27 +---- gxml/SerializableGeeDualKeyMap.vala     |
 27 +---- gxml/SerializableGeeHashMap.vala        |  27
 +---- gxml/SerializableGeeTreeMap.vala        |  27
 +---- gxml/SerializableObjectModel.vala       |  95
 ++++------------ test/SerializableGeeDualKeyMapTest.vala
 |   4 - test/SerializableObjectModelTest.vala   |  22 ++--
 test/SerializableTest.vala              |  18 ++-- 9 files changed,
 65 insertions(+), 367 deletions(-)

commit 510348bc903775e1a8507905d3fc69e2849d6dbb Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Feb 10 15:18:21 2016 -0600

    New development release 0.9.0

    * This is a development release, please use with care API/ABI are
      not guaranteed

 NEWS             | 27 +++++++++++++++++++++++++-- po/POTFILES.skip |
 1 + test/Makefile.am |  7 ++++++- 3 files changed, 32 insertions(+),
 3 deletions(-)

commit 141cf4d83e6493b0113a2ec635ae54382de6a561 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Feb 10 14:49:56 2016 -0600

    TwDocument and GDocument Namespace Unit Test fixes

 gxml/TwElement.vala      |  1 + test/GDocumentTest.vala  |  2 ++
 test/TwDocumentTest.vala | 39 +++++++++++++++++++++++++++++++++++++++
 3 files changed, 42 insertions(+)

commit ef5f8070e16892ddef9368524be07c4661125373 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Feb 10 14:19:53 2016 -0600

    Improved support for Namespaces

    * GElement implements set_ns_attr() * xNode and derivatives enter
    to a maintenace status, in order
      to be deprecated in future, some tests haven't been added due to
      its internal complexity, like namespaces support. Is better to
      relay on GNode and derivatives. DOM API will be added in future
      versions to deprecate and remove xNode derivatives.
    * Fixes on Unit Tests

 gxml/Element.vala                     |  6 +++++- gxml/GXmlElement.vala
 | 20 ++++++++++---------- gxml/TwElement.vala                   |  5
 +++++ gxml/libxml-Element.vala              | 17 ++++++++++++-----
 po/POTFILES.in                        |  1 - po/POTFILES.skip
 |  2 -- test/GDocumentTest.vala               | 33
 +++++++++++++++++++++++++++++++++ test/SerializableObjectModelTest.vala |
 13 +++++++++++-- 8 files changed, 76 insertions(+), 21 deletions(-)

commit 85507ca677c32da63670d8707bc38a92d07d72e5 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Feb 10 12:40:56 2016 -0600

    API change: Removed GXml.SerializableJson and GXml.Serialization

    * Removed because these code have been unmaintained for a long
    time now

 gxml/Makefile.am            |   2 - gxml/SerializableJson.vala
 | 317 --------------------- gxml/Serialization.vala     | 442
 ----------------------------- test/GXmlTest.vala          |   1 -
 test/Makefile.am            |   1 - test/SerializableTest.vala
 |  63 ++--- test/SerializationTest.vala | 659
 -------------------------------------------- 7 files changed, 21
 insertions(+), 1464 deletions(-)

commit a98b9a8a60a0f4af58019935e3258413376a0182 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Feb 10 10:54:29 2016 -0600

    Removing xDocument for GDocument on Serializable Tests

 configure.ac                                 |   2 +-
 test/SerializableBasicTypesTest.vala         |  58 ++++----
 test/SerializableGeeArrayListTest.vala       |  10 +-
 test/SerializableGeeCollections-Tw-Test.vala |   8
 +- test/SerializableGeeCollectionsTest.vala     |  83
 +++++------ test/SerializableGeeDualKeyMapTest.vala      |
 16 +- test/SerializableGeeHashMapTest.vala         |  10
 +- test/SerializableGeeTreeMapTest.vala         |   8
 +- test/SerializableObjectModel-Tw-Test.vala    |  26
 ++-- test/SerializableObjectModelTest.vala        | 212
 +++++++++++++-------------- test/SerializablePropertyBoolTest.vala
 |  46 +++--- test/SerializablePropertyDoubleTest.vala     |
 38 ++--- test/SerializablePropertyEnumTest.vala       |  48
 +++--- test/SerializablePropertyFloatTest.vala      |  40 ++---
 test/SerializablePropertyIntTest.vala        |  42 +++---
 test/SerializablePropertyValueListTest.vala  |  76 +++++-----
 test/SerializableTest.vala                   |  12 +- 17 files changed,
 366 insertions(+), 369 deletions(-)

commit 86e4071f7f77ce3c6d6d13ce0bccdd3e486c5f7a Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Feb 9 18:34:25 2016 -0600

    Fixes on make check for GDocument, GElement and xDocument

 gxml/GXmlDocument.vala            |  6 +++---
 gxml/SerializableObjectModel.vala | 22 +++++++++++-----------
 gxml/libxml-Document.vala         |  4 ++-- test/GDocumentTest.vala
 | 18 +++++++++++++++--- test/GElementTest.vala            |  4 +++-
 5 files changed, 34 insertions(+), 20 deletions(-)

commit 22a890d512597f8dad4431e396db9e4414a15416 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Feb 9 17:45:17 2016 -0600

    Improved build system

    * Improved use of stamps to build, speeding up builds * Removed
    some warnings

 configure.ac                           |  2 +- gxml/Makefile.am
 | 24 +++++++++- gxml/SerializableGeeHashMap.vala       |  2 +-
 gxml/TwDocument.vala                   |  1 - gxml/libxml-Document.vala
 | 88 ---------------------------------- test/EnumerationTest.vala
 | 36 +++++--------- test/GDocumentTest.vala                |
 47 ++++++++++++------ test/Makefile.am                       |
 31 +++++++++--- test/SerializableGeeArrayListTest.vala |  8 ++--
 test/SerializableGeeHashMapTest.vala   | 14 +++--- 10 files changed,
 105 insertions(+), 148 deletions(-)

commit 067088280b01075416e00a4d42f3b91d77eeb5f2 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Feb 9 10:30:38 2016 -0600

    Added pc and deps files

 gxml/{gxml-0.6.deps => gxml-0.10.deps} |  0 gxml/gxml-0.10.pc.in
 | 14 ++++++++++++++ 2 files changed, 14 insertions(+)

commit e4687f1edd917fee10b809d3a56cb6190e02740e Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Feb 9 10:28:55 2016 -0600

    Setup new API release

 configure.ac        |  4 ++-- gxml/Makefile.am    | 64
 ++++++++++++++++++++++------------------------------- gxml/gxml-0.6.pc.in
 | 14 ------------ 3 files changed, 28 insertions(+), 54 deletions(-)

commit 93fd3e66b54657a667437086ce9d6ee5b4cce29d Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Feb 8 18:32:40 2016 -0600

    Fixed iteration on child nodes from xDocument and GDocument

    Added performance tests for xDocument and GDocument

 gxml/GXmlDocument.vala     |  6 +++--- gxml/libxml-Document.vala  |  3
 ++- test/gxml-performance.vala | 17 +++++++++++++---- 3 files changed,
 18 insertions(+), 8 deletions(-)

commit 5f3b839d16aa839d252b7ad3f8e93687ca83ba9c Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Feb 8 17:39:07 2016 -0600

    Added performance test for GDocument

    * Found equivalent time response vs. xDocument

 gxml/libxml-BackedNode.vala    |  1 - gxml/libxml-ChildNodeList.vala |
 1 - test/gxml-performance.vala     | 30 ++++++++++++++++++++++++++----
 3 files changed, 26 insertions(+), 6 deletions(-)

commit 675258b5970c9664db50113de30445c9ab4c8983 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Feb 8 17:13:18 2016 -0600

    Fixes on GAttribute adding Unit Tests

 NEWS                      |   2 + gxml/Element.vala         |  17
 +++---- gxml/GXmlAttribute.vala   |  22 ++++++++- gxml/GXmlElement.vala
 |  31 ++++++++++-- gxml/GXmlHashMapAttr.vala |  26 +++++++++-
 gxml/GXmlNode.vala        |  13 ----- gxml/TwElement.vala       |   8
 ++++ gxml/libxml-Element.vala  |   6 +++ test/GAttributeTest.vala  |
 120 ++++++++++++++++++++++++++++++++++++++++++++++ test/GXmlTest.vala
 |   1 + test/Makefile.am          |   1 + 11 files changed, 218
 insertions(+), 29 deletions(-)

commit 156dc8fb99a2118bc75f5380720659fe6a968ff9 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Feb 8 11:21:14 2016 -0600

    Fixes for GElement unit test to pass

 gxml/GXmlElement.vala        |   5 ++ gxml/GXmlHashMapAttr.vala    |
 8 ++- gxml/GXmlListNamespaces.vala |   2 + test/GElementTest.vala
 | 143 +++++++++++++++++++++++++++++++++++++++++++ test/GXmlTest.vala
 |   1 + test/Makefile.am             |   1 + 6 files changed, 158
 insertions(+), 2 deletions(-)

commit 4f1b8e807158c10eaa4f51585a320c4ef134fba3 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Feb 8 09:21:29 2016 -0600

    Fixed GDocument.libxml_to_string(). Added unit  tests

 gxml/GXmlDocument.vala  |  2 +- test/GDocumentTest.vala | 39
 ++++++++++++++++++--------------------- 2 files changed, 19
 insertions(+), 22 deletions(-)

commit a2ae2409b1971ee9a660d1d0ccced319f937cb25 Author: Daniel Mustieles
<daniel.mustieles@gmail.com> Date:   Sun Feb 7 13:19:17 2016 +0100

    Updated Spanish translation

 po/es.po | 14 +++++++++----- 1 file changed, 9 insertions(+),
 5 deletions(-)

commit 6e59721a0ac95838bc2f0672294cc6d7bb64df40 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sat Feb 6 15:13:18 2016 -0600

    Add missing files

 test/GDocumentTest.vala    | 262
 +++++++++++++++++++++++++++++++++++++++++++++ test/HtmlDocumentTest.vala
 |  74 +++++++++++++ test/index.html            |  20 ++++ 3 files
 changed, 356 insertions(+)

commit 453ee2a565783083182652e1ff5de18d66160d0d Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Sat Feb 6 17:54:50 2016 +0100

    Updated Polish translation

 po/pl.po | 12 ++++++++---- 1 file changed, 8 insertions(+), 4
 deletions(-)

commit 217f66320b26c6ec14e719773d71ddbf7f3dbabd Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Feb 5 15:40:08 2016 -0600

    Fixed GAttribute implementation

 gxml/GXmlAttribute.vala                 | 14 ++++++++++++++
 gxml/GXmlDocument.vala                  |  8 ++++++++
 gxml/GXmlElement.vala                   | 19 ++++++++++++++++---
 test/SerializableGeeDualKeyMapTest.vala |  5 -----
 test/SerializableGeeTreeMapTest.vala    | 15 +++++---------- 5 files
 changed, 43 insertions(+), 18 deletions(-)

commit d9c7fd23901f0a36f018af2844b47d08160e0d81 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Feb 5 12:58:05 2016 -0600

    API Changes on GXml.Node

    * Added new GXml.NodeList as Gee.ArrayList<GXml.Node> replacing
      old GXml.NodeList based on xNode, renaming it to GXml.xNode
    * Added new GXml.ElementList as Gee.ArrayList<GXml.Element> * New
    lists types helps on bindings * HtmlDocument and GXml.Node search
    for properties return a list
      of GXml.Element instead of GXml.Node ones
    * Fixed tests for HtmlDocument API * Removed warnings

 NEWS                                         |  15 +++
 gxml/Element.vala                            |  11 ++ gxml/GHtml.vala
 |  14 +- gxml/Node.vala                               |  33
 +++-- gxml/libxml-Attr.vala                        |   2
 +- gxml/libxml-BackedNode.vala                  |   2 +-
 gxml/libxml-ChildNodeList.vala               |   2 +-
 gxml/libxml-Document.vala                    |  12 +-
 gxml/libxml-Element.vala                     |   4 +-
 gxml/libxml-Entity.vala                      |   4 +-
 gxml/libxml-LinkedList.vala                  |   2 +-
 gxml/libxml-Node.vala                        |   4 +-
 gxml/libxml-NodeList.vala                    |   2 +-
 test/DocumentTest.vala                       |   6 +-
 test/ElementTest.vala                        |   4 +-
 test/SerializableGeeCollections-Tw-Test.vala |  76 +++++------
 test/SerializableGeeDualKeyMapTest.vala      |   6 +-
 test/SerializableObjectModel-Tw-Test.vala    |   8 +-
 test/SerializableObjectModelTest.vala        |  22 ++--
 test/TwCDATATest.vala                        |   6 +-
 test/TwCommentTest.vala                      |   6
 +- test/TwDocumentTest.vala                     | 100
 +++++++-------- test/TwElementTest.vala                      | 184
 ++++++++++++++++----------- test/TwProcessingInstructionTest.vala
 |   6 +- 24 files changed, 301 insertions(+), 230 deletions(-)

commit 520b12c116b3bd8fa57f32f5bd25caf691caf442 Author: Mario Blättermann
<mario.blaettermann@gmail.com> Date:   Fri Feb 5 20:42:14 2016 +0100

    Updated German translation

 po/de.po | 12 ++++++++---- 1 file changed, 8 insertions(+), 4
 deletions(-)

commit fe3dbf44a3718f328d98e7da212456c829190c4c Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Fri Feb 5 17:07:12 2016 +0100

    Updated POTFILES.in and POTFILES.skip

 po/POTFILES.in   | 1 + po/POTFILES.skip | 2 ++ 2 files changed,
 3 insertions(+)

commit 2ec1ac27e487dede457b82f64f74c549f92689bb Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Feb 4 19:21:29 2016 -0600

    Fixed sigfault on Attributes xElement. Fixed HtmlDocument test

 gxml/libxml-BackedNode.vala    | 1 + gxml/libxml-ChildNodeList.vala |
 1 + gxml/libxml-Element.vala       | 1 + gxml/libxml-NamedAttrMap.vala  |
 5 +++++ 4 files changed, 8 insertions(+)

commit b5f55ca777ee1cddfb68b99965653c7350af9b6c Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Feb 4 18:27:01 2016 -0600

    API change: most methods now returns owned values

    * Change required for GNode series implementation, due to
      use internal pointer managed by libmxl2, then objects are created
      when needed no reference is kept

    * All implementations ported to new API on GXml.Node*

    * TwDocument.write_document now support any GXml.Document

    * Added initial tests for HtmlDocument, actualy failing
      on search elements with given "id"

 gxml/Document.vala                  |   2 +- gxml/GXmlAttribute.vala
 |   3 +- gxml/GXmlCDATA.vala                 |   8 +-
 gxml/GXmlComment.vala               |   8 +- gxml/GXmlDocument.vala
 | 325 +++++------------------------------- gxml/GXmlElement.vala
 |   7 +- gxml/GXmlHashMapAttr.vala           |  24
 ++- gxml/GXmlListChildren.vala          |  20 ++-
 gxml/GXmlListNamespaces.vala        |   4 +- gxml/GXmlNode.vala
 |  22 +-- gxml/GXmlProcessingInstruction.vala |   3 +-
 gxml/GXmlText.vala                  |   8 +- gxml/Node.vala
 |  16 +- gxml/TwDocument.vala                |  51 +++---
 gxml/libxml-ChildNodeList.vala      |   5 +- gxml/xlibxml.c
 |   6 +- gxml/xlibxml.h                      |   6 +- test/GXmlTest.vala
 |   1 + test/Makefile.am                    |   1 + 19 files changed,
 169 insertions(+), 351 deletions(-)

commit c5827a91ef1f323ea505e6c99d2c3a21ccc726e2 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Jan 28 19:59:04 2016 -0600

    Added Tests for GDocument

 gxml/GXmlDocument.vala | 5 +++++ test/GXmlTest.vala     | 1 +
 test/Makefile.am       | 1 + 3 files changed, 7 insertions(+)

commit cb721590be5f1f95e5c60e12a7431bd459602c8f Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Sun Jan 31 16:38:48 2016 +0100

    Updated Polish translation

 po/pl.po | 16 ++++++++++------ 1 file changed, 10 insertions(+),
 6 deletions(-)

commit 6c30b41d19102ed29a21846675c5fdcd7f16ee76 Author: Mario Blättermann
<mario.blaettermann@gmail.com> Date:   Fri Jan 29 19:25:04 2016 +0100

    Updated German translation

 po/de.po | 12 ++++++++---- 1 file changed, 8 insertions(+), 4
 deletions(-)

commit 49d96a49b06a04d137c66285a9a1dac7e8b82af4 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Jan 28 19:29:55 2016 -0600

    Remote file retrieve test just if internet is full available

 test/DocumentTest.vala | 2 ++ 1 file changed, 2 insertions(+)

commit 1d04dd9cf2c1cbd61d08e17e28b66e8a1f8a7a39 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Jan 28 19:20:51 2016 -0600

    Fixes on make check for SerializableObjectModel

 test/SerializableObjectModelTest.vala | 20 +++++++++++++------- 1 file
 changed, 13 insertions(+), 7 deletions(-)

commit f330c298c1837f90537f7eba6c22731e0f2931d9 Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Thu Jan 28 21:41:25 2016 +0100

    Updated POTFILES.in and POTFILES.skip

 po/POTFILES.in   |  1 + po/POTFILES.skip | 11 ++++++----- 2 files
 changed, 7 insertions(+), 5 deletions(-)

commit e0d35e8488b7068f6ece5c0d4cdd0e436e58ced7 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Jan 28 14:33:01 2016 -0600

    New libxml2 implementation under GXml.GNode derived classes

    * API changes, by changing most properties to be owned in order
      to make room for libxml2 pointer management not in GXml classes

    * New GXml.GNode derived classes using libxml2 pointers internally
      equivalent on GXml.xNode, but simplier and with no support, jet,
      for DOM API

 gxml/Attribute.vala                    |   5 +- gxml/CDATA.vala
 |   2 +- gxml/Comment.vala                      |   2 +-
 gxml/Document.vala                     |   2 +- gxml/Element.vala
 |   2 +- gxml/GXmlAttribute.vala                |  52
 +++++ gxml/GXmlCDATA.vala                    |  35 +++
 gxml/GXmlComment.vala                  |  35 +++ gxml/GXmlDocument.vala
 | 407 +++++++++++++++++++++++++++++++++ gxml/GXmlElement.vala
 |  57 +++++ gxml/GXmlHashMapAttr.vala              | 175 ++++++++++++++
 gxml/GXmlListChildren.vala             | 237 +++++++++++++++++++
 gxml/GXmlListNamespaces.vala           | 150 ++++++++++++
 gxml/GXmlNamespace.vala                |  45 ++++ gxml/GXmlNode.vala
 | 115 ++++++++++ gxml/GXmlProcessingInstruction.vala    |
 36 +++ gxml/GXmlText.vala                     |  35 +++
 gxml/Makefile.am                       |  14 +- gxml/Namespace.vala
 |   4 +- gxml/Node.vala                         |  18 +-
 gxml/ProcessingInstruction.vala        |   4 +- gxml/Serializable.vala
 |   4 +- gxml/SerializableGeeArrayList.vala     |   8
 +- gxml/SerializableGeeDualKeyMap.vala    |   8 +-
 gxml/SerializableGeeHashMap.vala       |   8 +-
 gxml/SerializableGeeTreeMap.vala       |   8 +-
 gxml/SerializableJson.vala             |   8 +-
 gxml/SerializableObjectModel.vala      |   4 +- gxml/Text.vala
 |   2 +- gxml/TwAttribute.vala                  |  15 +-
 gxml/TwCDATA.vala                      |   4 +- gxml/TwComment.vala
 |   4 +- gxml/TwDocument.vala                   |   2 +-
 gxml/TwElement.vala                    |   8 +- gxml/TwNamespace.vala
 |   4 +- gxml/TwNode.vala                       |  12 +-
 gxml/TwProcessingInstruction.vala      |   6 +- gxml/TwText.vala
 |   4 +- gxml/libxml-Attr.vala                  |  30 ++-
 gxml/libxml-Comment.vala               |   2 +- gxml/libxml-Document.vala
 |   5 +- gxml/libxml-DocumentType.vala          |   4
 +- gxml/libxml-Element.vala               |   4 +-
 gxml/libxml-NamespaceAttr.vala         |   8 +- gxml/libxml-Node.vala
 |  10 +- gxml/libxml-ProcessingInstruction.vala |  10 +-
 gxml/libxml-Text.vala                  |   2 +- 47 files changed,
 1526 insertions(+), 90 deletions(-)

commit bb0282cc6b0ad4c145a50839d65030b24569b2ef Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Jan 26 14:06:07 2016 -0600

    Added GXml.HtmlDocument

    * New HtmlDocument based on libxml2 * New
    GXml.Node.get_elements_by_property_value() to search nodes with
      a given attribute name and conteined value

 gxml/GHtml.vala          | 86
 ++++++++++++++++++++++++++++++++++++++++++++++++ gxml/Node.vala
 |  4 +-- gxml/libxml-Element.vala |  2 +- 3 files changed, 89
 insertions(+), 3 deletions(-)

commit ceb4575c2f3b2bdabf713584756a7bf5f9225888 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Jan 26 13:51:43 2016 -0600

    Set version to 0.9.0

 configure.ac             |  4 ++-- gxml/Makefile.am         |
 3 ++- gxml/Node.vala           | 28 ++++++++++++++++++++++++++++
 gxml/libxml-Element.vala |  4 ++-- 4 files changed, 34 insertions(+),
 5 deletions(-)

commit 43b9d758ee80842f0f5189eb321421b9768f4f8a Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Jan 14 14:18:15 2016 -0600

    Fixed merge from gxml-0.8 branch for 0.8.2 new release

 configure.ac              |  8 -------- gxml/libxml-Document.vala |
 14 -------------- test/DocumentTest.vala    |  3 --- 3 files changed,
 25 deletions(-)

commit 3fa450544cc37e4849d60e004fcb06015f6bc3fa Merge: 7ff2a75 bd6d257
Author: Daniel Espinosa <esodan@gmail.com> Date:   Wed Jan 13 15:19:57
2016 -0600

    Merge branch 'gxml-0.8' for 0.8.2 release

commit bd6d257704450efbebd4f1d796ffc0e9d17c3bc1 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Jan 13 15:14:30 2016 -0600

    Setup 0.8.2 release

    * Added remote file read test * Check error message not to be null
    before throw errors

 NEWS                      |  7 +++++++ configure.ac              |
 4 ++-- gxml/libxml-Document.vala | 16 ++++++++++++----
 test/DocumentTest.vala    | 29 +++++++++++++++++++++++++++++ 4 files
 changed, 50 insertions(+), 6 deletions(-)

commit 49476a22fcc7a0133c2343c78e3ccebca14a26df Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Jan 12 22:26:26 2016 -0600

    Updated NEWS for new translations

 NEWS | 3 ++- 1 file changed, 2 insertions(+), 1 deletion(-)

commit 91a1ae4fc9d7f3036c9460269d278043fed15249 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Jan 12 22:19:55 2016 -0600

    Most changes improves GIO GLib.File use

 NEWS                          |  28 +++++++++
 gxml/Document.vala            |  14 ++--- gxml/TwDocument.vala
 |  25 ++++---- gxml/libxml-Document.vala     | 132
 +++++++++++++++++++----------------------- gxml/libxml-DomException.vala
 |  17 +++++- gxml/xlibxml.c                |  21 +++++++ gxml/xlibxml.h
 |   3 + test/DocumentTest.vala        |  54 +++++++++++------
 test/TwDocumentTest.vala      |  24 ++++---- vapi/xlibxml-1.0.vapi
 |   7 +++ 10 files changed, 199 insertions(+), 126 deletions(-)

commit 9230874cb0afd736a7909622c5622365d18cea2a Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Jan 12 14:40:32 2016 -0600

    TwDocument.save_to() now makes a backup by default

    * Added asserts to Xmlx methods

 gxml/TwDocument.vala     | 29 ++++++++++++++++++++++++-
 gxml/xlibxml.c           | 16 ++++++++++++++
 gxml/xlibxml.h           |  3 +++ test/TwDocumentTest.vala | 56
 ++++++++++++++++++++++++++++++++++++++++++------ vapi/xlibxml-1.0.vapi
 |  2 ++ 5 files changed, 98 insertions(+), 8 deletions(-)

commit 296d80ca7c1fe0977976cf5481fe14aea6ec0727 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Jan 12 10:23:50 2016 -0600

    Added xDocument.from_string() tests

 test/DocumentTest.vala | 13 +++++++++++++ 1 file changed, 13
 insertions(+)

commit e51be5680ed44f6f637d139a0aa52791c2a9b1d9 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Jan 12 10:16:31 2016 -0600

    Fixed xDocument.from_string() no root element

 configure.ac              |  4 ++-- gxml/libxml-Document.vala |  2
 ++ test/DocumentTest.vala    | 11 +++++++++++ 3 files changed, 15
 insertions(+), 2 deletions(-)

commit 7ff2a75c12ba02386283d8458a5d0736bfbd53da Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Jan 12 22:26:26 2016 -0600

    Updated NEWS for new translations

 NEWS | 3 ++- 1 file changed, 2 insertions(+), 1 deletion(-)

commit 7eb1e56c4c3f12f486acbe0efcf93db67982ea8e Merge: f5ea9ed b61320b
Author: Daniel Espinosa <esodan@gmail.com> Date:   Tue Jan 12 22:25:03
2016 -0600

    Merge branch 'gxml-0.8'

commit b61320b947a51894216f5612e0ed57fe0a7f0950 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Jan 12 22:19:55 2016 -0600

    Most changes improves GIO GLib.File use

 NEWS                          |  28 +++++++++
 gxml/Document.vala            |  14 ++--- gxml/TwDocument.vala
 |  25 ++++---- gxml/libxml-Document.vala     | 132
 +++++++++++++++++++----------------------- gxml/libxml-DomException.vala
 |  17 +++++- gxml/xlibxml.c                |  21 +++++++ gxml/xlibxml.h
 |   3 + test/DocumentTest.vala        |  54 +++++++++++------
 test/TwDocumentTest.vala      |  24 ++++---- vapi/xlibxml-1.0.vapi
 |   7 +++ 10 files changed, 199 insertions(+), 126 deletions(-)

commit 403b010d6bf886fcfc1c1973c0d8e606884f6922 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Jan 12 14:40:32 2016 -0600

    TwDocument.save_to() now makes a backup by default

    * Added asserts to Xmlx methods

 gxml/TwDocument.vala     | 29 ++++++++++++++++++++++++-
 gxml/xlibxml.c           | 16 ++++++++++++++
 gxml/xlibxml.h           |  3 +++ test/TwDocumentTest.vala | 56
 ++++++++++++++++++++++++++++++++++++++++++------ vapi/xlibxml-1.0.vapi
 |  2 ++ 5 files changed, 98 insertions(+), 8 deletions(-)

commit 4b92662ccccc2023ae298de094c28379048e7ae4 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Jan 12 10:23:50 2016 -0600

    Added xDocument.from_string() tests

 test/DocumentTest.vala | 13 +++++++++++++ 1 file changed, 13
 insertions(+)

commit 1249e7fb2869d117db4357586ecb50b601f2e083 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Jan 12 10:16:31 2016 -0600

    Fixed xDocument.from_string() no root element

 configure.ac              |  4 ++-- gxml/libxml-Document.vala |  2
 ++ test/DocumentTest.vala    | 11 +++++++++++ 3 files changed, 15
 insertions(+), 2 deletions(-)

commit 77682a0ad4675e5db2d650ca7e1bbd770b0ec34c Author: Rafael Fontenelle
<rffontenelle@gmail.com> Date:   Thu Jan 7 17:07:59 2016 +0000

    Added Brazilian Portuguese translation

 po/LINGUAS  |   1 + po/pt_BR.po | 132
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 2 files
 changed, 133 insertions(+)

commit f5ea9ed403ad2ac392ea3385b5b029918762b4d0 Author: Mario Blättermann
<mario.blaettermann@gmail.com> Date:   Tue Jan 5 23:36:02 2016 +0100

    Added German translation

 po/LINGUAS |   1 + po/de.po   | 141
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 2 files
 changed, 142 insertions(+)

commit 14cedb4bd76551448567f32dbc5c2e76666cdc71 Author: Mario Blättermann
<mario.blaettermann@gmail.com> Date:   Tue Jan 5 23:35:04 2016 +0100

    Added German translation

 po/LINGUAS |   1 + po/de.po   | 141
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 2 files
 changed, 142 insertions(+)

commit 236aa1c3eff33b96c5ea9c82b4e75e7eccf3907b Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Jan 4 16:08:03 2016 -0600

    Workaround intltool bug for make distcheck intltool is not well
    maintained. The bug happens with a recent Automake version. This can
    be reverted when gedit no longer uses intltool, or when the intltool
    bug is fixed one day.

    This is a bit ugly, but everything should not *always* be perfect
    all the time.

    Based on work from Sébastien Wilmet, at GEdit:

    https://git.gnome.org/browse/gedit/commit/?id=10d29fb0fc6f3569f5c0bce140f3c9fb5ffd1b85

 po/POTFILES.skip | 17 +++++++++++++++++ 1 file changed, 17 insertions(+)

commit 3ad35444f6d875cc408e44ff4cc15b5ff16e8ff6 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Jan 4 15:57:00 2016 -0600

    Setting up for 0.8.0 release - pre-steps

 NEWS         | 20 ++++++++++++++++++++ configure.ac |  8 ++++----
 2 files changed, 24 insertions(+), 4 deletions(-)

commit 5be1a4054392c5aee7562a2350e3f8a7bc0f7103 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Mon Jan 4 15:46:25 2016 -0600

    Added missing debian/Makefile.am

 debian/Makefile.am | 3 +++ 1 file changed, 3 insertions(+)

commit 3b159c80a9c547ad45b2ef142b6aa244322b5637 Author: Мирослав
Николић <miroslavnikolic@rocketmail.com> Date:   Sun Jan 3 23:41:58
2016 +0100

    Added Serbian translation

 po/LINGUAS     |   2 + po/sr.po       | 138
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++ po/sr@latin.po
 | 138 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 3 files
 changed, 278 insertions(+)

commit 2129ad9c841abc9da3ce62bbd34dcd79a6743fa1 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Nov 6 11:16:20 2015 -0600

    fixed Makefile generation on debian

 configure.ac | 1 + 1 file changed, 1 insertion(+)

commit fed1f9f73adcfc1163f5ee64bea2ef3a35c6c79b Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Nov 5 14:25:00 2015 -0600

    Added debian package control files

 Makefile.am         |  2 +- configure.ac        |  2 ++
 debian/control.in   | 16 ++++++++++++++++ debian/copyright.in |
 46 ++++++++++++++++++++++++++++++++++++++++++++++ 4 files changed,
 65 insertions(+), 1 deletion(-)

commit c6e62e851fa49e2238f44e78ae07ee8771559e0f Author: Daniel Mustieles
<daniel.mustieles@gmail.com> Date:   Wed Dec 2 21:09:40 2015 +0100

    Updated Spanish translation

 po/es.po | 146
 +++++++++++++++++++++++++++++++++++---------------------------- 1 file
 changed, 81 insertions(+), 65 deletions(-)

commit 90e38815c4b94671bfb29d32e36c3916e797af41 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Nov 4 13:14:33 2015 -0600

    Fixed duplicated unit tests names

 test/AttrTest.vala                       | 8
 ++++---- test/SerializableBasicTypesTest.vala     |
 4 ++-- test/SerializablePropertyBoolTest.vala   |
 2 +- test/SerializablePropertyDoubleTest.vala |
 2 +- test/SerializablePropertyFloatTest.vala  | 4 ++--
 test/SerializablePropertyIntTest.vala    | 2 +- test/TwElementTest.vala
 | 4 ++-- test/TwProcessingInstructionTest.vala    | 2 +- 8 files changed,
 14 insertions(+), 14 deletions(-)

commit 25d807139f41ac95875611a348e50fd0e044b3e6 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sun Nov 1 12:57:47 2015 -0600

    Removed SerializableBool from SerializableObjectModel

 gxml/SerializableBool.vala | 4 ++-- 1 file changed, 2 insertions(+),
 2 deletions(-)

commit 88f0acb66e877c182d782084eeed0b0713353a2b Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sun Nov 1 12:55:56 2015 -0600

    Removed SerializableEnum from SerializableObjectModel

 gxml/SerializableEnum.vala | 4 ++-- 1 file changed, 2 insertions(+),
 2 deletions(-)

commit 3770ebcdb91629df3064e01dfb8036b31c1289f3 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sun Nov 1 12:51:52 2015 -0600

    Removed SerializableDouble, SerializableInt and SerializableFloat
    from SerializableObjectModel

 gxml/SerializableDouble.vala | 4 ++-- 1 file changed, 2 insertions(+),
 2 deletions(-)

commit 78353f463a7b5b851807e10901cf48d390e794d1 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sun Nov 1 12:45:40 2015 -0600

    Removed SerializableValueList from SerializableObjectModel

 gxml/SerializableObjectModel.vala | 16 ++++++++++------
 gxml/SerializableProperty.vala    |  2 +- gxml/SerializableValueList.vala
 |  4 ++-- 3 files changed, 13 insertions(+), 9 deletions(-)

commit 9d70ed490b77d64b7c0fe9479cff5f5139365618 Author: Pedro Albuquerque
<palbuquerque73@gmail.com> Date:   Sat Oct 31 07:33:44 2015 +0000

    Added Portuguese translation

 po/LINGUAS |   1 + po/pt.po   | 141
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 2 files
 changed, 142 insertions(+)

commit aed126dd463a5eae841eac796cbbe5401347859b Author: Marek Černocký
<marek@manet.cz> Date:   Fri Oct 30 00:20:23 2015 +0100

    Added Czech language

 po/LINGUAS | 1 + 1 file changed, 1 insertion(+)

commit 7ecd6b1533799f59aa334444a530fe84f03aad51 Author: Marek Černocký
<marek@manet.cz> Date:   Fri Oct 30 00:20:03 2015 +0100

    Czech translation

 po/cs.po | 137
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 1 file
 changed, 137 insertions(+)

commit cf4c930910826427fe8e62efc3479962ab959ee2 Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Thu Oct 29 02:19:06 2015 +0100

    Add Polish translation

 po/LINGUAS |   2 +- po/pl.po   | 141
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 2 files
 changed, 142 insertions(+), 1 deletion(-)

commit fbf1da2028e2ea1f3b39b78bdd21f101e97a3003 Author: Piotr Drąg
<piotrdrag@gmail.com> Date:   Thu Oct 29 02:05:02 2015 +0100

    Updated POTFILES.in and POTFILES.skip

    C files are generated files that can't be translated. Vala's weird
    like that.

 po/POTFILES.in   | 36 ++++++++++++++++++------------------
 po/POTFILES.skip | 19 +++++++++++++++++++ 2 files changed, 37
 insertions(+), 18 deletions(-)

commit c07de896fb7e3d3df71c0b6dd163d5f63120e1ac Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Oct 28 13:32:18 2015 -0600

    fixes on es.po

 po/es.po | 6 +++--- 1 file changed, 3 insertions(+), 3 deletions(-)

commit e60ddc5496b0025d3ee6cfd4bddca8c5ce410bdb Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Oct 28 12:15:37 2015 -0600

    Added Spanish translation

 gxml/libxml-Node.vala |   2 +- po/LINGUAS            |   2 + po/es.po
 | 125 ++++++++++++++++++++++++++++++++++++++++++++++++++ 3 files changed,
 128 insertions(+), 1 deletion(-)

commit e7a9243c6d32a8438c6c9d79c9a0bd8540638910 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Oct 27 10:36:14 2015 -0600

    Market error strings as translatable

 gxml/Document.vala                  | 2 +- gxml/Enumeration.vala
 | 4 ++-- gxml/Serializable.vala              |
 4 ++-- gxml/SerializableGeeArrayList.vala  |
 2 +- gxml/SerializableGeeDualKeyMap.vala |
 2 +- gxml/SerializableGeeHashMap.vala    | 2 +-
 gxml/SerializableGeeTreeMap.vala    | 2 +- gxml/Serialization.vala
 | 6 +++--- gxml/libxml-Document.vala           | 2 +-
 gxml/libxml-Error.vala              | 2 +- po/POTFILES.in
 | 8 ++++++++ 11 files changed, 22 insertions(+), 14 deletions(-)

commit 580cac0253846ff14ede92203c0d6d98723d92bd Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Oct 27 10:22:44 2015 -0600

    Mark translatable warning strings

 gxml/Node.vala                    |  2 +- gxml/SerializableEnum.vala
 |  4 ++-- gxml/SerializableObjectModel.vala |  6 +++---
 gxml/SerializableProperty.vala    |  4 ++-- gxml/Serialization.vala
 |  2 +- gxml/libxml-ChildNodeList.vala    |  2 +-
 gxml/libxml-Document.vala         |  2 +- gxml/libxml-Entity.vala
 |  2 +- gxml/libxml-Node.vala             |  2 +- po/POTFILES.in
 | 12 ++++++++++-- 10 files changed, 23 insertions(+), 15 deletions(-)

commit 6b56ec1c6c8af39bbdf777619bad18a6d4fc9ee5 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Oct 27 10:03:20 2015 -0600

    Added i18n initialization

 docs/valadoc/devhelp/Makefile.am       |  1 + gxml/Enumeration.vala
 |  5 +++++ gxml/Makefile.am                       |
 1 + gxml/SerializableBool.vala             |  2
 ++ gxml/SerializableContainer.vala        |  1 +
 gxml/SerializableDouble.vala           |  3 +++
 gxml/SerializableEnum.vala             |  3 +++
 gxml/SerializableGeeArrayList.vala     |  3 +++
 gxml/SerializableGeeDualKeyMap.vala    |  2 ++
 gxml/SerializableGeeHashMap.vala       |  3 +++
 gxml/SerializableGeeTreeMap.vala       |  3 +++
 gxml/SerializableJson.vala             |  1
 + gxml/SerializableObjectModel.vala      |  1 +
 gxml/SerializableValueList.vala        |  1 + gxml/Serialization.vala
 |  1 + gxml/TwNode.vala                       |  2 ++ gxml/gxml-init.vala
 | 36 ++++++++++++++++++++++++++++++++++ gxml/libxml-ChildNodeList.vala
 |  3 ++- gxml/libxml-DomException.vala          |  3
 +++ gxml/libxml-Error.vala                 |  3
 +++ gxml/libxml-Implementation.vala        |  3
 +++ gxml/libxml-LinkedList.vala            |  5
 ++++- gxml/libxml-NamedAttrMap.vala          |  3 +++
 gxml/libxml-NamespaceAttrNodeList.vala |  2 ++ gxml/libxml-Node.vala
 |  1 + gxml/libxml-TagNameNodeList.vala       |  3 ++- 26 files changed,
 92 insertions(+), 3 deletions(-)

commit 89c850a7d348d5bc54dc5d256613a754061854ca Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sun Oct 25 16:36:48 2015 -0600

    Removed conflicting valadoc tags

 gxml/SerializableDouble.vala           | 2 ++ gxml/libxml-Comment.vala
 | 9 --------- gxml/libxml-Document.vala              | 8
 -------- gxml/libxml-Element.vala               | 7 +------
 gxml/libxml-NamespaceAttr.vala         | 2 +- gxml/libxml-Node.vala
 | 2 -- gxml/libxml-ProcessingInstruction.vala | 4 ++--
 gxml/libxml-Text.vala                  | 3 +-- 8 files changed, 7
 insertions(+), 30 deletions(-)

commit dd9a897f6ccd97ff5591275ed00bd3727d5a3fef Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sun Oct 25 15:53:53 2015 -0600

    Fixed documentation generation

 docs/valadoc/gtk-doc/Makefile.am  |  7 ++---
 gxml/Element.vala                 |  2 +- gxml/Enumeration.vala
 | 29 +++++++++---------- gxml/Node.vala                    |  6
 ++-- gxml/Serializable.vala            | 33 +++++++--------------
 gxml/SerializableBool.vala        |  4 +-- gxml/SerializableDouble.vala
 |  2 +- gxml/SerializableEnum.vala        |  2 +-
 gxml/SerializableFloat.vala       |  2 +- gxml/SerializableInt.vala
 |  4 +-- gxml/SerializableJson.vala        |  2 +-
 gxml/SerializableObjectModel.vala |  2 +- gxml/SerializableProperty.vala
 | 38 +++++++++--------------- gxml/SerializableValueList.vala   |  4 +--
 gxml/libxml-CharacterData.vala    |  2 +- gxml/libxml-Document.vala
 | 14 ++++----- gxml/libxml-Element.vala          | 61
 +++++++++++++++++++-------------------- gxml/libxml-NamespaceAttr.vala
 |  2 +- gxml/libxml-Node.vala             | 14 ++++-----
 gxml/libxml-NodeList.vala         |  2 +- 20 files changed, 104
 insertions(+), 128 deletions(-)

commit 6893f7a84970f980336606354534ef354403e2d9 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Oct 23 10:09:58 2015 -0500

    SerializableProperty and SerializableValueList fixes

    * SerializableProperty Added checks to serialize only on GXml.Element
    * Added unit tests for SerializableValueList

 configure.ac                                |  2 +-
 gxml/SerializableProperty.vala              |  4
 ++ test/SerializablePropertyValueListTest.vala | 68
 ++++++++++++++++++++++++++++- 3 files changed, 72 insertions(+),
 2 deletions(-)

commit 7249b5b6ed5101049d50481bbcf41c977e775c07 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Oct 22 10:43:46 2015 -0500

    Fixed stored string parsing and added unit tests for SerializableBool

 gxml/SerializableBool.vala             | 30
 +++++++++++++++++++----------- gxml/SerializableProperty.vala
 |  4 ++++ test/SerializablePropertyBoolTest.vala | 26
 ++++++++++++++++++++++++++ 3 files changed, 49 insertions(+), 11
 deletions(-)

commit fec954bc89e27e722787ff3f33eaee91213312b0 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Oct 22 10:20:50 2015 -0500

    Added documentation and unit tests for deserialize to
    SerializableFloat

 gxml/SerializableFloat.vala             | 12 ++++++++
 test/SerializablePropertyFloatTest.vala | 50
 +++++++++++++++++++++++++++++++++ 2 files changed, 62 insertions(+)

commit e0f0aa12317d52344970bf6aeb666c94b5e66ad1 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Oct 22 10:04:40 2015 -0500

    Added documentation to SerializableProperty and unit tests to
    SerializableInt

    * Documentation to SerializableInt * Removed
    SerializableInt.to_string, use SerializableInt.get_value().to_string()
      instead
    * Unit tests for SerializableInt covers deserialization

 gxml/SerializableInt.vala             | 19
 ++++++++----- gxml/SerializableProperty.vala        |
 11 +++++++- test/SerializablePropertyIntTest.vala | 50
 +++++++++++++++++++++++++++++++++++ 3 files changed, 73 insertions(+),
 7 deletions(-)

commit 41657b51c74aae229d7aae283442438f23884c9f Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Oct 21 19:46:27 2015 -0500

    Added unit test for SerializableDouble for invalid values set in xml

 test/SerializablePropertyDoubleTest.vala | 16 ++++++++++++++++ 1 file
 changed, 16 insertions(+)

commit 3d4a99b5952091b96a2a47b3e15b0337c9d364f4 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Oct 21 19:42:26 2015 -0500

    Added unit tests for SerializableDouble

    * Fixed implementation for deserialize, the given value is taken as is
      no parsing is done at all

 gxml/SerializableDouble.vala             |  7 +------
 test/SerializablePropertyDoubleTest.vala | 16 ++++++++++++++++ 2 files
 changed, 17 insertions(+), 6 deletions(-)

commit 22f34d6ada52a38aa4aa594f47feeaa5abef89a3 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Oct 21 19:28:36 2015 -0500

    Added deserialize unit tests for SerializableBool

 test/SerializablePropertyBoolTest.vala | 14 ++++++++++++++ 1 file
 changed, 14 insertions(+)

commit 4381035c246003ff1c52623cc760ba580ef6caf6 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Oct 21 19:24:25 2015 -0500

    Removing remaining property's name references from
    SerializableProperty implementations

 gxml/SerializableBool.vala      |  3 --- gxml/SerializableDouble.vala
 |  3 --- gxml/SerializableValueList.vala | 11 ----------- 3 files
 changed, 17 deletions(-)

commit 430a73a2b573f7bd517bc0df12349e4ecd9edb43 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Oct 21 19:18:15 2015 -0500

    SerializableProperty removing unnecesary property name methods

 gxml/SerializableDouble.vala             |  1 -
 gxml/SerializableEnum.vala               |  7 +------
 gxml/SerializableFloat.vala              |  1 - gxml/SerializableInt.vala
 |  1 - gxml/SerializableProperty.vala           | 14
 -------------- test/SerializablePropertyDoubleTest.vala
 |  3 ++- test/SerializablePropertyEnumTest.vala   | 12
 +++++++----- test/SerializablePropertyFloatTest.vala  |  3 ++-
 test/SerializablePropertyIntTest.vala    |  3 ++- 9 files changed,
 14 insertions(+), 31 deletions(-)

commit 82664e15fc4ada3d35476aecb62ddaf2fae1a503 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Oct 21 18:58:01 2015 -0500

    Ported SerializableBool to not require property's name

 gxml/SerializableBool.vala             | 1 -
 test/SerializablePropertyBoolTest.vala | 3 ++- 2 files changed, 2
 insertions(+), 2 deletions(-)

commit 74f18675f5c0d2c6defb2c5622d24d3ef2936a37 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Oct 21 16:44:35 2015 -0500

    Added support of SerializableProperty to SerializableObjectModel

    * Now SerializableProperty implementations don't need to set the
    attribute's name, it is provided
       by SerializableObjectModel at serialize/deserialize calls

    * Is no longer necessary to create a SerializableProperty instance
    to serialize/deserialize, this will
       save lot of memory in non initialized objects and provides same
       functionality to avoid them on serialization

    * SerializableProperty simplified, just required
    serialization/deserialization methods, with ist default
       implemention are available, then implementations are simplified to.

    * Now is necesary to remove requirement of name on
    SerializableProperty implementations

 gxml/SerializableBool.vala                  | 22
 ----------- gxml/SerializableDouble.vala                |
 22 ----------- gxml/SerializableEnum.vala                  |
 22 ----------- gxml/SerializableObjectModel.vala           |
 27 +++++++++---- gxml/SerializableProperty.vala              |
 59 +++++++++++++++++------------ gxml/SerializableValueList.vala
 | 36 +----------------- test/SerializablePropertyDoubleTest.vala
 |  1 + test/SerializablePropertyFloatTest.vala     |
 1 + test/SerializablePropertyIntTest.vala       |
 1 + test/SerializablePropertyValueListTest.vala | 56
 ++++++++++++++++++++++++++- 10 files changed, 114 insertions(+),
 133 deletions(-)

commit 250ac402511e46bed12648daa8907be38de976a2 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Oct 21 11:29:40 2015 -0500

    Adding debuging information messages

 gxml/SerializableObjectModel.vala |  6 ++++++
 gxml/SerializableProperty.vala    |  7 ++++++-
 gxml/SerializableValueList.vala   | 12 ++++++++++++ 3 files changed,
 24 insertions(+), 1 deletion(-)

commit 2c026efdbdc7ca7d1ee00c80605791ea4d550a98 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Oct 20 19:11:04 2015 -0500

    Fixed SerializableValueList.get_values() return

 gxml/SerializableObjectModel.vala | 2 +- gxml/SerializableValueList.vala
 | 2 +- 2 files changed, 2 insertions(+), 2 deletions(-)

commit cdf189c9ff8f27edc7a92aa0b22d606dd56086e3 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sun Oct 18 17:19:01 2015 -0500

    SerializableValueList now use an internal variable to store fixed
    array

    Now you can use construct {} clause to initialize _vals to a fixed
    string[] array of values to avoid multiple copies of fixed values,
    while is possible to add new values using add_values ()

 gxml/SerializableValueList.vala             | 65
 ++++++++++++++++++++--------- test/SerializablePropertyValueListTest.vala
 |  5 ++- 2 files changed, 49 insertions(+), 21 deletions(-)

commit a8f3f35834461a2b155c8e3f65492094f0a5cf87 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Oct 16 19:10:22 2015 -0500

    Make more SerializableValueList methods virtual and exposed values
    Gee.List<string>

 configure.ac                                |  2 +-
 gxml/SerializableValueList.vala             | 12 +++++++-----
 test/SerializablePropertyValueListTest.vala |  4 ++-- 3 files changed,
 10 insertions(+), 8 deletions(-)

commit d258c353545d27836b88333ba6912e7b84e22277 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Oct 13 16:18:56 2015 -0500

    Fixed SerializableProperty deserialize

 gxml/SerializableBool.vala                  |  5 ++--
 gxml/SerializableDouble.vala                |  5 ++--
 gxml/SerializableEnum.vala                  |  5
 ++-- gxml/SerializableProperty.vala              | 25
 ++++++++++++-------- gxml/SerializableValueList.vala             | 36
 +++++++++++++++++++++++++---- test/SerializablePropertyValueListTest.vala
 | 18 +++++++++++++++ 6 files changed, 75 insertions(+), 19 deletions(-)

commit 5c1d30418ad6a567a8c428349dfa0abf1795f6f8 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Oct 6 16:54:34 2015 -0500

    SerializableValueList constructor requires property name

 gxml/SerializableValueList.vala             |  2 +-
 test/SerializablePropertyValueListTest.vala | 11 +++++------ 2 files
 changed, 6 insertions(+), 7 deletions(-)

commit f831cdad555a8ae2210c61b3517ff56237717641 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Oct 6 16:08:58 2015 -0500

    Set version to 0.7.2

 configure.ac                 | 4 ++-- gxml/SerializableBool.vala   | 2 +-
 gxml/SerializableDouble.vala | 2 +- 3 files changed, 4 insertions(+),
 4 deletions(-)

commit 6d226b247140fa1c68bf8574f7177e4f0c525877 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Oct 6 15:23:30 2015 -0500

    Set version to 0.7.1

 configure.ac | 2 +- 1 file changed, 1 insertion(+), 1 deletion(-)

commit ed9a268327a4500325bf839d88ec146ca2738436 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Oct 6 15:16:11 2015 -0500

    SerializableBool constructor requires property name

 gxml/SerializableBool.vala             | 2 +-
 test/SerializablePropertyBoolTest.vala | 3 +-- 2 files changed, 2
 insertions(+), 3 deletions(-)

commit 90c5fd793d6b199c57c8496f6cb4c74b386f781f Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Oct 6 15:14:22 2015 -0500

    SerializableDouble constructor requires property name

 gxml/SerializableDouble.vala             | 2 +-
 gxml/SerializableFloat.vala              | 2 +- gxml/SerializableInt.vala
 | 2 +- test/SerializablePropertyDoubleTest.vala | 2 +- 4 files changed,
 4 insertions(+), 4 deletions(-)

commit 44d303509361f20a250b71c750022ad148ad50cc Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Oct 6 15:12:14 2015 -0500

    Ported SerializableInt to SerializableDouble

 gxml/SerializableInt.vala             | 42
 +++++------------------------------ test/SerializablePropertyIntTest.vala
 |  2 +- 2 files changed, 6 insertions(+), 38 deletions(-)

commit e5cd6090b58898391c3845874a857f6c792339b5 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Oct 6 15:06:48 2015 -0500

    Added Unit Test for Serializable Float, Double and Int

 test/GXmlTest.vala                       |   1 + test/Makefile.am
 |   1 + test/SerializablePropertyDoubleTest.vala
 | 105 +++++++++++++++++++++++++++++++
 test/SerializablePropertyFloatTest.vala  | 105
 +++++++++++++++++++++++++++++++ test/SerializablePropertyIntTest.vala
 |  99 +++++++++++++++++++++++++++++ 5 files changed, 311 insertions(+)

commit a2ca96e0a1e223527c2ebd5deca404bca8371efa Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Oct 6 15:00:10 2015 -0500

    Added SerializableFloat class

 gxml/Makefile.am             |  1 + gxml/SerializableDouble.vala |  6
 +++--- gxml/SerializableFloat.vala  | 28 ++++++++++++++++++++++++++++
 3 files changed, 32 insertions(+), 3 deletions(-)

commit 7c9028f84513ff4f91ce53d255393a88274cdf98 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Oct 6 14:54:01 2015 -0500

    Added unit tests to SerializableDouble

 gxml/SerializableDouble.vala | 81
 ++++++++++++++++++++++++++++++++++++++++++++ test/GXmlTest.vala
 |  1 + test/Makefile.am             |  1 + 3 files changed, 83
 insertions(+)

commit 9fbc17e47073448df90c3e98b11ecc97e9530e53 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Oct 6 13:12:14 2015 -0500

    Added SerializableDouble property class

 gxml/Makefile.am | 1 + 1 file changed, 1 insertion(+)

commit 911b29fa3e3f89fe9721571884c5fb349b35082c Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Oct 6 08:44:58 2015 -0500

    Added SerializableInt unit tests

 test/GXmlTest.vala | 1 + test/Makefile.am   | 1 + 2 files changed,
 2 insertions(+)

commit 259f898f4caa1ea85063f64ca6c3eadf760956b7 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Oct 6 08:35:02 2015 -0500

    Added SerializableInt class

 gxml/Makefile.am          |  1 + gxml/SerializableInt.vala | 69
 +++++++++++++++++++++++++++++++++++++++++++++++ 2 files changed,
 70 insertions(+)

commit 7c3e7456483d12bbf7b918149787cedf1258f7c6 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sat Oct 3 23:45:33 2015 -0500

    Added unit test for Enumeration.to_string_array()

 test/EnumerationTest.vala | 12 ++++++++++++ 1 file changed, 12
 insertions(+)

commit b003ba730e8433fe2c4c15cc0cb8a5ace7fe2802 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Fri Oct 2 23:19:34 2015 -0500

    Fixed SerializableProperty property's nick name handle

 gxml/SerializableProperty.vala         | 11 +++++++++--
 test/SerializablePropertyEnumTest.vala | 29 +++++++++++++++++++++++++++++
 2 files changed, 38 insertions(+), 2 deletions(-)

commit b1f1f1702963e0967cbbd9dd1ee55ba80eb6365d Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Sep 30 23:16:57 2015 -0500

    Added some more tests to SerializableEnum and Enumeration

 gxml/Enumeration.vala                  |  2 +- gxml/Makefile.am
 |  4 ++-- gxml/SerializableEnum.vala             |  4 ++-- po/POTFILES.in
 |  2 +- test/EnumerationTest.vala              | 35
 ++++++++++++++++++++++++++++++---- test/SerializablePropertyEnumTest.vala
 | 12 ++++++++++++ 6 files changed, 49 insertions(+), 10 deletions(-)

commit 978d8fa2bbf63853677fab313247b13f9329b17f Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Sep 29 18:55:18 2015 -0500

    Fixed SerializableEnum unit tests

    * Added parse() and to_integer() to SerializableEnum * Added
    Enumeration.parse_integer ()

 gxml/Enumeration.vala                  |  20
 ++++++ gxml/SerializableEnum.vala             |  42
 +++++++++---- test/SerializablePropertyEnumTest.vala | 110
 +++++++++++++++++++-------------- 3 files changed, 115 insertions(+),
 57 deletions(-)

commit f9fcc521b09b78abecfe9212f5537fda8ac8c7c2 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Sep 29 16:59:22 2015 -0500

    Added unit test for SerializableEnum

 test/GXmlTest.vala                     |   1 + test/Makefile.am
 |   1 + test/SerializablePropertyEnumTest.vala | 110
 +++++++++++++++++++++++++++++++++ 3 files changed, 112 insertions(+)

commit 92726bb327a2123f4ccb04615568d8f01af84849 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Sep 29 16:50:43 2015 -0500

    Added SerializableEnum class

 gxml/Makefile.am           |  1 + gxml/SerializableEnum.vala |
 86 ++++++++++++++++++++++++++++++++++++++++++++++ 2 files changed,
 87 insertions(+)

commit 2f1d1807f30f5b9b43bfaea6ab92ed5c075e5add Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Sep 29 16:32:19 2015 -0500

    Set version to 0.7.0

    * Backward compatible with 0.6.0 series

 configure.ac                    |  4 ++-- gxml/Enumeration.vala
 | 16 ++++++++++++++-- gxml/SerializableValueList.vala |  2 -- 3 files
 changed, 16 insertions(+), 6 deletions(-)

commit 57929fbd8a9b51d612e72978cf53bcc4686e37d0 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sat Sep 26 19:26:32 2015 -0700

    Added unit tests for SerializableValueList

 gxml/SerializableValueList.vala             |  14 +++-
 test/GXmlTest.vala                          |   1 + test/Makefile.am
 |   1 + test/SerializablePropertyBoolTest.vala      |
 2 +- test/SerializablePropertyValueListTest.vala | 110
 ++++++++++++++++++++++++++++ 5 files changed, 123 insertions(+),
 5 deletions(-)

commit 583d7fa460f4395d6375f622f28155e1d6ddc2e0 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sat Sep 26 18:22:22 2015 -0700

    Added SerializableValueList class as a SerializableProperty
    implementation

 gxml/Makefile.am                |   1 + gxml/SerializableProperty.vala
 | 108 ++++++++++++++++++++++++++++++++++++++++
 gxml/SerializableValueList.vala |  77 ++++++++++++++++++++++++++++
 3 files changed, 186 insertions(+)

commit 42fff0eb58ff266dc16975543557461f438f45f3 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sat Sep 26 17:58:37 2015 -0700

    Fixes on SerializableBool implementation and on SerializableProperty
    interface

 gxml/SerializableBool.vala             |  9
 ++++++- test/SerializablePropertyBoolTest.vala | 48
 ++++++++++++++++++++++++++++++++++ 2 files changed, 56 insertions(+),
 1 deletion(-)

commit 7c384e9b3cb3e1e8238371e273b09a349203a844 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sat Sep 26 17:06:16 2015 -0700

    Added unit tests for SerializableBool

 test/GXmlTest.vala                     |  1 + test/Makefile.am
 |  1 + test/SerializablePropertyBoolTest.vala | 56
 ++++++++++++++++++++++++++++++++++ 3 files changed, 58 insertions(+)

commit d99dc6cb1b85bf8a7a84d3af33f47156c910d969 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sat Sep 26 16:47:27 2015 -0700

    Added SerializableBool class

 gxml/Makefile.am           |  1 + gxml/SerializableBool.vala |
 62 ++++++++++++++++++++++++++++++++++++++++++++++ 2 files changed,
 63 insertions(+)

commit 68c5cad1c0749f6acc7773c9506cbb0d3c6a1b22 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sat Sep 26 13:57:09 2015 -0700

    Added interface SerializableProperty

 configure.ac     | 2 +- gxml/Makefile.am | 1 + test/tw-test.xml | 2 --
 3 files changed, 2 insertions(+), 3 deletions(-)

commit fdd01e1e3859e3b8603c3d03395f3b68cfb00ba1 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Sat Aug 8 12:35:31 2015 -0500

    Fixed GObject Introspection Mac OS X build/install

 Makefile.am      | 3 ++- configure.ac     | 2 +- gxml/Makefile.am |
 7 ++++--- 3 files changed, 7 insertions(+), 5 deletions(-)

commit 5b3d7fe3fa50353be594e7201f26a5344d023c08 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed Jul 8 14:19:34 2015 -0500

    Release 0.6.0

 NEWS             | 49 +++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac     |  2 +- test/Makefile.am |  1 - test/tw-test.xml |
 2 ++ 4 files changed, 52 insertions(+), 2 deletions(-)

commit 1531c7b29c37b32057496d85bf6f3def6ae97a65 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Jun 18 07:34:49 2015 -0500

    Fixed enable performance tests

 test/Makefile.am | 5 +++++ 1 file changed, 5 insertions(+)

commit 9dbaba201908d8ebcd9f79e620c85e95996c5a34 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu Jun 18 05:45:25 2015 -0500

    Now unknown elements/attributes initialization done only if required

    * This fixes memory resources upto 60-75% when using
    SerializableObjectModel

 gxml/SerializableObjectModel.vala | 19 +++++++++++-------- 1 file
 changed, 11 insertions(+), 8 deletions(-)

commit 8afb6142b4b3d0858354d91d807d4bf56e136a76 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Tue Jun 16 13:36:34 2015 -0500

    Fixed error message to enable DevHelp and GIR docs

 configure.ac | 4 ++-- 1 file changed, 2 insertions(+), 2 deletions(-)

commit 8b5a5fe6a2d499e8220791524c4511304f967da0 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu May 14 17:48:03 2015 -0500

    Better documentation for SerializableHashMap class

 gxml/SerializableGeeHashMap.vala | 2 +- 1 file changed, 1 insertion(+),
 1 deletion(-)

commit 49a16ebbca48d8263370fea2e954b0c0302b0da6 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu May 14 17:45:30 2015 -0500

    Better documentation for serializable collections

 gxml/SerializableGeeArrayList.vala  | 2 +-
 gxml/SerializableGeeDualKeyMap.vala | 5 +++--
 gxml/SerializableGeeTreeMap.vala    | 2 +- gxml/libxml-NamedAttrMap.vala
 | 8 ++++++-- gxml/libxml-NamespaceAttr.vala      | 6 +++--- 5 files
 changed, 14 insertions(+), 9 deletions(-)

commit d3927c8a91a3ce21db3038c1a2e0185e9c0c360a Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu May 14 16:46:06 2015 -0500

    Adding documentation for different classes

 gxml/ProcessingInstruction.vala   | 2 +- gxml/Serialization.vala
 | 2 +- gxml/TwAttribute.vala             | 3 +++
 gxml/TwCDATA.vala                 | 3 +++ gxml/TwComment.vala
 | 3 +++ gxml/TwDocument.vala              | 6 ++++++ gxml/TwElement.vala
 | 3 +++ gxml/TwNamespace.vala             | 3 +++ gxml/TwNode.vala
 | 3 +++ gxml/TwProcessingInstruction.vala | 3 +++ gxml/TwText.vala
 | 3 +++ gxml/libxml-NamedAttrMap.vala     | 8 ++++---- 12 files changed,
 36 insertions(+), 6 deletions(-)

commit 96dcea30ad927259e54820e083296835687f452c Author: Daniel Espinosa
<esodan@gmail.com> Date:   Thu May 14 14:52:27 2015 -0500

    Fixed make distcheck

 gxml/Makefile.am | 1 + test/Makefile.am | 7 ++++++- vapi/Makefile.am |
 3 ++- 3 files changed, 9 insertions(+), 2 deletions(-)

commit 2ac9cce0a792b24c28a4a2e4262ed02929867799 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed May 13 18:46:13 2015 -0500

    Documented TwDocument namespaces handling

 gxml/TwDocument.vala | 14 ++++++++++++++ 1 file changed, 14 insertions(+)

commit b1f3075f31352379daa0507585dc51574e513e35 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed May 13 17:13:21 2015 -0500

    Fixed TwDocument write attribute with namespace already declared

 gxml/TwAttribute.vala                     |  1 - gxml/TwDocument.vala
 | 10 +++++++++- test/SerializableGeeDualKeyMapTest.vala
 |  2 +- test/SerializableGeeTreeMapTest.vala      |  2 +-
 test/SerializableObjectModel-Tw-Test.vala |  2 -- test/TwElementTest.vala
 | 25 +++++++++++++++++++++++++ 6 files changed, 36 insertions(+),
 6 deletions(-)

commit 295d6c0c613aa8db4669e4398b9d66088d0008b9 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed May 13 15:49:20 2015 -0500

    Improved TwDocument writer default namespaces handling

    * On GXml.Element with a default namespace (prefix = NULL)
      all children are set to use it
    * Detects if a given namespace is already declared in parent
      nodes to avoid to declare more than once

 gxml/TwDocument.vala    |  74
 ++++++++++++++++++++++++++-------- test/TwElementTest.vala | 104
 ++++++++++++++++++++++++++++++++++++++++++++++++ 2 files changed,
 162 insertions(+), 16 deletions(-)

commit 765921959c3910bd49fa333179617e6ffd61024a Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed May 13 13:15:42 2015 -0500

    Fixed unfinished #if

 test/SerializableObjectModel-Tw-Test.vala | 1 + 1 file changed,
 1 insertion(+)

commit 2966a5a196dd831aa189ba4ab7da3ab1bd09362f Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed May 13 13:09:02 2015 -0500

    Fixed GXml.TwDocument writer to use default NS prefix when enable

    * Set GXml.Document.prefix_default_ns to true makes all children
      nodes, including root, adds default document's namespace's prefix

 gxml/TwDocument.vala    |  20 +++++--- test/TwElementTest.vala |
 125 ++++++++++++++++++++++++++++++++++++++++++++++-- 2 files changed,
 135 insertions(+), 10 deletions(-)

commit c872a9ce9603872b6c36ff65dbab671774153039 Author: Daniel Espinosa
<esodan@gmail.com> Date:   Wed May 13 11:02:14 2015 -0500

    Improved TwDocument Namespace handling

    * By default no prefix are added for default namespace * Added
    GXml.Document.prefix_default_ns to add default namespace's
      prefix
    * By setting a namespace to GXml.Document/TwDocument, first one
      is used as default for all document
    * Added GXml.Document.ns_top to add all namespaces declarations to
      root node (still fails to remove its declaration in children nodes)

 gxml/Document.vala                        |  16 +++ gxml/Node.vala
 |   2 +- gxml/TwDocument.vala                      |  93 ++++++++++-----
 gxml/TwNamespace.vala                     |   2 +- gxml/TwNode.vala
 |   2 +- gxml/libxml-BackedNode.vala               |   4 +-
 gxml/libxml-Document.vala                 |   2 + gxml/libxml-Node.vala
 |   4 +- test/SerializableObjectModel-Tw-Test.vala
 |   4 +- test/TwElementTest.vala                   | 181
 ++++++++++++++++++++++++++++++ test/TwProcessingInstructionTest.vala
 |   1 - 11 files changed, 272 insertions(+), 39 deletions(-)

commit e1e4219959686da4b7fdff61c12cfe0e16306d42 Author: Daniel Espinosa
